#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(gnss_serial_allocate, "_gpl", "");
KSYMTAB_FUNC(gnss_serial_free, "_gpl", "");
KSYMTAB_FUNC(gnss_serial_register, "_gpl", "");
KSYMTAB_FUNC(gnss_serial_deregister, "_gpl", "");
KSYMTAB_DATA(gnss_serial_pm_ops, "_gpl", "");

SYMBOL_CRC(gnss_serial_allocate, 0x7d6caa03, "_gpl");
SYMBOL_CRC(gnss_serial_free, 0x58a7e92e, "_gpl");
SYMBOL_CRC(gnss_serial_register, 0x8be830c3, "_gpl");
SYMBOL_CRC(gnss_serial_deregister, 0x86a063ed, "_gpl");
SYMBOL_CRC(gnss_serial_pm_ops, 0xf3cc5759, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x72d8688f, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xed14f9fb, "serdev_device_write_wakeup" },
	{ 0x38e45448, "serdev_device_write" },
	{ 0xa51f1500, "serdev_device_wait_until_sent" },
	{ 0xf5e199b8, "gnss_allocate_device" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5409303f, "gnss_deregister_device" },
	{ 0x593b4b22, "__pm_runtime_resume" },
	{ 0x3611535f, "serdev_device_close" },
	{ 0xb03d36d1, "gnss_register_device" },
	{ 0x5a3e343, "gnss_put_device" },
	{ 0x73b2f5da, "__pm_runtime_disable" },
	{ 0x153508e0, "__pm_runtime_idle" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x560eb335, "serdev_device_set_baudrate" },
	{ 0x6d482453, "gnss_insert_raw" },
	{ 0x3bbecdfd, "serdev_device_set_flow_control" },
	{ 0x37a0cba, "kfree" },
	{ 0xa7307e48, "serdev_device_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "gnss");


MODULE_INFO(srcversion, "524B4E38BCD54254BA367E0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
