#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_dp_dual_mode_read, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_write, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_detect, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_get_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_dual_mode_set_tmds_output, "", "");
KSYMTAB_FUNC(drm_dp_get_dual_mode_type_name, "", "");
KSYMTAB_FUNC(drm_lspcon_get_mode, "", "");
KSYMTAB_FUNC(drm_lspcon_set_mode, "", "");
KSYMTAB_FUNC(drm_dp_channel_eq_ok, "", "");
KSYMTAB_FUNC(drm_dp_clock_recovery_ok, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_voltage, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_request_pre_emphasis, "", "");
KSYMTAB_FUNC(drm_dp_get_adjust_tx_ffe_preset, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_channel_eq_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_lane_symbol_locked, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_eq_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_cds_interlane_align_done, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_link_training_failed, "", "");
KSYMTAB_FUNC(drm_dp_read_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_read_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_128b132b_read_aux_rd_interval, "", "");
KSYMTAB_FUNC(drm_dp_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_phy_name, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_clock_recovery_delay, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_link_train_channel_eq_delay, "", "");
KSYMTAB_FUNC(drm_dp_link_rate_to_bw_code, "", "");
KSYMTAB_FUNC(drm_dp_bw_code_to_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_probe, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_write, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_link_status, "", "");
KSYMTAB_FUNC(drm_dp_dpcd_read_phy_link_status, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_type, "", "");
KSYMTAB_FUNC(drm_dp_downstream_is_tmds, "", "");
KSYMTAB_FUNC(drm_dp_send_real_edid_checksum, "", "");
KSYMTAB_FUNC(drm_dp_read_dpcd_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_downstream_info, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_dotclock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_min_tmds_clock, "", "");
KSYMTAB_FUNC(drm_dp_downstream_max_bpc, "", "");
KSYMTAB_FUNC(drm_dp_downstream_420_passthrough, "", "");
KSYMTAB_FUNC(drm_dp_downstream_444_to_420_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_rgb_to_ycbcr_conversion, "", "");
KSYMTAB_FUNC(drm_dp_downstream_mode, "", "");
KSYMTAB_FUNC(drm_dp_downstream_id, "", "");
KSYMTAB_FUNC(drm_dp_downstream_debug, "", "");
KSYMTAB_FUNC(drm_dp_subconnector_type, "", "");
KSYMTAB_FUNC(drm_dp_set_subconnector_property, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count_cap, "", "");
KSYMTAB_FUNC(drm_dp_read_sink_count, "", "");
KSYMTAB_FUNC(drm_dp_remote_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_init, "", "");
KSYMTAB_FUNC(drm_dp_aux_register, "", "");
KSYMTAB_FUNC(drm_dp_aux_unregister, "", "");
KSYMTAB_FUNC(drm_dp_psr_setup_time, "", "");
KSYMTAB_FUNC(drm_dp_start_crc, "", "");
KSYMTAB_FUNC(drm_dp_stop_crc, "", "");
KSYMTAB_FUNC(drm_dp_read_desc, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_max_slice_count, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_line_buf_depth, "", "");
KSYMTAB_FUNC(drm_dp_dsc_sink_supported_input_bpcs, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_common_caps, "", "");
KSYMTAB_FUNC(drm_dp_read_lttpr_phy_caps, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_link_rate, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_max_lane_count, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_voltage_swing_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_lttpr_pre_emphasis_level_3_supported, "", "");
KSYMTAB_FUNC(drm_dp_get_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_set_phy_test_pattern, "", "");
KSYMTAB_FUNC(drm_dp_vsc_sdp_log, "", "");
KSYMTAB_FUNC(drm_dp_get_pcon_max_frl_bw, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_prepare, "", "");
KSYMTAB_FUNC(drm_dp_pcon_is_frl_ready, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_1, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_configure_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_reset_frl_config, "", "");
KSYMTAB_FUNC(drm_dp_pcon_frl_enable, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_active, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_link_mode, "", "");
KSYMTAB_FUNC(drm_dp_pcon_hdmi_frl_link_error_count, "", "");
KSYMTAB_FUNC(drm_dp_pcon_enc_is_dsc_1_2, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slices, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_max_slice_width, "", "");
KSYMTAB_FUNC(drm_dp_pcon_dsc_bpp_incr, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_default, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_buf, "", "");
KSYMTAB_FUNC(drm_dp_pcon_pps_override_param, "", "");
KSYMTAB_FUNC(drm_dp_pcon_convert_rgb_to_ycbcr, "", "");
KSYMTAB_FUNC(drm_edp_backlight_set_level, "", "");
KSYMTAB_FUNC(drm_edp_backlight_enable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_disable, "", "");
KSYMTAB_FUNC(drm_edp_backlight_init, "", "");
KSYMTAB_FUNC(drm_panel_dp_aux_backlight, "", "");
KSYMTAB_FUNC(drm_dp_bw_overhead, "", "");
KSYMTAB_FUNC(drm_dp_bw_channel_coding_efficiency, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_port_malloc, "", "");
KSYMTAB_FUNC(drm_dp_mst_put_port_malloc, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_payload_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_late_register, "", "");
KSYMTAB_FUNC(drm_dp_mst_connector_early_unregister, "", "");
KSYMTAB_FUNC(drm_dp_send_power_updown_phy, "", "");
KSYMTAB_FUNC(drm_dp_send_query_stream_enc_status, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part1, "", "");
KSYMTAB_FUNC(drm_dp_remove_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_add_payload_part2, "", "");
KSYMTAB_FUNC(drm_dp_get_vc_payload_bw, "", "");
KSYMTAB_FUNC(drm_dp_read_mst_cap, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_set_mst, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_suspend, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_resume, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_handle_event, "", "");
KSYMTAB_FUNC(drm_dp_mst_hpd_irq_send_new_request, "", "");
KSYMTAB_FUNC(drm_dp_mst_detect_port, "", "");
KSYMTAB_FUNC(drm_dp_mst_edid_read, "", "");
KSYMTAB_FUNC(drm_dp_mst_get_edid, "", "");
KSYMTAB_FUNC(drm_dp_atomic_find_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_atomic_release_time_slots, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_setup_commit, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_dp_mst_root_conn_atomic_check, "", "");
KSYMTAB_FUNC(drm_dp_mst_update_slots, "", "");
KSYMTAB_FUNC(drm_dp_check_act_status, "", "");
KSYMTAB_FUNC(drm_dp_calc_pbn_mode, "", "");
KSYMTAB_FUNC(drm_dp_mst_dump_topology, "", "");
KSYMTAB_FUNC(drm_dp_mst_port_downstream_of_parent, "", "");
KSYMTAB_FUNC(drm_dp_mst_add_affected_dsc_crtcs, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_enable_dsc, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check_mgr, "", "");
KSYMTAB_FUNC(drm_dp_mst_atomic_check, "", "");
KSYMTAB_DATA(drm_dp_mst_topology_state_funcs, "", "");
KSYMTAB_FUNC(drm_atomic_get_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_old_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_atomic_get_new_mst_topology_state, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_init, "", "");
KSYMTAB_FUNC(drm_dp_mst_topology_mgr_destroy, "", "");
KSYMTAB_FUNC(drm_dp_mst_dsc_aux_for_port, "", "");
KSYMTAB_FUNC(drm_dsc_dp_pps_header_init, "", "");
KSYMTAB_FUNC(drm_dsc_dp_rc_buffer_size, "", "");
KSYMTAB_FUNC(drm_dsc_pps_payload_pack, "", "");
KSYMTAB_FUNC(drm_dsc_set_const_params, "", "");
KSYMTAB_FUNC(drm_dsc_set_rc_buf_thresh, "", "");
KSYMTAB_FUNC(drm_dsc_setup_rc_params, "", "");
KSYMTAB_FUNC(drm_dsc_compute_rc_parameters, "", "");
KSYMTAB_FUNC(drm_dsc_get_bpp_int, "", "");
KSYMTAB_FUNC(drm_dsc_initial_scale_value, "", "");
KSYMTAB_FUNC(drm_dsc_flatness_det_thresh, "", "");
KSYMTAB_FUNC(drm_hdcp_check_ksvs_revoked, "_gpl", "");
KSYMTAB_FUNC(drm_connector_attach_content_protection_property, "", "");
KSYMTAB_FUNC(drm_hdcp_update_content_protection, "", "");
KSYMTAB_FUNC(drm_hdmi_infoframe_set_hdr_metadata, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_colorimetry, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_bars, "", "");
KSYMTAB_FUNC(drm_hdmi_avi_infoframe_content_type, "", "");
KSYMTAB_FUNC(drm_scdc_read, "", "");
KSYMTAB_FUNC(drm_scdc_write, "", "");
KSYMTAB_FUNC(drm_scdc_get_scrambling_status, "", "");
KSYMTAB_FUNC(drm_scdc_set_scrambling, "", "");
KSYMTAB_FUNC(drm_scdc_set_high_tmds_clock_ratio, "", "");
KSYMTAB_FUNC(drm_dp_cec_irq, "", "");
KSYMTAB_FUNC(drm_dp_cec_attach, "", "");
KSYMTAB_FUNC(drm_dp_cec_set_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_unset_edid, "", "");
KSYMTAB_FUNC(drm_dp_cec_register_connector, "", "");
KSYMTAB_FUNC(drm_dp_cec_unregister_connector, "", "");

SYMBOL_CRC(drm_dp_dual_mode_read, 0x71f4c92b, "");
SYMBOL_CRC(drm_dp_dual_mode_write, 0x5da88e19, "");
SYMBOL_CRC(drm_dp_dual_mode_detect, 0x44f6d13b, "");
SYMBOL_CRC(drm_dp_dual_mode_max_tmds_clock, 0x58a9c197, "");
SYMBOL_CRC(drm_dp_dual_mode_get_tmds_output, 0x6abf84c8, "");
SYMBOL_CRC(drm_dp_dual_mode_set_tmds_output, 0x8e7268c3, "");
SYMBOL_CRC(drm_dp_get_dual_mode_type_name, 0x5407ae9e, "");
SYMBOL_CRC(drm_lspcon_get_mode, 0x2f5e9c48, "");
SYMBOL_CRC(drm_lspcon_set_mode, 0xb493cc6e, "");
SYMBOL_CRC(drm_dp_channel_eq_ok, 0xedcf81ce, "");
SYMBOL_CRC(drm_dp_clock_recovery_ok, 0x8d701329, "");
SYMBOL_CRC(drm_dp_get_adjust_request_voltage, 0xc5c99a79, "");
SYMBOL_CRC(drm_dp_get_adjust_request_pre_emphasis, 0x582f248e, "");
SYMBOL_CRC(drm_dp_get_adjust_tx_ffe_preset, 0xccf54d5e, "");
SYMBOL_CRC(drm_dp_128b132b_lane_channel_eq_done, 0xc8b6a8ae, "");
SYMBOL_CRC(drm_dp_128b132b_lane_symbol_locked, 0xd5a95eae, "");
SYMBOL_CRC(drm_dp_128b132b_eq_interlane_align_done, 0x6a4df8c5, "");
SYMBOL_CRC(drm_dp_128b132b_cds_interlane_align_done, 0x92b9835e, "");
SYMBOL_CRC(drm_dp_128b132b_link_training_failed, 0x6aacee47, "");
SYMBOL_CRC(drm_dp_read_clock_recovery_delay, 0x67e7fb7a, "");
SYMBOL_CRC(drm_dp_read_channel_eq_delay, 0x1137a47d, "");
SYMBOL_CRC(drm_dp_128b132b_read_aux_rd_interval, 0xd8eb2ee3, "");
SYMBOL_CRC(drm_dp_link_train_clock_recovery_delay, 0x92f34343, "");
SYMBOL_CRC(drm_dp_link_train_channel_eq_delay, 0xd2b05285, "");
SYMBOL_CRC(drm_dp_phy_name, 0x5a86f411, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_clock_recovery_delay, 0x1709ddcf, "");
SYMBOL_CRC(drm_dp_lttpr_link_train_channel_eq_delay, 0x2e7c4a90, "");
SYMBOL_CRC(drm_dp_link_rate_to_bw_code, 0x26815dbc, "");
SYMBOL_CRC(drm_dp_bw_code_to_link_rate, 0x73011db0, "");
SYMBOL_CRC(drm_dp_dpcd_probe, 0xe52e4672, "");
SYMBOL_CRC(drm_dp_dpcd_read, 0xdeffe579, "");
SYMBOL_CRC(drm_dp_dpcd_write, 0xe2fe9d70, "");
SYMBOL_CRC(drm_dp_dpcd_read_link_status, 0x8b29e8ff, "");
SYMBOL_CRC(drm_dp_dpcd_read_phy_link_status, 0x294eab42, "");
SYMBOL_CRC(drm_dp_downstream_is_type, 0xc79ecffb, "");
SYMBOL_CRC(drm_dp_downstream_is_tmds, 0x10beff8d, "");
SYMBOL_CRC(drm_dp_send_real_edid_checksum, 0x4c8d1b31, "");
SYMBOL_CRC(drm_dp_read_dpcd_caps, 0xf2ea44f8, "");
SYMBOL_CRC(drm_dp_read_downstream_info, 0x5b9a869f, "");
SYMBOL_CRC(drm_dp_downstream_max_dotclock, 0x392a838b, "");
SYMBOL_CRC(drm_dp_downstream_max_tmds_clock, 0x58b909f2, "");
SYMBOL_CRC(drm_dp_downstream_min_tmds_clock, 0x4dd8bc97, "");
SYMBOL_CRC(drm_dp_downstream_max_bpc, 0xe53574d3, "");
SYMBOL_CRC(drm_dp_downstream_420_passthrough, 0xf689ad25, "");
SYMBOL_CRC(drm_dp_downstream_444_to_420_conversion, 0x2fa94ef2, "");
SYMBOL_CRC(drm_dp_downstream_rgb_to_ycbcr_conversion, 0xfb1a7a5a, "");
SYMBOL_CRC(drm_dp_downstream_mode, 0x68dc5fc5, "");
SYMBOL_CRC(drm_dp_downstream_id, 0xcdd06e4b, "");
SYMBOL_CRC(drm_dp_downstream_debug, 0x983813ac, "");
SYMBOL_CRC(drm_dp_subconnector_type, 0xf68741fb, "");
SYMBOL_CRC(drm_dp_set_subconnector_property, 0x0919031e, "");
SYMBOL_CRC(drm_dp_read_sink_count_cap, 0xd29ff4d1, "");
SYMBOL_CRC(drm_dp_read_sink_count, 0x4f02d224, "");
SYMBOL_CRC(drm_dp_remote_aux_init, 0xcafa226f, "");
SYMBOL_CRC(drm_dp_aux_init, 0x0db7762b, "");
SYMBOL_CRC(drm_dp_aux_register, 0xb6c2c3f3, "");
SYMBOL_CRC(drm_dp_aux_unregister, 0xb7eb5802, "");
SYMBOL_CRC(drm_dp_psr_setup_time, 0xa1fefe6a, "");
SYMBOL_CRC(drm_dp_start_crc, 0x7216aa42, "");
SYMBOL_CRC(drm_dp_stop_crc, 0x1d97c48f, "");
SYMBOL_CRC(drm_dp_read_desc, 0x1195db19, "");
SYMBOL_CRC(drm_dp_dsc_sink_bpp_incr, 0xf48bbedf, "");
SYMBOL_CRC(drm_dp_dsc_sink_max_slice_count, 0x829b6048, "");
SYMBOL_CRC(drm_dp_dsc_sink_line_buf_depth, 0x56a663e9, "");
SYMBOL_CRC(drm_dp_dsc_sink_supported_input_bpcs, 0xa843606e, "");
SYMBOL_CRC(drm_dp_read_lttpr_common_caps, 0x3f6bc242, "");
SYMBOL_CRC(drm_dp_read_lttpr_phy_caps, 0x70802d37, "");
SYMBOL_CRC(drm_dp_lttpr_count, 0xaf267620, "");
SYMBOL_CRC(drm_dp_lttpr_max_link_rate, 0x01c4bba9, "");
SYMBOL_CRC(drm_dp_lttpr_max_lane_count, 0x1605d0ed, "");
SYMBOL_CRC(drm_dp_lttpr_voltage_swing_level_3_supported, 0x1b0a1fdc, "");
SYMBOL_CRC(drm_dp_lttpr_pre_emphasis_level_3_supported, 0x76ff6644, "");
SYMBOL_CRC(drm_dp_get_phy_test_pattern, 0xa967b12e, "");
SYMBOL_CRC(drm_dp_set_phy_test_pattern, 0xd4c2ca96, "");
SYMBOL_CRC(drm_dp_vsc_sdp_log, 0x8e1cb9ff, "");
SYMBOL_CRC(drm_dp_get_pcon_max_frl_bw, 0x7053fa72, "");
SYMBOL_CRC(drm_dp_pcon_frl_prepare, 0x54be9171, "");
SYMBOL_CRC(drm_dp_pcon_is_frl_ready, 0x9bfc98b3, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_1, 0x3dade0ad, "");
SYMBOL_CRC(drm_dp_pcon_frl_configure_2, 0x48498b22, "");
SYMBOL_CRC(drm_dp_pcon_reset_frl_config, 0x0305f52d, "");
SYMBOL_CRC(drm_dp_pcon_frl_enable, 0x460fc6b3, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_active, 0xf27236fc, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_link_mode, 0x0fe40dd4, "");
SYMBOL_CRC(drm_dp_pcon_hdmi_frl_link_error_count, 0x8d77a6dd, "");
SYMBOL_CRC(drm_dp_pcon_enc_is_dsc_1_2, 0x59f27ed7, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slices, 0xe5360b84, "");
SYMBOL_CRC(drm_dp_pcon_dsc_max_slice_width, 0xc020c0c1, "");
SYMBOL_CRC(drm_dp_pcon_dsc_bpp_incr, 0x4603c416, "");
SYMBOL_CRC(drm_dp_pcon_pps_default, 0xac1f92fe, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_buf, 0x82acfe83, "");
SYMBOL_CRC(drm_dp_pcon_pps_override_param, 0x504ac21c, "");
SYMBOL_CRC(drm_dp_pcon_convert_rgb_to_ycbcr, 0x0f15dae4, "");
SYMBOL_CRC(drm_edp_backlight_set_level, 0x380b37cc, "");
SYMBOL_CRC(drm_edp_backlight_enable, 0x3e0d90c3, "");
SYMBOL_CRC(drm_edp_backlight_disable, 0x869b3130, "");
SYMBOL_CRC(drm_edp_backlight_init, 0x0d1adfe3, "");
SYMBOL_CRC(drm_panel_dp_aux_backlight, 0x466f2ba6, "");
SYMBOL_CRC(drm_dp_bw_overhead, 0x3dc887bf, "");
SYMBOL_CRC(drm_dp_bw_channel_coding_efficiency, 0x0504c682, "");
SYMBOL_CRC(drm_dp_mst_get_port_malloc, 0x203b62bb, "");
SYMBOL_CRC(drm_dp_mst_put_port_malloc, 0x1bee8c3b, "");
SYMBOL_CRC(drm_atomic_get_mst_payload_state, 0x03c02a3b, "");
SYMBOL_CRC(drm_dp_mst_connector_late_register, 0x4347b1d1, "");
SYMBOL_CRC(drm_dp_mst_connector_early_unregister, 0x6e1c28d3, "");
SYMBOL_CRC(drm_dp_send_power_updown_phy, 0x877bb9d9, "");
SYMBOL_CRC(drm_dp_send_query_stream_enc_status, 0x76ba44fb, "");
SYMBOL_CRC(drm_dp_add_payload_part1, 0x006d0974, "");
SYMBOL_CRC(drm_dp_remove_payload_part1, 0xf0da2454, "");
SYMBOL_CRC(drm_dp_remove_payload_part2, 0xb7f356ec, "");
SYMBOL_CRC(drm_dp_add_payload_part2, 0xf53f539f, "");
SYMBOL_CRC(drm_dp_get_vc_payload_bw, 0xdb263f7e, "");
SYMBOL_CRC(drm_dp_read_mst_cap, 0xb9eed4f6, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_set_mst, 0x3afdae12, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_suspend, 0xf324b26a, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_resume, 0xaac2a75e, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_handle_event, 0x9d18765a, "");
SYMBOL_CRC(drm_dp_mst_hpd_irq_send_new_request, 0xd25f85b5, "");
SYMBOL_CRC(drm_dp_mst_detect_port, 0x294716ab, "");
SYMBOL_CRC(drm_dp_mst_edid_read, 0x12ac5de7, "");
SYMBOL_CRC(drm_dp_mst_get_edid, 0xf54a7ac6, "");
SYMBOL_CRC(drm_dp_atomic_find_time_slots, 0x4f6865a3, "");
SYMBOL_CRC(drm_dp_atomic_release_time_slots, 0x129b000d, "");
SYMBOL_CRC(drm_dp_mst_atomic_setup_commit, 0x9a08e4cb, "");
SYMBOL_CRC(drm_dp_mst_atomic_wait_for_dependencies, 0x99bfdda6, "");
SYMBOL_CRC(drm_dp_mst_root_conn_atomic_check, 0x69391fe6, "");
SYMBOL_CRC(drm_dp_mst_update_slots, 0x4996329b, "");
SYMBOL_CRC(drm_dp_check_act_status, 0x366f21b1, "");
SYMBOL_CRC(drm_dp_calc_pbn_mode, 0xa47826e4, "");
SYMBOL_CRC(drm_dp_mst_dump_topology, 0x980d8d72, "");
SYMBOL_CRC(drm_dp_mst_port_downstream_of_parent, 0xb56d563d, "");
SYMBOL_CRC(drm_dp_mst_add_affected_dsc_crtcs, 0xc8af7cac, "");
SYMBOL_CRC(drm_dp_mst_atomic_enable_dsc, 0xda841faa, "");
SYMBOL_CRC(drm_dp_mst_atomic_check_mgr, 0xd6e8217a, "");
SYMBOL_CRC(drm_dp_mst_atomic_check, 0x0987d43c, "");
SYMBOL_CRC(drm_dp_mst_topology_state_funcs, 0x09629e57, "");
SYMBOL_CRC(drm_atomic_get_mst_topology_state, 0x2cc7f97a, "");
SYMBOL_CRC(drm_atomic_get_old_mst_topology_state, 0xa7af11b4, "");
SYMBOL_CRC(drm_atomic_get_new_mst_topology_state, 0x5b8bc8ed, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_init, 0xd787d570, "");
SYMBOL_CRC(drm_dp_mst_topology_mgr_destroy, 0xe7b62479, "");
SYMBOL_CRC(drm_dp_mst_dsc_aux_for_port, 0x64897b42, "");
SYMBOL_CRC(drm_dsc_dp_pps_header_init, 0x648d953b, "");
SYMBOL_CRC(drm_dsc_dp_rc_buffer_size, 0x1a5bf3ca, "");
SYMBOL_CRC(drm_dsc_pps_payload_pack, 0x58d8fcaa, "");
SYMBOL_CRC(drm_dsc_set_const_params, 0x627ba04b, "");
SYMBOL_CRC(drm_dsc_set_rc_buf_thresh, 0x24ada755, "");
SYMBOL_CRC(drm_dsc_setup_rc_params, 0x79008c7e, "");
SYMBOL_CRC(drm_dsc_compute_rc_parameters, 0xfe12bcb9, "");
SYMBOL_CRC(drm_dsc_get_bpp_int, 0xd0e95456, "");
SYMBOL_CRC(drm_dsc_initial_scale_value, 0x95883bb4, "");
SYMBOL_CRC(drm_dsc_flatness_det_thresh, 0xe2468a48, "");
SYMBOL_CRC(drm_hdcp_check_ksvs_revoked, 0xd51c2456, "_gpl");
SYMBOL_CRC(drm_connector_attach_content_protection_property, 0x1c0a7b41, "");
SYMBOL_CRC(drm_hdcp_update_content_protection, 0xdf7869db, "");
SYMBOL_CRC(drm_hdmi_infoframe_set_hdr_metadata, 0x944b25c2, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_colorimetry, 0x198df2db, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_bars, 0x3b6bd94d, "");
SYMBOL_CRC(drm_hdmi_avi_infoframe_content_type, 0xe6f5d1a9, "");
SYMBOL_CRC(drm_scdc_read, 0x6dd8b3cb, "");
SYMBOL_CRC(drm_scdc_write, 0xc07f8bd3, "");
SYMBOL_CRC(drm_scdc_get_scrambling_status, 0x7fff5019, "");
SYMBOL_CRC(drm_scdc_set_scrambling, 0x2dc34993, "");
SYMBOL_CRC(drm_scdc_set_high_tmds_clock_ratio, 0x2d124a99, "");
SYMBOL_CRC(drm_dp_cec_irq, 0x5043813b, "");
SYMBOL_CRC(drm_dp_cec_attach, 0xa1eedaa7, "");
SYMBOL_CRC(drm_dp_cec_set_edid, 0xd055ddbe, "");
SYMBOL_CRC(drm_dp_cec_unset_edid, 0xe1bc5b9c, "");
SYMBOL_CRC(drm_dp_cec_register_connector, 0xcca01e88, "");
SYMBOL_CRC(drm_dp_cec_unregister_connector, 0x74fb1ca9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfac406d4, "drm_mode_object_put" },
	{ 0x852ee125, "dev_driver_string" },
	{ 0x62032a1d, "request_firmware_direct" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x69353664, "__drm_debug" },
	{ 0x6c363af, "__drm_atomic_helper_private_obj_duplicate_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xf407f13b, "drm_atomic_private_obj_fini" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x9af842d, "idr_get_next" },
	{ 0xee83e70b, "drm_property_create_enum" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xfcae83ae, "drm_dev_printk" },
	{ 0x94d67ec0, "i2c_del_adapter" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x3be2539f, "__var_waitqueue" },
	{ 0x189d81fa, "drm_atomic_get_crtc_state" },
	{ 0x85eadcc1, "drm_crtc_wait_one_vblank" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x307e56b3, "drm_modeset_lock" },
	{ 0x62a75e62, "drm_modeset_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2042ddc2, "_dev_err" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x931f17bd, "device_create" },
	{ 0x3e08213, "class_create" },
	{ 0x24527e28, "drm_modeset_lock_single_interruptible" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xe0443a7f, "fixed_size_llseek" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x76621123, "drm_crtc_commit_wait" },
	{ 0x3d75d755, "drm_atomic_get_new_private_obj_state" },
	{ 0xb212dc3e, "drm_edid_dup" },
	{ 0xc405f023, "cec_unregister_adapter" },
	{ 0x9cb8e16c, "drm_object_attach_property" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xea593f6, "hdmi_drm_infoframe_init" },
	{ 0xbc049542, "drm_atomic_get_old_private_obj_state" },
	{ 0xd8ef3a45, "__drm_dev_dbg" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0xbe4de675, "cec_get_edid_phys_addr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0x4489a5e9, "drm_edid_raw" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x4897ec95, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa2037d3e, "cec_allocate_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7b991636, "drm_object_property_set_value" },
	{ 0x28779e52, "drm_printf" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xf7d7958, "drm_kms_helper_hotplug_event" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x922ccd5a, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xcc11e75a, "device_destroy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17452315, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x13fcdfec, "_copy_from_iter" },
	{ 0x683f42d8, "i2c_transfer" },
	{ 0xec5b420, "drm_display_mode_from_cea_vic" },
	{ 0x931886df, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x24a94f41, "cec_fill_conn_info_from_drm" },
	{ 0x75b45ee9, "drm_sysfs_connector_property_event" },
	{ 0xfec64d23, "kmalloc_trace" },
	{ 0x7f9b3716, "cec_received_msg_ts" },
	{ 0x1b2a9ff5, "param_ops_int" },
	{ 0xe42ea78, "_dev_printk" },
	{ 0x9f8a21ad, "iov_iter_revert" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x852adaca, "devm_backlight_device_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3866c129, "kmalloc_caches" },
	{ 0x9e16c852, "drm_atomic_get_connector_state" },
	{ 0x7c545285, "drm_edid_get_monitor_name" },
	{ 0x9ba2a063, "drm_edid_read_ddc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6585af57, "cec_register_adapter" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x3dc20db7, "drm_crtc_add_crc_entry" },
	{ 0x6e2c1162, "cec_delete_adapter" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x364b04f, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x94e5a3ef, "drm_connector_register" },
	{ 0x9da2745d, "cec_transmit_attempt_done_ts" },
	{ 0xd3011f85, "param_ops_uint" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xe22bcea9, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf824c7db, "__drm_printfn_debug" },
	{ 0x31633b65, "drm_atomic_get_private_obj_state" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xd9acd293, "drm_atomic_private_obj_init" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x8c9950f6, "class_destroy" },
	{ 0x64c339ca, "cec_s_phys_addr" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x815d199e, "cec_s_conn_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7208fc63, "pcpu_hot" },
	{ 0x7edf470b, "drm_edid_duplicate" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xb8c1521b, "drm_connector_unregister" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "cec");


MODULE_INFO(srcversion, "2C40611221E6CED6FCFA865");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
