#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sensor_hub_register_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_remove_callback, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_set_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_get_feature, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_attr_get_raw_value, "_gpl", "");
KSYMTAB_FUNC(hid_sensor_get_usage_index, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_input_get_attribute_info, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_open, "_gpl", "");
KSYMTAB_FUNC(sensor_hub_device_close, "_gpl", "");

SYMBOL_CRC(sensor_hub_register_callback, 0x6ebe98e7, "_gpl");
SYMBOL_CRC(sensor_hub_remove_callback, 0x52733652, "_gpl");
SYMBOL_CRC(sensor_hub_set_feature, 0x6979d5ab, "_gpl");
SYMBOL_CRC(sensor_hub_get_feature, 0x741c1ca0, "_gpl");
SYMBOL_CRC(sensor_hub_input_attr_get_raw_value, 0x53e8995d, "_gpl");
SYMBOL_CRC(hid_sensor_get_usage_index, 0x7fc7ab86, "_gpl");
SYMBOL_CRC(sensor_hub_input_get_attribute_info, 0x428fc9eb, "_gpl");
SYMBOL_CRC(sensor_hub_device_open, 0x451198f3, "_gpl");
SYMBOL_CRC(sensor_hub_device_close, 0xaafc72a5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x37a0cba, "kfree" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x43fd63c2, "hid_hw_request" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xade5aadb, "_dev_warn" },
	{ 0xdae06f8f, "hid_hw_open" },
	{ 0x2042ddc2, "_dev_err" },
	{ 0x74e07415, "hid_hw_close" },
	{ 0xc3caa0cc, "__hid_register_driver" },
	{ 0x3f3d7f17, "__dynamic_dev_dbg" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x65b45cb, "complete" },
	{ 0x1f61cb34, "hid_hw_stop" },
	{ 0x1280dc93, "mfd_remove_devices" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xdcaac1fb, "hid_unregister_driver" },
	{ 0x3866c129, "kmalloc_caches" },
	{ 0xfec64d23, "kmalloc_trace" },
	{ 0xe22bcea9, "devm_kmalloc" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x574b5521, "hid_open_report" },
	{ 0xd48edcc0, "hid_hw_start" },
	{ 0xb6fad499, "devm_kasprintf" },
	{ 0xfd905a16, "mfd_add_devices" },
	{ 0xff85ad4e, "hid_set_field" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("hid:b*g0003v*p*");

MODULE_INFO(srcversion, "BB759574B423F79DE1507A8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
