#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0xf0811e26, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0x64696318, "_gpl");
SYMBOL_CRC(media_device_init, 0x96a8f4f5, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0xe63c2dda, "_gpl");
SYMBOL_CRC(__media_device_register, 0x875bd291, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0xe4ac9829, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0x38e09d9c, "_gpl");
SYMBOL_CRC(media_device_unregister, 0x1f1652e8, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0x7bff51ad, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0x99958cd0, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0x63f6ab86, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0x84798049, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x1731f34d, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0x077939bd, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0x10b6fa0d, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0x3c19606f, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0xcdd2c6d8, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0x8e2768ec, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0xc5069862, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0xb4dfadff, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0x3383eed7, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0x52014e7a, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0x7bc207c4, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0xde36152e, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0xe0729205, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0xb5d8f0f2, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0x204b38ab, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0xa72048aa, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0xaff22828, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0x60bfedaa, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0x20ccf78a, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0x29a32d2b, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0x92ab23f9, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0x82d8b309, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0xb4eda54f, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0xc1b27bd8, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0x170e783c, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0x4b9e1179, "_gpl");
SYMBOL_CRC(media_devnode_create, 0xb1b97b32, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0xe6a3de4c, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0x4738f6ce, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0xa9d6f17b, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0xb3a4d085, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0x5d43c1a5, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0x5efdf1c9, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0x6fd24e85, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0xc2115a2d, "_gpl");
SYMBOL_CRC(media_request_put, 0x3fac2993, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0x31dbc742, "_gpl");
SYMBOL_CRC(media_request_object_find, 0x0a547cb2, "_gpl");
SYMBOL_CRC(media_request_object_put, 0xf3e559c5, "_gpl");
SYMBOL_CRC(media_request_object_init, 0xa4ee708b, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0x8f17fc9c, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0x3b189cc0, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0x730fef3b, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0xb1062adb, "_gpl");
SYMBOL_CRC(media_device_delete, 0x6a2faf0e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x3f3d7f17, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xeeb9287f, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5349c33b, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x6f67f73b, "fwnode_graph_parse_endpoint" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x36448ce, "module_put" },
	{ 0xb19aeac8, "device_create_file" },
	{ 0x5286e1ec, "bus_unregister" },
	{ 0xcb20b2b4, "fput" },
	{ 0x2042ddc2, "_dev_err" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x6573f300, "ida_free" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0xade5aadb, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x58ee6d63, "platform_bus_type" },
	{ 0x9489471a, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfec64d23, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x44fd2c40, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x38854c6, "pci_bus_type" },
	{ 0x3866c129, "kmalloc_caches" },
	{ 0x917e53d8, "device_remove_file" },
	{ 0x61ebd8a2, "bus_register" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0xbddeaf99, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x2890f663, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe1e8f558, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x63632a55, "cdev_device_del" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2fc34c95, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xfe7d1c3b, "fd_install" },
	{ 0x37a0cba, "kfree" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xf6d9671a, "get_device" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "78979D55145D6C08120F62C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
