#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(saa7134_tuner_callback, "", "");
KSYMTAB_DATA(saa7134_devlist_lock, "", "");
KSYMTAB_DATA(saa7134_devlist, "", "");
KSYMTAB_FUNC(saa7134_stop_streaming, "_gpl", "");
KSYMTAB_FUNC(saa7134_ts_register, "", "");
KSYMTAB_FUNC(saa7134_ts_unregister, "", "");
KSYMTAB_FUNC(saa7134_set_gpio, "", "");
KSYMTAB_DATA(saa7134_boards, "", "");
KSYMTAB_DATA(saa7134_dmasound_init, "", "");
KSYMTAB_DATA(saa7134_dmasound_exit, "", "");
KSYMTAB_FUNC(saa7134_pgtable_free, "", "");
KSYMTAB_FUNC(saa7134_pgtable_build, "", "");
KSYMTAB_FUNC(saa7134_pgtable_alloc, "", "");
KSYMTAB_FUNC(saa7134_set_dmabits, "", "");
KSYMTAB_FUNC(saa7134_ts_buffer_init, "_gpl", "");
KSYMTAB_FUNC(saa7134_ts_buffer_prepare, "_gpl", "");
KSYMTAB_FUNC(saa7134_ts_queue_setup, "_gpl", "");
KSYMTAB_FUNC(saa7134_ts_start_streaming, "_gpl", "");
KSYMTAB_FUNC(saa7134_ts_stop_streaming, "_gpl", "");
KSYMTAB_DATA(saa7134_ts_qops, "_gpl", "");
KSYMTAB_FUNC(saa_dsp_writel, "", "");
KSYMTAB_FUNC(saa7134_tvaudio_setmute, "", "");
KSYMTAB_FUNC(saa7134_vb2_buffer_queue, "_gpl", "");
KSYMTAB_FUNC(saa7134_enum_input, "_gpl", "");
KSYMTAB_FUNC(saa7134_g_input, "_gpl", "");
KSYMTAB_FUNC(saa7134_s_input, "_gpl", "");
KSYMTAB_FUNC(saa7134_querycap, "_gpl", "");
KSYMTAB_FUNC(saa7134_s_std, "_gpl", "");
KSYMTAB_FUNC(saa7134_g_std, "_gpl", "");
KSYMTAB_FUNC(saa7134_querystd, "_gpl", "");
KSYMTAB_FUNC(saa7134_g_tuner, "_gpl", "");
KSYMTAB_FUNC(saa7134_s_tuner, "_gpl", "");
KSYMTAB_FUNC(saa7134_g_frequency, "_gpl", "");
KSYMTAB_FUNC(saa7134_s_frequency, "_gpl", "");

SYMBOL_CRC(saa7134_tuner_callback, 0x04e83446, "");
SYMBOL_CRC(saa7134_devlist_lock, 0x645f7164, "");
SYMBOL_CRC(saa7134_devlist, 0x1211df5d, "");
SYMBOL_CRC(saa7134_stop_streaming, 0x993844df, "_gpl");
SYMBOL_CRC(saa7134_ts_register, 0x1d35b7fe, "");
SYMBOL_CRC(saa7134_ts_unregister, 0xa92e8656, "");
SYMBOL_CRC(saa7134_set_gpio, 0x3bbd1eaf, "");
SYMBOL_CRC(saa7134_boards, 0x730c4be3, "");
SYMBOL_CRC(saa7134_dmasound_init, 0x8b8de6c3, "");
SYMBOL_CRC(saa7134_dmasound_exit, 0xab6028ae, "");
SYMBOL_CRC(saa7134_pgtable_free, 0xea54bfa5, "");
SYMBOL_CRC(saa7134_pgtable_build, 0x0f6d3e9a, "");
SYMBOL_CRC(saa7134_pgtable_alloc, 0x15419384, "");
SYMBOL_CRC(saa7134_set_dmabits, 0x24c68c9e, "");
SYMBOL_CRC(saa7134_ts_buffer_init, 0xc6d87f42, "_gpl");
SYMBOL_CRC(saa7134_ts_buffer_prepare, 0xec243cca, "_gpl");
SYMBOL_CRC(saa7134_ts_queue_setup, 0xab056235, "_gpl");
SYMBOL_CRC(saa7134_ts_start_streaming, 0x0fbc22da, "_gpl");
SYMBOL_CRC(saa7134_ts_stop_streaming, 0x2b39b51b, "_gpl");
SYMBOL_CRC(saa7134_ts_qops, 0x30544183, "_gpl");
SYMBOL_CRC(saa_dsp_writel, 0x3b02e3ed, "");
SYMBOL_CRC(saa7134_tvaudio_setmute, 0x2db7a6e0, "");
SYMBOL_CRC(saa7134_vb2_buffer_queue, 0x1627fe1b, "_gpl");
SYMBOL_CRC(saa7134_enum_input, 0x9877a14f, "_gpl");
SYMBOL_CRC(saa7134_g_input, 0x26f0d31d, "_gpl");
SYMBOL_CRC(saa7134_s_input, 0xa3e42b73, "_gpl");
SYMBOL_CRC(saa7134_querycap, 0xb18ef7f2, "_gpl");
SYMBOL_CRC(saa7134_s_std, 0x4bc89f78, "_gpl");
SYMBOL_CRC(saa7134_g_std, 0x31f328a5, "_gpl");
SYMBOL_CRC(saa7134_querystd, 0x4e396407, "_gpl");
SYMBOL_CRC(saa7134_g_tuner, 0x1a63c09d, "_gpl");
SYMBOL_CRC(saa7134_s_tuner, 0x630b49bb, "_gpl");
SYMBOL_CRC(saa7134_g_frequency, 0x41e05fb2, "_gpl");
SYMBOL_CRC(saa7134_s_frequency, 0x00f1464a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcad7cf1d, "wake_up_process" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3cdb88a7, "v4l2_ctrl_handler_setup" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x51e0d0bf, "video_devdata" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x94d67ec0, "i2c_del_adapter" },
	{ 0x4bfb6982, "vb2_plane_cookie" },
	{ 0xf0811e26, "media_device_register_entity" },
	{ 0xe63c2dda, "media_device_cleanup" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x61be0dbd, "rc_keyup" },
	{ 0xd09fda11, "vb2_ioctl_dqbuf" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x6889b211, "v4l2_ctrl_new_custom" },
	{ 0xb529facb, "rc_keydown_notimeout" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd4c5292b, "v4l2_fh_release" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xd9f74fa5, "rc_register_device" },
	{ 0xf3b57135, "dma_alloc_attrs" },
	{ 0x9a038c7d, "ir_raw_event_store_edge" },
	{ 0x525b457a, "vb2_buffer_done" },
	{ 0xfd166e55, "v4l2_ctrl_subscribe_event" },
	{ 0x84798049, "media_entity_pads_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0x83559f61, "video_unregister_device" },
	{ 0x6eb78196, "kthread_stop" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x5c47a5c4, "i2c_new_client_device" },
	{ 0x8d384e51, "vb2_ioctl_qbuf" },
	{ 0x75ce154f, "freezing_slow_path" },
	{ 0xdbba8f7e, "vb2_fop_mmap" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x65d85293, "video_device_alloc" },
	{ 0x72368c30, "rc_free_device" },
	{ 0x45cfc442, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3a174f43, "vb2_fop_read" },
	{ 0xb689d4e9, "v4l2_device_register" },
	{ 0x3a080cd9, "param_ops_string" },
	{ 0x4897ec95, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe89a548b, "kthread_create_on_node" },
	{ 0x14d31339, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x20ccf78a, "media_entity_setup_link" },
	{ 0xdd64e639, "strscpy" },
	{ 0xecc9c637, "dma_free_attrs" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa773f9a5, "param_ops_bool" },
	{ 0xbd85ba44, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xbff03070, "pci_write_config_byte" },
	{ 0x52549611, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xaf0a8af8, "vb2_ioctl_streamon" },
	{ 0x54916965, "v4l2_mc_create_media_graph" },
	{ 0xa11d297c, "vb2_fop_poll" },
	{ 0x5e1ae324, "v4l2_ctrl_new_std" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0xff81f452, "v4l2_ctrl_handler_free" },
	{ 0x683f42d8, "i2c_transfer" },
	{ 0x7914f97e, "v4l2_device_unregister" },
	{ 0xfcc989e, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xf73f6ad8, "video_device_release" },
	{ 0xf9573e59, "v4l2_ctrl_log_status" },
	{ 0xfec64d23, "kmalloc_trace" },
	{ 0x622afb0b, "v4l2_i2c_new_subdev" },
	{ 0x8f9a2e79, "pci_read_config_byte" },
	{ 0x64696318, "media_device_unregister_entity" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1b2a9ff5, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x7d9f12dd, "_vb2_fop_release" },
	{ 0xf9a482f9, "msleep" },
	{ 0xacf34f38, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x64557c8f, "v4l2_event_unsubscribe" },
	{ 0x3866c129, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x47a0e509, "vb2_ioctl_reqbufs" },
	{ 0x29adc58a, "vb2_queue_init" },
	{ 0xabb97e9e, "cpu_latency_qos_remove_request" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x6282d198, "vb2_dma_sg_memops" },
	{ 0x3d7e465f, "v4l2_ctrl_poll" },
	{ 0xecfe166c, "video_ioctl2" },
	{ 0x1f1652e8, "media_device_unregister" },
	{ 0x5d06df06, "pci_enable_device" },
	{ 0x8ccac6ae, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x3ba1cfec, "v4l2_ctrl_radio_filter" },
	{ 0xae470ad9, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7bff51ad, "media_device_pci_init" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xab8095d3, "v4l2_ctrl_add_handler" },
	{ 0xf2b99106, "vb2_ops_wait_finish" },
	{ 0xe05dd99d, "__pci_register_driver" },
	{ 0x8c766042, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x7243322, "param_array_ops" },
	{ 0x4dbd8b07, "cpu_latency_qos_add_request" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x875bd291, "__media_device_register" },
	{ 0x7208fc63, "pcpu_hot" },
	{ 0xd93d663b, "vb2_ioctl_querybuf" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x5e084107, "i2c_transfer_buffer_flags" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd788cd32, "v4l2_fh_open" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x745549d1, "pci_unregister_driver" },
	{ 0x42761e7b, "vb2_video_unregister_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "videodev,videobuf2-common,mc,rc-core,videobuf2-v4l2,tveeprom,videobuf2-dma-sg");

MODULE_ALIAS("pci:v00001131d00007134sv00001131sd00002001bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001131sd00002001bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001131sd00006752bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001131sd00004E85bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv0000153Bsd00001142bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv0000153Bsd00001143bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv0000153Bsd00001158bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv0000153Bsd00001162bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00005169sd00000138bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00005168sd00000138bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00004E42sd00000138bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00005168sd00000138bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00004E42sd00000138bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005168sd00000212bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv000014C0sd00001212bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00004E42sd00000212bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005168sd00000214bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005168sd00005214bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001489sd00000214bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv000016BEsd00000003bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv000016BEsd00005000bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001048sd0000226Bbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001048sd0000226Abc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001048sd0000226Cbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001043sd00004842bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001043sd00004845bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001043sd00004830bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001043sd00004843bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001043sd00004840bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001131sd0000FE01bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001894sd0000FE01bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001894sd0000A006bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001131sd00007133bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001131sd00002001bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv0000185Bsd0000C100bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv0000185Bsd0000C100bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv0000102Bsd000048D0bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001461sd0000A70Bbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd0000A7A1bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd0000A7A2bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001461sd00002115bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001461sd0000A115bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001461sd00002108bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001461sd000010FFbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001461sd0000D6EEbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001461sd0000B7E9bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001461sd0000050Cbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv000011BDsd0000002Bbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv000011BDsd0000002Dbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001019sd00004CB4bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001019sd00004CB5bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001019sd00004CB6bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv000012ABsd00000800bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv0000153Bsd00001152bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv0000185Bsd0000C100bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001461sd00009715bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001461sd0000A70Abc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv0000185Bsd0000C200bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001540sd00009524bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005168sd00000502bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005168sd00000306bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd0000F31Fbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd0000F11Dbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd00004155bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd00004255bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001131sd00002004bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001421sd00000350bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001421sd00000351bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001421sd00000370bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001421sd00001370bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00004E42sd00000502bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001043sd00000210bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001043sd00000210bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000000sd00004091bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005456sd00007135bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001131sd00002004bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv0000185Bsd0000C900bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv0000185Bsd0000C901bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001435sd00007350bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001435sd00007330bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd00001044bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001131sd00004EE9bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv000011BDsd0000002Ebc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001043sd00004862bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001131sd00002018bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001462sd00006231bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001462sd00008624bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv0000153Bsd00001160bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005168sd00000319bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001461sd00002C05bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00005168sd00000301bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000331sd00001421bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv000017DEsd00007201bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv000017DEsd00007250bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv000017DEsd00007350bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv000017DEsd00007352bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv000017DEsd0000A134bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001461sd00007360bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001461sd00006360bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv000016BEsd00000005bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00005168sd00000300bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00004E42sd00000300bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001489sd00000301bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005168sd00000304bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005168sd00003306bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005168sd00003502bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005168sd00003307bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv000016BEsd00000007bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv000016BEsd00000008bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv000016BEsd0000000Dbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd00002C05bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001489sd00000502bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00000919sd00002003bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001461sd00002C00bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001043sd00004860bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv000011BDsd0000002Fbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd00009715bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001461sd0000A11Bbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001043sd00004876bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000070sd00006700bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000070sd00006701bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000070sd00006702bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000070sd00006703bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000070sd00006704bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000070sd00006705bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000070sd00006706bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000070sd00006707bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000070sd00006708bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000070sd00006709bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000070sd0000670Abc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv0000153Bsd00001172bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001131sd00002342bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001131sd00002341bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00003016sd00002344bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001131sd0000230Fbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001A7Fsd00002008bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001A7Fsd00002108bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv0000153Bsd00001175bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd0000F31Ebc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00004E42sd00000306bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001043sd00004871bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001043sd00004857bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00000919sd00002003bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001131sd00002304bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd0000F01Dbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00000000sd00004016bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00000000sd00004036bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00000000sd00004037bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00000000sd00004050bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00000000sd00004051bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00000000sd00004070bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00000000sd00004071bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000000sd00004090bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00000000sd0000505Bbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00000000sd00005051bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00005ACEsd00005050bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000000sd00005071bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000000sd0000507Bbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00005ACEsd00005070bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005ACEsd00005090bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00000000sd00005201bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00005ACEsd00006070bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00005ACEsd00006071bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00005ACEsd00006072bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00005ACEsd00006073bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005ACEsd00006090bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005ACEsd00006091bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005ACEsd00006092bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005ACEsd00006093bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005ACEsd00006190bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005ACEsd00006193bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005ACEsd00006191bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00004E42sd00003502bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001822sd00000022bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv000016BEsd00000010bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001462sd00008625bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd0000F436bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd0000F936bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd0000A836bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv0000185Bsd0000C900bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001421sd00000380bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005169sd00001502bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005ACEsd00006290bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd0000F636bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd0000F736bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001043sd00004878bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001043sd000048CDbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv000017DEsd00007128bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv000017DEsd0000B136bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd0000F31Dbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv0000185Bsd0000C900bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005ACEsd00007595bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv000019D1sd00000138bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001131sd00002004bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001043sd00004847bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv0000107Dsd00006655bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv000013C2sd00002804bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005ACEsd00007190bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005ACEsd00007090bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007135sv0000185Bsd0000C900bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00005ACEsd00005030bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00005ACEsd00005010bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv000017DEsd0000D136bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00006000sd00000811bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00006000sd00000911bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001461sd00002055bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001905sd00007007bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001461sd0000A10Abc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv0000107Dsd00006F3Abc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv00001779sd000013CFbc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv0000107Dsd00006F2Ebc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv00001131sd00000000bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv00001131sd00000000bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007130sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007133sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007134sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007135sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "8B80AA6EB2E7BFBFE97BC92");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
