#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa487a98b, "usb_submit_urb" },
	{ 0x94d67ec0, "i2c_del_adapter" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2042ddc2, "_dev_err" },
	{ 0x5a824e04, "usb_free_coherent" },
	{ 0xd4c5292b, "v4l2_fh_release" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xd35168ac, "usb_control_msg" },
	{ 0xfd166e55, "v4l2_ctrl_subscribe_event" },
	{ 0x5e25da99, "v4l2_fh_init" },
	{ 0x83559f61, "video_unregister_device" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x5c47a5c4, "i2c_new_client_device" },
	{ 0x53da625b, "usb_deregister" },
	{ 0xd9fb74d5, "v4l2_device_disconnect" },
	{ 0x39cd8326, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xd034392d, "v4l2_match_dv_timings" },
	{ 0xb689d4e9, "v4l2_device_register" },
	{ 0x4897ec95, "i2c_add_adapter" },
	{ 0xdd64e639, "strscpy" },
	{ 0x35a4208, "v4l2_ctrl_activate" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xa773f9a5, "param_ops_bool" },
	{ 0xbd85ba44, "__video_register_device" },
	{ 0x9874493d, "usb_kill_urb" },
	{ 0x5e1ae324, "v4l2_ctrl_new_std" },
	{ 0xff81f452, "v4l2_ctrl_handler_free" },
	{ 0x7914f97e, "v4l2_device_unregister" },
	{ 0xf9573e59, "v4l2_ctrl_log_status" },
	{ 0xfec64d23, "kmalloc_trace" },
	{ 0x1b2a9ff5, "param_ops_int" },
	{ 0x8ec9683f, "v4l2_ctrl_cluster" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x64557c8f, "v4l2_event_unsubscribe" },
	{ 0x3866c129, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xcd3213c2, "usb_alloc_urb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3d7e465f, "v4l2_ctrl_poll" },
	{ 0xecfe166c, "video_ioctl2" },
	{ 0x94d9131c, "usb_free_urb" },
	{ 0xd3011f85, "param_ops_uint" },
	{ 0x378581cd, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x953f3961, "v4l2_fh_add" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x988d56ee, "usb_register_driver" },
	{ 0x8c766042, "v4l2_ctrl_handler_init_class" },
	{ 0x7243322, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x3cdb88a7, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xe37588d9, "usb_put_dev" },
	{ 0xefeb028e, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x51e0d0bf, "video_devdata" },
	{ 0xa916b694, "strnlen" },
	{ 0xa161ff7c, "usb_get_dev" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,v4l2-dv-timings");

MODULE_ALIAS("usb:v2040p4900d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4902d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4982d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4903d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "D86FD15374FD8D382AA54B6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
