#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mptscsih_flush_running_cmds, "", "");
KSYMTAB_FUNC(mptscsih_IssueTaskMgmt, "", "");
KSYMTAB_FUNC(mptscsih_taskmgmt_response_code, "", "");
KSYMTAB_FUNC(mptscsih_is_phys_disk, "", "");
KSYMTAB_FUNC(mptscsih_raid_id_to_num, "", "");
KSYMTAB_FUNC(mptscsih_get_scsi_lookup, "", "");
KSYMTAB_DATA(mptscsih_host_attr_groups, "", "");
KSYMTAB_FUNC(mptscsih_remove, "", "");
KSYMTAB_FUNC(mptscsih_shutdown, "", "");
KSYMTAB_FUNC(mptscsih_suspend, "", "");
KSYMTAB_FUNC(mptscsih_resume, "", "");
KSYMTAB_FUNC(mptscsih_show_info, "", "");
KSYMTAB_FUNC(mptscsih_info, "", "");
KSYMTAB_FUNC(mptscsih_qcmd, "", "");
KSYMTAB_FUNC(mptscsih_slave_destroy, "", "");
KSYMTAB_FUNC(mptscsih_slave_configure, "", "");
KSYMTAB_FUNC(mptscsih_abort, "", "");
KSYMTAB_FUNC(mptscsih_dev_reset, "", "");
KSYMTAB_FUNC(mptscsih_target_reset, "", "");
KSYMTAB_FUNC(mptscsih_bus_reset, "", "");
KSYMTAB_FUNC(mptscsih_host_reset, "", "");
KSYMTAB_FUNC(mptscsih_bios_param, "", "");
KSYMTAB_FUNC(mptscsih_io_done, "", "");
KSYMTAB_FUNC(mptscsih_taskmgmt_complete, "", "");
KSYMTAB_FUNC(mptscsih_scandv_complete, "", "");
KSYMTAB_FUNC(mptscsih_event_process, "", "");
KSYMTAB_FUNC(mptscsih_ioc_reset, "", "");
KSYMTAB_FUNC(mptscsih_change_queue_depth, "", "");

SYMBOL_CRC(mptscsih_flush_running_cmds, 0xf7898dd6, "");
SYMBOL_CRC(mptscsih_IssueTaskMgmt, 0x2db20a9a, "");
SYMBOL_CRC(mptscsih_taskmgmt_response_code, 0x8ac9f5b2, "");
SYMBOL_CRC(mptscsih_is_phys_disk, 0x67cac985, "");
SYMBOL_CRC(mptscsih_raid_id_to_num, 0x7440326e, "");
SYMBOL_CRC(mptscsih_get_scsi_lookup, 0x6ef9db1e, "");
SYMBOL_CRC(mptscsih_host_attr_groups, 0x98213e23, "");
SYMBOL_CRC(mptscsih_remove, 0x6bd5f751, "");
SYMBOL_CRC(mptscsih_shutdown, 0x03165b6b, "");
SYMBOL_CRC(mptscsih_suspend, 0xde839334, "");
SYMBOL_CRC(mptscsih_resume, 0xb855acef, "");
SYMBOL_CRC(mptscsih_show_info, 0x5f49c1bb, "");
SYMBOL_CRC(mptscsih_info, 0xe4f39528, "");
SYMBOL_CRC(mptscsih_qcmd, 0xd7aef7a0, "");
SYMBOL_CRC(mptscsih_slave_destroy, 0x3378701f, "");
SYMBOL_CRC(mptscsih_slave_configure, 0x968cdc1b, "");
SYMBOL_CRC(mptscsih_abort, 0x814eb0d7, "");
SYMBOL_CRC(mptscsih_dev_reset, 0x3b4856a1, "");
SYMBOL_CRC(mptscsih_target_reset, 0x9c538a66, "");
SYMBOL_CRC(mptscsih_bus_reset, 0x0198a390, "");
SYMBOL_CRC(mptscsih_host_reset, 0x01ff93ad, "");
SYMBOL_CRC(mptscsih_bios_param, 0x2c07922f, "");
SYMBOL_CRC(mptscsih_io_done, 0xe525dcad, "");
SYMBOL_CRC(mptscsih_taskmgmt_complete, 0x96a60b8b, "");
SYMBOL_CRC(mptscsih_scandv_complete, 0xbd829c58, "");
SYMBOL_CRC(mptscsih_event_process, 0x73352148, "");
SYMBOL_CRC(mptscsih_ioc_reset, 0xe7f777cd, "");
SYMBOL_CRC(mptscsih_change_queue_depth, 0xdeff5213, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x122c3a7e, "_printk" },
	{ 0x37a0cba, "kfree" },
	{ 0xc101a569, "scsi_host_put" },
	{ 0x16f462a7, "mpt_detach" },
	{ 0x4b37057a, "scsi_block_requests" },
	{ 0x53c9500, "mpt_suspend" },
	{ 0x94b54da, "mpt_resume" },
	{ 0x3158421e, "scsi_unblock_requests" },
	{ 0xcab32d24, "mpt_print_ioc_summary" },
	{ 0x3866c129, "kmalloc_caches" },
	{ 0xfec64d23, "kmalloc_trace" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x17452315, "seq_printf" },
	{ 0x5dc36e1b, "mpt_get_msg_frame" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdb437423, "mpt_put_msg_frame" },
	{ 0x476a2210, "scsi_dma_map" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x9e0367e9, "mpt_free_msg_frame" },
	{ 0x6ca38d2c, "mpt_GetIocState" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x28945b39, "mpt_set_taskmgmt_in_progress_flag" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4d841577, "mpt_put_msg_frame_hi_pri" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x89541121, "mpt_clear_taskmgmt_in_progress_flag" },
	{ 0x100eb464, "mpt_Soft_Hard_ResetHandler" },
	{ 0x91179a7b, "mpt_send_handshake_request" },
	{ 0xffa8dfd8, "mpt_HardResetHandler" },
	{ 0x48f36c2c, "scsi_print_command" },
	{ 0x65b45cb, "complete" },
	{ 0x6dfb58d7, "scsi_change_queue_depth" },
	{ 0x68183687, "blk_queue_dma_alignment" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x754d539c, "strlen" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8a5d3b36, "mpt_raid_phys_disk_get_num_paths" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4bce0b6a, "mpt_raid_phys_disk_pg1" },
	{ 0x840ffdeb, "scsi_dma_unmap" },
	{ 0x10096edb, "scsi_done" },
	{ 0x502108d0, "mpt_fwfault_debug" },
	{ 0x4c0f0590, "mpt_halt_firmware" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod,mptbase,scsi_common");


MODULE_INFO(srcversion, "9137CA81BF39A17E7D7C699");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
