#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nanddev_isbad, "_gpl", "");
KSYMTAB_FUNC(nanddev_markbad, "_gpl", "");
KSYMTAB_FUNC(nanddev_isreserved, "_gpl", "");
KSYMTAB_FUNC(nanddev_mtd_erase, "_gpl", "");
KSYMTAB_FUNC(nanddev_mtd_max_bad_blocks, "_gpl", "");
KSYMTAB_FUNC(nanddev_ecc_engine_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_ecc_engine_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_init, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_cleanup, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_update, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_get_block_status, "_gpl", "");
KSYMTAB_FUNC(nanddev_bbt_set_block_status, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_prepare_io_req, "", "");
KSYMTAB_FUNC(nand_ecc_finish_io_req, "", "");
KSYMTAB_FUNC(nand_get_small_page_ooblayout, "_gpl", "");
KSYMTAB_FUNC(nand_get_large_page_ooblayout, "_gpl", "");
KSYMTAB_FUNC(nand_get_large_page_hamming_ooblayout, "_gpl", "");
KSYMTAB_FUNC(of_get_nand_ecc_user_config, "", "");
KSYMTAB_FUNC(nand_ecc_is_strong_enough, "", "");
KSYMTAB_FUNC(nand_ecc_init_req_tweaking, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_cleanup_req_tweaking, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_tweak_req, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_restore_req, "_gpl", "");
KSYMTAB_FUNC(nand_ecc_get_sw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_get_on_die_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_register_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_unregister_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_get_on_host_hw_engine, "", "");
KSYMTAB_FUNC(nand_ecc_put_on_host_hw_engine, "", "");
KSYMTAB_FUNC(ecc_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_calculate, "", "");
KSYMTAB_FUNC(ecc_sw_hamming_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_hamming_get_engine, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_calculate, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_correct, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_init_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_cleanup_ctx, "", "");
KSYMTAB_FUNC(nand_ecc_sw_bch_get_engine, "", "");

SYMBOL_CRC(nanddev_isbad, 0xbfac46c9, "_gpl");
SYMBOL_CRC(nanddev_markbad, 0x44359222, "_gpl");
SYMBOL_CRC(nanddev_isreserved, 0x74a0b66c, "_gpl");
SYMBOL_CRC(nanddev_mtd_erase, 0xcd571482, "_gpl");
SYMBOL_CRC(nanddev_mtd_max_bad_blocks, 0xb60fdcaf, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_init, 0xc9edfc40, "_gpl");
SYMBOL_CRC(nanddev_ecc_engine_cleanup, 0x8e68b79a, "_gpl");
SYMBOL_CRC(nanddev_init, 0xa11cb445, "_gpl");
SYMBOL_CRC(nanddev_cleanup, 0x46be4c61, "_gpl");
SYMBOL_CRC(nanddev_bbt_init, 0x33b100ed, "_gpl");
SYMBOL_CRC(nanddev_bbt_cleanup, 0xc8218d07, "_gpl");
SYMBOL_CRC(nanddev_bbt_update, 0x30655843, "_gpl");
SYMBOL_CRC(nanddev_bbt_get_block_status, 0xd540e3e5, "_gpl");
SYMBOL_CRC(nanddev_bbt_set_block_status, 0x9bfa3f37, "_gpl");
SYMBOL_CRC(nand_ecc_init_ctx, 0xcbaaf506, "");
SYMBOL_CRC(nand_ecc_cleanup_ctx, 0xffccad1e, "");
SYMBOL_CRC(nand_ecc_prepare_io_req, 0x7235d5a1, "");
SYMBOL_CRC(nand_ecc_finish_io_req, 0x0c1cbbbb, "");
SYMBOL_CRC(nand_get_small_page_ooblayout, 0x836740e3, "_gpl");
SYMBOL_CRC(nand_get_large_page_ooblayout, 0x5dceca3e, "_gpl");
SYMBOL_CRC(nand_get_large_page_hamming_ooblayout, 0x0b46bbed, "_gpl");
SYMBOL_CRC(of_get_nand_ecc_user_config, 0x0d39b4ff, "");
SYMBOL_CRC(nand_ecc_is_strong_enough, 0xe6679c3d, "");
SYMBOL_CRC(nand_ecc_init_req_tweaking, 0xed00520e, "_gpl");
SYMBOL_CRC(nand_ecc_cleanup_req_tweaking, 0x0e393d26, "_gpl");
SYMBOL_CRC(nand_ecc_tweak_req, 0xefe0e4e9, "_gpl");
SYMBOL_CRC(nand_ecc_restore_req, 0x7bb24271, "_gpl");
SYMBOL_CRC(nand_ecc_get_sw_engine, 0x15398e9d, "");
SYMBOL_CRC(nand_ecc_get_on_die_hw_engine, 0xefa5cb8a, "");
SYMBOL_CRC(nand_ecc_register_on_host_hw_engine, 0x78c8a06a, "");
SYMBOL_CRC(nand_ecc_unregister_on_host_hw_engine, 0x8bb98efc, "");
SYMBOL_CRC(nand_ecc_get_on_host_hw_engine, 0xc43de149, "");
SYMBOL_CRC(nand_ecc_put_on_host_hw_engine, 0x9d8ab6a8, "");
SYMBOL_CRC(ecc_sw_hamming_calculate, 0xff4351b0, "");
SYMBOL_CRC(nand_ecc_sw_hamming_calculate, 0xdbd16c37, "");
SYMBOL_CRC(ecc_sw_hamming_correct, 0xe6db989b, "");
SYMBOL_CRC(nand_ecc_sw_hamming_correct, 0xdb185df4, "");
SYMBOL_CRC(nand_ecc_sw_hamming_init_ctx, 0xaf583b72, "");
SYMBOL_CRC(nand_ecc_sw_hamming_cleanup_ctx, 0x43935519, "");
SYMBOL_CRC(nand_ecc_sw_hamming_get_engine, 0x2d334286, "");
SYMBOL_CRC(nand_ecc_sw_bch_calculate, 0xf7fd0b56, "");
SYMBOL_CRC(nand_ecc_sw_bch_correct, 0x7bfbfa26, "");
SYMBOL_CRC(nand_ecc_sw_bch_init_ctx, 0xd43c18b3, "");
SYMBOL_CRC(nand_ecc_sw_bch_cleanup_ctx, 0x08a4cedf, "");
SYMBOL_CRC(nand_ecc_sw_bch_get_engine, 0xc5c0179c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x50c36bf2, "mtd_ooblayout_set_eccbytes" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5349c33b, "put_device" },
	{ 0xb7075882, "mtd_check_expert_analysis_mode" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xd3e3481, "bch_free" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9024c14a, "mtd_ooblayout_count_eccbytes" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x860a2eab, "bch_decode" },
	{ 0x1a267fa8, "bch_init" },
	{ 0xfec64d23, "kmalloc_trace" },
	{ 0x29a2b7a7, "mtd_ooblayout_get_eccbytes" },
	{ 0xc303f52, "bch_encode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3866c129, "kmalloc_caches" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "mtd,bch");


MODULE_INFO(srcversion, "C8CC18D47CCA8CBC7F50A06");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
