#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_state_get_by_berr_counter, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_threaded_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_manual, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_enable, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_del, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0xce8fcf54, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0x5c422c29, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x1711d908, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0x30557205, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0xa4a6f827, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0xec6c8ea5, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x0b328c29, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0x7dcc3f65, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_state_get_by_berr_counter, 0xa2d5e5d0, "_gpl");
SYMBOL_CRC(can_change_state, 0x677938b9, "_gpl");
SYMBOL_CRC(can_bus_off, 0xe68e23ad, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x2dbe88e0, "_gpl");
SYMBOL_CRC(free_candev, 0x707636b7, "_gpl");
SYMBOL_CRC(can_change_mtu, 0x116b496f, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0x19932d8d, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0xa34de720, "");
SYMBOL_CRC(open_candev, 0xa4e7198a, "_gpl");
SYMBOL_CRC(close_candev, 0xb0c59de0, "_gpl");
SYMBOL_CRC(register_candev, 0xd583b9a4, "_gpl");
SYMBOL_CRC(unregister_candev, 0xb70149b5, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x1d61ba5e, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0x1d4c16ae, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_timestamp, 0xa065f6a0, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_fifo, 0x5346e774, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_timestamp, 0x144179af, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_timestamp, 0x7cda6781, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_tail, 0x6fc81c76, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_tail, 0xfafd0e0f, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_finish, 0xe1210979, "_gpl");
SYMBOL_CRC(can_rx_offload_threaded_irq_finish, 0xc04b87f5, "_gpl");
SYMBOL_CRC(can_rx_offload_add_timestamp, 0x9ae0c23d, "_gpl");
SYMBOL_CRC(can_rx_offload_add_fifo, 0x721c878b, "_gpl");
SYMBOL_CRC(can_rx_offload_add_manual, 0x5a64dcc6, "_gpl");
SYMBOL_CRC(can_rx_offload_enable, 0x764d0bea, "_gpl");
SYMBOL_CRC(can_rx_offload_del, 0x6f2293a2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b7ebe3a, "skb_dequeue" },
	{ 0xcc399833, "rtnl_link_register" },
	{ 0x7208fc63, "pcpu_hot" },
	{ 0x7c2a8348, "netdev_warn" },
	{ 0x1457e92d, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x6d997103, "__netif_napi_del" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x3f3d7f17, "__dynamic_dev_dbg" },
	{ 0x184ac495, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x93d644d4, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x4bc2071d, "napi_complete_done" },
	{ 0xaa7b3f7c, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x2c0d999, "__napi_schedule" },
	{ 0xc989e674, "device_property_read_u32_array" },
	{ 0xfde52161, "rtnl_link_unregister" },
	{ 0xbfaa0a8d, "kfree_skb_reason" },
	{ 0x9d9daf3c, "napi_enable" },
	{ 0xbacbc786, "netif_receive_skb" },
	{ 0xd5a43273, "nla_put" },
	{ 0x96c0e565, "register_netdev" },
	{ 0x7c1efe0f, "free_netdev" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x3ebad80f, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa42f876b, "netif_rx" },
	{ 0x4d1435af, "__netdev_alloc_skb" },
	{ 0xfbcf72c0, "skb_trim" },
	{ 0x14377c4c, "__dynamic_netdev_dbg" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1fdff884, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x808152fa, "skb_clone" },
	{ 0xee9a7e9e, "netif_carrier_on" },
	{ 0x4030b136, "dev_err_probe" },
	{ 0x33b21772, "napi_schedule_prep" },
	{ 0xfe5901bd, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x615603ab, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6db513d1, "skb_put" },
	{ 0x63f0bcbc, "gpiod_set_value" },
	{ 0x1fe00346, "skb_tstamp_tx" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x4dd1c696, "consume_skb" },
	{ 0x50789b9, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd9a666b9, "unregister_netdev" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "65BDC91C4E337EC694F2359");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
