#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(phy_print_status, "", "");
KSYMTAB_FUNC(phy_get_rate_matching, "_gpl", "");
KSYMTAB_FUNC(phy_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(phy_aneg_done, "", "");
KSYMTAB_FUNC(phy_check_valid, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_get, "", "");
KSYMTAB_FUNC(phy_mii_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl, "", "");
KSYMTAB_FUNC(phy_do_ioctl_running, "", "");
KSYMTAB_FUNC(phy_queue_state_machine, "", "");
KSYMTAB_FUNC(phy_trigger_machine, "", "");
KSYMTAB_FUNC(phy_ethtool_get_strings, "", "");
KSYMTAB_FUNC(phy_ethtool_get_sset_count, "", "");
KSYMTAB_FUNC(phy_ethtool_get_stats, "", "");
KSYMTAB_FUNC(phy_start_cable_test, "", "");
KSYMTAB_FUNC(phy_start_cable_test_tdr, "", "");
KSYMTAB_FUNC(phy_config_aneg, "", "");
KSYMTAB_FUNC(_phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_start_aneg, "", "");
KSYMTAB_FUNC(phy_ethtool_ksettings_set, "", "");
KSYMTAB_FUNC(phy_speed_down, "_gpl", "");
KSYMTAB_FUNC(phy_speed_up, "_gpl", "");
KSYMTAB_FUNC(phy_start_machine, "_gpl", "");
KSYMTAB_FUNC(phy_error, "", "");
KSYMTAB_FUNC(phy_request_interrupt, "", "");
KSYMTAB_FUNC(phy_free_interrupt, "", "");
KSYMTAB_FUNC(phy_stop, "", "");
KSYMTAB_FUNC(phy_start, "", "");
KSYMTAB_FUNC(phy_mac_interrupt, "", "");
KSYMTAB_FUNC(phy_init_eee, "", "");
KSYMTAB_FUNC(phy_get_eee_err, "", "");
KSYMTAB_FUNC(phy_ethtool_get_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_ethtool_set_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_wol, "", "");
KSYMTAB_FUNC(phy_ethtool_get_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_set_link_ksettings, "", "");
KSYMTAB_FUNC(phy_ethtool_nway_reset, "", "");
KSYMTAB_FUNC(genphy_c45_pma_resume, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_suspend, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_setup_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_setup_forced, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_an_disable_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_check_and_restart_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_aneg_done, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_link, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_lpa, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_master_slave, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_pma, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_mdix, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_eee_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_baset1_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_ext_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_pma_read_abilities, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_baset1_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_read_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_config_aneg, "_gpl", "");
KSYMTAB_FUNC(gen10g_config_aneg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_loopback, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_fast_retrain, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_set_cfg, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_plca_get_status, "_gpl", "");
KSYMTAB_FUNC(genphy_c45_eee_is_active, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_get_eee, "", "");
KSYMTAB_FUNC(genphy_c45_ethtool_set_eee, "", "");
KSYMTAB_FUNC(phy_speed_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_duplex_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_rate_matching_to_str, "_gpl", "");
KSYMTAB_FUNC(phy_interface_num_ports, "_gpl", "");
KSYMTAB_FUNC(phy_lookup_setting, "_gpl", "");
KSYMTAB_FUNC(phy_set_max_speed, "", "");
KSYMTAB_FUNC(phy_resolve_aneg_pause, "_gpl", "");
KSYMTAB_FUNC(phy_resolve_aneg_linkmode, "_gpl", "");
KSYMTAB_FUNC(phy_check_downshift, "_gpl", "");
KSYMTAB_FUNC(__phy_read_mmd, "", "");
KSYMTAB_FUNC(phy_read_mmd, "", "");
KSYMTAB_FUNC(__phy_write_mmd, "", "");
KSYMTAB_FUNC(phy_write_mmd, "", "");
KSYMTAB_FUNC(__phy_package_read_mmd, "", "");
KSYMTAB_FUNC(phy_package_read_mmd, "", "");
KSYMTAB_FUNC(__phy_package_write_mmd, "", "");
KSYMTAB_FUNC(phy_package_write_mmd, "", "");
KSYMTAB_FUNC(phy_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify, "_gpl", "");
KSYMTAB_FUNC(phy_modify, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd_changed, "_gpl", "");
KSYMTAB_FUNC(__phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_modify_mmd, "_gpl", "");
KSYMTAB_FUNC(phy_save_page, "_gpl", "");
KSYMTAB_FUNC(phy_select_page, "_gpl", "");
KSYMTAB_FUNC(phy_restore_page, "_gpl", "");
KSYMTAB_FUNC(phy_read_paged, "", "");
KSYMTAB_FUNC(phy_write_paged, "", "");
KSYMTAB_FUNC(phy_modify_paged_changed, "", "");
KSYMTAB_FUNC(phy_modify_paged, "", "");
KSYMTAB_DATA(phy_basic_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_fibre_features, "_gpl", "");
KSYMTAB_DATA(phy_gbit_all_ports_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_fec_features, "_gpl", "");
KSYMTAB_DATA(phy_basic_ports_array, "_gpl", "");
KSYMTAB_DATA(phy_fibre_port_array, "_gpl", "");
KSYMTAB_DATA(phy_all_ports_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10_100_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1_features_array, "_gpl", "");
KSYMTAB_DATA(phy_basic_t1s_p2mp_features_array, "_gpl", "");
KSYMTAB_DATA(phy_gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_features_array, "_gpl", "");
KSYMTAB_DATA(phy_10gbit_full_features, "_gpl", "");
KSYMTAB_DATA(phy_eee_cap1_features, "_gpl", "");
KSYMTAB_FUNC(phy_device_free, "", "");
KSYMTAB_FUNC(phy_register_fixup, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_register_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_unregister_fixup, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_uid, "", "");
KSYMTAB_FUNC(phy_unregister_fixup_for_id, "", "");
KSYMTAB_FUNC(phy_device_create, "", "");
KSYMTAB_FUNC(fwnode_get_phy_id, "", "");
KSYMTAB_FUNC(get_phy_device, "", "");
KSYMTAB_FUNC(phy_device_register, "", "");
KSYMTAB_FUNC(phy_device_remove, "", "");
KSYMTAB_FUNC(phy_get_c45_ids, "", "");
KSYMTAB_FUNC(phy_find_first, "", "");
KSYMTAB_FUNC(phy_connect_direct, "", "");
KSYMTAB_FUNC(phy_connect, "", "");
KSYMTAB_FUNC(phy_disconnect, "", "");
KSYMTAB_FUNC(phy_init_hw, "", "");
KSYMTAB_FUNC(phy_attached_info, "", "");
KSYMTAB_FUNC(phy_attached_info_irq, "", "");
KSYMTAB_FUNC(phy_attached_print, "", "");
KSYMTAB_FUNC(phy_sfp_attach, "", "");
KSYMTAB_FUNC(phy_sfp_detach, "", "");
KSYMTAB_FUNC(phy_sfp_probe, "", "");
KSYMTAB_FUNC(phy_attach_direct, "", "");
KSYMTAB_FUNC(phy_attach, "", "");
KSYMTAB_FUNC(phy_driver_is_genphy, "_gpl", "");
KSYMTAB_FUNC(phy_driver_is_genphy_10g, "_gpl", "");
KSYMTAB_FUNC(phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_package_leave, "_gpl", "");
KSYMTAB_FUNC(devm_phy_package_join, "_gpl", "");
KSYMTAB_FUNC(phy_detach, "", "");
KSYMTAB_FUNC(phy_suspend, "", "");
KSYMTAB_FUNC(__phy_resume, "", "");
KSYMTAB_FUNC(phy_resume, "", "");
KSYMTAB_FUNC(phy_loopback, "", "");
KSYMTAB_FUNC(phy_reset_after_clk_enable, "", "");
KSYMTAB_FUNC(genphy_config_eee_advert, "", "");
KSYMTAB_FUNC(genphy_setup_forced, "", "");
KSYMTAB_FUNC(genphy_read_master_slave, "", "");
KSYMTAB_FUNC(genphy_restart_aneg, "", "");
KSYMTAB_FUNC(genphy_check_and_restart_aneg, "", "");
KSYMTAB_FUNC(__genphy_config_aneg, "", "");
KSYMTAB_FUNC(genphy_c37_config_aneg, "", "");
KSYMTAB_FUNC(genphy_aneg_done, "", "");
KSYMTAB_FUNC(genphy_update_link, "", "");
KSYMTAB_FUNC(genphy_read_lpa, "", "");
KSYMTAB_FUNC(genphy_read_status_fixed, "", "");
KSYMTAB_FUNC(genphy_read_status, "", "");
KSYMTAB_FUNC(genphy_c37_read_status, "", "");
KSYMTAB_FUNC(genphy_soft_reset, "", "");
KSYMTAB_FUNC(genphy_handle_interrupt_no_ack, "", "");
KSYMTAB_FUNC(genphy_read_abilities, "", "");
KSYMTAB_FUNC(genphy_read_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_write_mmd_unsupported, "", "");
KSYMTAB_FUNC(genphy_suspend, "", "");
KSYMTAB_FUNC(genphy_resume, "", "");
KSYMTAB_FUNC(genphy_loopback, "", "");
KSYMTAB_FUNC(phy_remove_link_mode, "", "");
KSYMTAB_FUNC(phy_advertise_supported, "", "");
KSYMTAB_FUNC(phy_support_sym_pause, "", "");
KSYMTAB_FUNC(phy_support_asym_pause, "", "");
KSYMTAB_FUNC(phy_set_sym_pause, "", "");
KSYMTAB_FUNC(phy_set_asym_pause, "", "");
KSYMTAB_FUNC(phy_validate_pause, "", "");
KSYMTAB_FUNC(phy_get_pause, "", "");
KSYMTAB_FUNC(phy_get_internal_delay, "", "");
KSYMTAB_FUNC(fwnode_mdio_find_device, "", "");
KSYMTAB_FUNC(fwnode_phy_find_device, "", "");
KSYMTAB_FUNC(device_phy_find_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_get_phy_node, "_gpl", "");
KSYMTAB_FUNC(phy_driver_register, "", "");
KSYMTAB_FUNC(phy_drivers_register, "", "");
KSYMTAB_FUNC(phy_driver_unregister, "", "");
KSYMTAB_FUNC(phy_drivers_unregister, "", "");
KSYMTAB_FUNC(linkmode_resolve_pause, "_gpl", "");
KSYMTAB_FUNC(linkmode_set_pause, "_gpl", "");
KSYMTAB_FUNC(mdiobus_register_device, "", "");
KSYMTAB_FUNC(mdiobus_unregister_device, "", "");
KSYMTAB_FUNC(mdiobus_get_phy, "", "");
KSYMTAB_FUNC(mdiobus_is_registered_device, "", "");
KSYMTAB_FUNC(mdiobus_alloc_size, "", "");
KSYMTAB_FUNC(mdio_find_bus, "", "");
KSYMTAB_FUNC(mdiobus_scan_c22, "", "");
KSYMTAB_FUNC(__mdiobus_register, "", "");
KSYMTAB_FUNC(mdiobus_unregister, "", "");
KSYMTAB_FUNC(mdiobus_free, "", "");
KSYMTAB_FUNC(__mdiobus_read, "", "");
KSYMTAB_FUNC(__mdiobus_write, "", "");
KSYMTAB_FUNC(__mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(__mdiobus_c45_read, "", "");
KSYMTAB_FUNC(__mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read, "", "");
KSYMTAB_FUNC(mdiobus_c45_read_nested, "", "");
KSYMTAB_FUNC(mdiobus_write_nested, "", "");
KSYMTAB_FUNC(mdiobus_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write, "", "");
KSYMTAB_FUNC(mdiobus_c45_write_nested, "", "");
KSYMTAB_FUNC(__mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify, "_gpl", "");
KSYMTAB_FUNC(mdiobus_modify_changed, "_gpl", "");
KSYMTAB_FUNC(mdiobus_c45_modify_changed, "_gpl", "");
KSYMTAB_DATA(mdio_bus_type, "", "");
KSYMTAB_FUNC(mdio_bus_exit, "_gpl", "");
KSYMTAB_FUNC(mdio_device_free, "", "");
KSYMTAB_FUNC(mdio_device_create, "", "");
KSYMTAB_FUNC(mdio_device_register, "", "");
KSYMTAB_FUNC(mdio_device_remove, "", "");
KSYMTAB_FUNC(mdio_device_reset, "", "");
KSYMTAB_FUNC(mdio_driver_register, "", "");
KSYMTAB_FUNC(mdio_driver_unregister, "", "");
KSYMTAB_FUNC(swphy_validate_state, "_gpl", "");
KSYMTAB_FUNC(swphy_read_reg, "_gpl", "");
KSYMTAB_FUNC(phy_led_trigger_change_speed, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_register, "_gpl", "");
KSYMTAB_FUNC(phy_led_triggers_unregister, "_gpl", "");

SYMBOL_CRC(phy_print_status, 0x5f9bb070, "");
SYMBOL_CRC(phy_get_rate_matching, 0x75d986d8, "_gpl");
SYMBOL_CRC(phy_restart_aneg, 0x98b3613c, "_gpl");
SYMBOL_CRC(phy_aneg_done, 0xa634a534, "");
SYMBOL_CRC(phy_check_valid, 0xf44f852a, "");
SYMBOL_CRC(phy_ethtool_ksettings_get, 0x59c5ef6b, "");
SYMBOL_CRC(phy_mii_ioctl, 0x5e0f9860, "");
SYMBOL_CRC(phy_do_ioctl, 0x9104a5a3, "");
SYMBOL_CRC(phy_do_ioctl_running, 0x0312e06a, "");
SYMBOL_CRC(phy_queue_state_machine, 0x4a31fdae, "");
SYMBOL_CRC(phy_trigger_machine, 0x56dec646, "");
SYMBOL_CRC(phy_ethtool_get_strings, 0xb43dee1c, "");
SYMBOL_CRC(phy_ethtool_get_sset_count, 0xcd3ec40e, "");
SYMBOL_CRC(phy_ethtool_get_stats, 0x977b38b9, "");
SYMBOL_CRC(phy_start_cable_test, 0x80d2c7d5, "");
SYMBOL_CRC(phy_start_cable_test_tdr, 0xe1f129a8, "");
SYMBOL_CRC(phy_config_aneg, 0x107ae0cf, "");
SYMBOL_CRC(_phy_start_aneg, 0xd82782a1, "");
SYMBOL_CRC(phy_start_aneg, 0xeff32cb3, "");
SYMBOL_CRC(phy_ethtool_ksettings_set, 0x4e7e12b0, "");
SYMBOL_CRC(phy_speed_down, 0xd66d1230, "_gpl");
SYMBOL_CRC(phy_speed_up, 0x050091df, "_gpl");
SYMBOL_CRC(phy_start_machine, 0x7343a562, "_gpl");
SYMBOL_CRC(phy_error, 0x27c354e9, "");
SYMBOL_CRC(phy_request_interrupt, 0x6b0f85a8, "");
SYMBOL_CRC(phy_free_interrupt, 0xadd2be4f, "");
SYMBOL_CRC(phy_stop, 0x93c5b4f1, "");
SYMBOL_CRC(phy_start, 0x820566f8, "");
SYMBOL_CRC(phy_mac_interrupt, 0x4789bad4, "");
SYMBOL_CRC(phy_init_eee, 0xc15a9fa0, "");
SYMBOL_CRC(phy_get_eee_err, 0x275053ca, "");
SYMBOL_CRC(phy_ethtool_get_eee, 0xc8d5a0b4, "");
SYMBOL_CRC(phy_ethtool_set_eee, 0x37423468, "");
SYMBOL_CRC(phy_ethtool_set_wol, 0xee2fe0c2, "");
SYMBOL_CRC(phy_ethtool_get_wol, 0x85d231d1, "");
SYMBOL_CRC(phy_ethtool_get_link_ksettings, 0x81705a86, "");
SYMBOL_CRC(phy_ethtool_set_link_ksettings, 0x55b8c2d1, "");
SYMBOL_CRC(phy_ethtool_nway_reset, 0x5e82cccd, "");
SYMBOL_CRC(genphy_c45_pma_resume, 0x152d0547, "_gpl");
SYMBOL_CRC(genphy_c45_pma_suspend, 0x8d983261, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_setup_master_slave, 0xcdcdaf32, "_gpl");
SYMBOL_CRC(genphy_c45_pma_setup_forced, 0xb2311e4f, "_gpl");
SYMBOL_CRC(genphy_c45_an_config_aneg, 0x0bddf8c6, "_gpl");
SYMBOL_CRC(genphy_c45_an_disable_aneg, 0x6cd09868, "_gpl");
SYMBOL_CRC(genphy_c45_restart_aneg, 0x6e450c4c, "_gpl");
SYMBOL_CRC(genphy_c45_check_and_restart_aneg, 0xaa21d0f1, "_gpl");
SYMBOL_CRC(genphy_c45_aneg_done, 0x812859ee, "_gpl");
SYMBOL_CRC(genphy_c45_read_link, 0x342f3f57, "_gpl");
SYMBOL_CRC(genphy_c45_read_lpa, 0x74ca27d1, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_master_slave, 0x733f4c60, "_gpl");
SYMBOL_CRC(genphy_c45_read_pma, 0x448d90fd, "_gpl");
SYMBOL_CRC(genphy_c45_read_mdix, 0x3e5b0267, "_gpl");
SYMBOL_CRC(genphy_c45_read_eee_abilities, 0x9a925537, "_gpl");
SYMBOL_CRC(genphy_c45_pma_baset1_read_abilities, 0x88315e19, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_ext_abilities, 0x38e0ec25, "_gpl");
SYMBOL_CRC(genphy_c45_pma_read_abilities, 0xb2b05b8b, "_gpl");
SYMBOL_CRC(genphy_c45_baset1_read_status, 0x342bb708, "_gpl");
SYMBOL_CRC(genphy_c45_read_status, 0x4f41ec26, "_gpl");
SYMBOL_CRC(genphy_c45_config_aneg, 0xf5660409, "_gpl");
SYMBOL_CRC(gen10g_config_aneg, 0x7a43410d, "_gpl");
SYMBOL_CRC(genphy_c45_loopback, 0x0d21ba58, "_gpl");
SYMBOL_CRC(genphy_c45_fast_retrain, 0xcf1bb2e8, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_cfg, 0x2f122669, "_gpl");
SYMBOL_CRC(genphy_c45_plca_set_cfg, 0x7ea78f5a, "_gpl");
SYMBOL_CRC(genphy_c45_plca_get_status, 0x01ffdf64, "_gpl");
SYMBOL_CRC(genphy_c45_eee_is_active, 0x5d1eb342, "");
SYMBOL_CRC(genphy_c45_ethtool_get_eee, 0x6711517c, "");
SYMBOL_CRC(genphy_c45_ethtool_set_eee, 0x4e52a8ac, "");
SYMBOL_CRC(phy_speed_to_str, 0xe4b818c3, "_gpl");
SYMBOL_CRC(phy_duplex_to_str, 0x538d073d, "_gpl");
SYMBOL_CRC(phy_rate_matching_to_str, 0x59edfeb8, "_gpl");
SYMBOL_CRC(phy_interface_num_ports, 0xfcfaa56d, "_gpl");
SYMBOL_CRC(phy_lookup_setting, 0x06209f49, "_gpl");
SYMBOL_CRC(phy_set_max_speed, 0x291c8019, "");
SYMBOL_CRC(phy_resolve_aneg_pause, 0x72f37700, "_gpl");
SYMBOL_CRC(phy_resolve_aneg_linkmode, 0xec1bb555, "_gpl");
SYMBOL_CRC(phy_check_downshift, 0x7bbeb0c3, "_gpl");
SYMBOL_CRC(__phy_read_mmd, 0x28ba8051, "");
SYMBOL_CRC(phy_read_mmd, 0xa1720ebd, "");
SYMBOL_CRC(__phy_write_mmd, 0x0a5577bd, "");
SYMBOL_CRC(phy_write_mmd, 0xa3db94dd, "");
SYMBOL_CRC(__phy_package_read_mmd, 0xb3aafe2a, "");
SYMBOL_CRC(phy_package_read_mmd, 0x4b4672e4, "");
SYMBOL_CRC(__phy_package_write_mmd, 0x647f1cba, "");
SYMBOL_CRC(phy_package_write_mmd, 0x3fd93859, "");
SYMBOL_CRC(phy_modify_changed, 0x047f2f89, "_gpl");
SYMBOL_CRC(__phy_modify, 0x356aae86, "_gpl");
SYMBOL_CRC(phy_modify, 0xd52f004e, "_gpl");
SYMBOL_CRC(__phy_modify_mmd_changed, 0x967e674b, "_gpl");
SYMBOL_CRC(phy_modify_mmd_changed, 0x185cc096, "_gpl");
SYMBOL_CRC(__phy_modify_mmd, 0xb0d36652, "_gpl");
SYMBOL_CRC(phy_modify_mmd, 0x95001be7, "_gpl");
SYMBOL_CRC(phy_save_page, 0xf99881bf, "_gpl");
SYMBOL_CRC(phy_select_page, 0x8300edbd, "_gpl");
SYMBOL_CRC(phy_restore_page, 0xb8dc3d29, "_gpl");
SYMBOL_CRC(phy_read_paged, 0x861d483c, "");
SYMBOL_CRC(phy_write_paged, 0xfb2f7720, "");
SYMBOL_CRC(phy_modify_paged_changed, 0xd77491cb, "");
SYMBOL_CRC(phy_modify_paged, 0x2d6fbd22, "");
SYMBOL_CRC(phy_basic_features, 0x23c3b778, "_gpl");
SYMBOL_CRC(phy_basic_t1_features, 0xda10e1e2, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features, 0x03473884, "_gpl");
SYMBOL_CRC(phy_gbit_features, 0x8696808c, "_gpl");
SYMBOL_CRC(phy_gbit_fibre_features, 0x9b16e4ee, "_gpl");
SYMBOL_CRC(phy_gbit_all_ports_features, 0xd9e61980, "_gpl");
SYMBOL_CRC(phy_10gbit_features, 0x3542e347, "_gpl");
SYMBOL_CRC(phy_10gbit_fec_features, 0x3be200ce, "_gpl");
SYMBOL_CRC(phy_basic_ports_array, 0x690f585e, "_gpl");
SYMBOL_CRC(phy_fibre_port_array, 0xe628bb9f, "_gpl");
SYMBOL_CRC(phy_all_ports_features_array, 0x7ac722bd, "_gpl");
SYMBOL_CRC(phy_10_100_features_array, 0x7073c04f, "_gpl");
SYMBOL_CRC(phy_basic_t1_features_array, 0x7de39e07, "_gpl");
SYMBOL_CRC(phy_basic_t1s_p2mp_features_array, 0x2eca6a19, "_gpl");
SYMBOL_CRC(phy_gbit_features_array, 0x61f67c92, "_gpl");
SYMBOL_CRC(phy_10gbit_features_array, 0xeedd987e, "_gpl");
SYMBOL_CRC(phy_10gbit_full_features, 0x24235223, "_gpl");
SYMBOL_CRC(phy_eee_cap1_features, 0x30110a29, "_gpl");
SYMBOL_CRC(phy_device_free, 0x3f64c624, "");
SYMBOL_CRC(phy_register_fixup, 0x12efcf6d, "");
SYMBOL_CRC(phy_register_fixup_for_uid, 0x88175c76, "");
SYMBOL_CRC(phy_register_fixup_for_id, 0x8b41d60c, "");
SYMBOL_CRC(phy_unregister_fixup, 0xc633d82d, "");
SYMBOL_CRC(phy_unregister_fixup_for_uid, 0xd738ca1b, "");
SYMBOL_CRC(phy_unregister_fixup_for_id, 0x3efe1703, "");
SYMBOL_CRC(phy_device_create, 0x490fa03a, "");
SYMBOL_CRC(fwnode_get_phy_id, 0x441990a2, "");
SYMBOL_CRC(get_phy_device, 0x456ef33c, "");
SYMBOL_CRC(phy_device_register, 0xc150acbd, "");
SYMBOL_CRC(phy_device_remove, 0xc0387987, "");
SYMBOL_CRC(phy_get_c45_ids, 0x7f952c73, "");
SYMBOL_CRC(phy_find_first, 0x7fe5374e, "");
SYMBOL_CRC(phy_connect_direct, 0xef358882, "");
SYMBOL_CRC(phy_connect, 0xb03dfc61, "");
SYMBOL_CRC(phy_disconnect, 0x3f2bc5c8, "");
SYMBOL_CRC(phy_init_hw, 0x9be6e492, "");
SYMBOL_CRC(phy_attached_info, 0xc621f3db, "");
SYMBOL_CRC(phy_attached_info_irq, 0xa0265175, "");
SYMBOL_CRC(phy_attached_print, 0x45530100, "");
SYMBOL_CRC(phy_sfp_attach, 0x394a1e11, "");
SYMBOL_CRC(phy_sfp_detach, 0xb6acaa13, "");
SYMBOL_CRC(phy_sfp_probe, 0xd1c87a85, "");
SYMBOL_CRC(phy_attach_direct, 0x6460656e, "");
SYMBOL_CRC(phy_attach, 0xef2e92e4, "");
SYMBOL_CRC(phy_driver_is_genphy, 0x8da23134, "_gpl");
SYMBOL_CRC(phy_driver_is_genphy_10g, 0xebc80334, "_gpl");
SYMBOL_CRC(phy_package_join, 0x439d068f, "_gpl");
SYMBOL_CRC(phy_package_leave, 0x9b74db0d, "_gpl");
SYMBOL_CRC(devm_phy_package_join, 0x6277fe40, "_gpl");
SYMBOL_CRC(phy_detach, 0x92bea53a, "");
SYMBOL_CRC(phy_suspend, 0xfe1eeda0, "");
SYMBOL_CRC(__phy_resume, 0xae3b3962, "");
SYMBOL_CRC(phy_resume, 0xaf35eb43, "");
SYMBOL_CRC(phy_loopback, 0x2775774d, "");
SYMBOL_CRC(phy_reset_after_clk_enable, 0x8c9afb73, "");
SYMBOL_CRC(genphy_config_eee_advert, 0x6ac8e265, "");
SYMBOL_CRC(genphy_setup_forced, 0xd0562b1e, "");
SYMBOL_CRC(genphy_read_master_slave, 0x707a60f4, "");
SYMBOL_CRC(genphy_restart_aneg, 0x4358740c, "");
SYMBOL_CRC(genphy_check_and_restart_aneg, 0xe287717a, "");
SYMBOL_CRC(__genphy_config_aneg, 0xcf132b8c, "");
SYMBOL_CRC(genphy_c37_config_aneg, 0xe3cacde0, "");
SYMBOL_CRC(genphy_aneg_done, 0xda2e60d5, "");
SYMBOL_CRC(genphy_update_link, 0x1d414587, "");
SYMBOL_CRC(genphy_read_lpa, 0x236f0241, "");
SYMBOL_CRC(genphy_read_status_fixed, 0xc2f77711, "");
SYMBOL_CRC(genphy_read_status, 0x02a58a39, "");
SYMBOL_CRC(genphy_c37_read_status, 0x1f632b46, "");
SYMBOL_CRC(genphy_soft_reset, 0x90c608ee, "");
SYMBOL_CRC(genphy_handle_interrupt_no_ack, 0x1b27e94f, "");
SYMBOL_CRC(genphy_read_abilities, 0xb68d6d7c, "");
SYMBOL_CRC(genphy_read_mmd_unsupported, 0x44c48ac6, "");
SYMBOL_CRC(genphy_write_mmd_unsupported, 0x43ef60c0, "");
SYMBOL_CRC(genphy_suspend, 0x9e6f34bb, "");
SYMBOL_CRC(genphy_resume, 0x6e6225dc, "");
SYMBOL_CRC(genphy_loopback, 0x61b3b58f, "");
SYMBOL_CRC(phy_remove_link_mode, 0x43d2f94c, "");
SYMBOL_CRC(phy_advertise_supported, 0xe47af09e, "");
SYMBOL_CRC(phy_support_sym_pause, 0xa6d509d0, "");
SYMBOL_CRC(phy_support_asym_pause, 0x0d2184be, "");
SYMBOL_CRC(phy_set_sym_pause, 0x1e2f1261, "");
SYMBOL_CRC(phy_set_asym_pause, 0xa9ec0dd2, "");
SYMBOL_CRC(phy_validate_pause, 0x0e3da2b2, "");
SYMBOL_CRC(phy_get_pause, 0xc2cb7ac7, "");
SYMBOL_CRC(phy_get_internal_delay, 0xd94f0755, "");
SYMBOL_CRC(fwnode_mdio_find_device, 0x929bc4c3, "");
SYMBOL_CRC(fwnode_phy_find_device, 0x06feb296, "");
SYMBOL_CRC(device_phy_find_device, 0xe4d35cdf, "_gpl");
SYMBOL_CRC(fwnode_get_phy_node, 0x17892003, "_gpl");
SYMBOL_CRC(phy_driver_register, 0x475cefa0, "");
SYMBOL_CRC(phy_drivers_register, 0x395339f2, "");
SYMBOL_CRC(phy_driver_unregister, 0x8b55e198, "");
SYMBOL_CRC(phy_drivers_unregister, 0x040f394a, "");
SYMBOL_CRC(linkmode_resolve_pause, 0xd59a1587, "_gpl");
SYMBOL_CRC(linkmode_set_pause, 0xf4689d50, "_gpl");
SYMBOL_CRC(mdiobus_register_device, 0x4397f9a4, "");
SYMBOL_CRC(mdiobus_unregister_device, 0xb43695ae, "");
SYMBOL_CRC(mdiobus_get_phy, 0x1ab49d70, "");
SYMBOL_CRC(mdiobus_is_registered_device, 0x19215bba, "");
SYMBOL_CRC(mdiobus_alloc_size, 0xc145fc50, "");
SYMBOL_CRC(mdio_find_bus, 0x3e0c473e, "");
SYMBOL_CRC(mdiobus_scan_c22, 0x932b335a, "");
SYMBOL_CRC(__mdiobus_register, 0xdfad3b12, "");
SYMBOL_CRC(mdiobus_unregister, 0x2f997c52, "");
SYMBOL_CRC(mdiobus_free, 0x04613a82, "");
SYMBOL_CRC(__mdiobus_read, 0x90ba5dc6, "");
SYMBOL_CRC(__mdiobus_write, 0xa17ad6d2, "");
SYMBOL_CRC(__mdiobus_modify_changed, 0x0259dc4e, "_gpl");
SYMBOL_CRC(__mdiobus_c45_read, 0xcaf6d10c, "");
SYMBOL_CRC(__mdiobus_c45_write, 0x2fa661da, "");
SYMBOL_CRC(mdiobus_read_nested, 0x36335f0d, "");
SYMBOL_CRC(mdiobus_read, 0xab128007, "");
SYMBOL_CRC(mdiobus_c45_read, 0x6b0f1f6c, "");
SYMBOL_CRC(mdiobus_c45_read_nested, 0x3db5df37, "");
SYMBOL_CRC(mdiobus_write_nested, 0x79c23439, "");
SYMBOL_CRC(mdiobus_write, 0x02cde6eb, "");
SYMBOL_CRC(mdiobus_c45_write, 0x3f011eb7, "");
SYMBOL_CRC(mdiobus_c45_write_nested, 0x701e648a, "");
SYMBOL_CRC(__mdiobus_modify, 0x7d1a6ab7, "_gpl");
SYMBOL_CRC(mdiobus_modify, 0xb9a2ef74, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify, 0x321341d9, "_gpl");
SYMBOL_CRC(mdiobus_modify_changed, 0xc65286cc, "_gpl");
SYMBOL_CRC(mdiobus_c45_modify_changed, 0xfe8489c4, "_gpl");
SYMBOL_CRC(mdio_bus_type, 0xabdf23c0, "");
SYMBOL_CRC(mdio_bus_exit, 0xfab30dc0, "_gpl");
SYMBOL_CRC(mdio_device_free, 0x793e358c, "");
SYMBOL_CRC(mdio_device_create, 0x74c927ef, "");
SYMBOL_CRC(mdio_device_register, 0x7f6dde96, "");
SYMBOL_CRC(mdio_device_remove, 0xac6eb5cd, "");
SYMBOL_CRC(mdio_device_reset, 0xb626f226, "");
SYMBOL_CRC(mdio_driver_register, 0x4870e977, "");
SYMBOL_CRC(mdio_driver_unregister, 0xaad1e76e, "");
SYMBOL_CRC(swphy_validate_state, 0xe4e48b12, "_gpl");
SYMBOL_CRC(swphy_read_reg, 0x18e4f8aa, "_gpl");
SYMBOL_CRC(phy_led_trigger_change_speed, 0xc3444adb, "_gpl");
SYMBOL_CRC(phy_led_triggers_register, 0xb98f59e5, "_gpl");
SYMBOL_CRC(phy_led_triggers_unregister, 0x81ebdcb3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xff178a06, "ethtool_set_ethtool_phy_ops" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x9f6cf8bc, "bpf_trace_run6" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0x77e75be3, "sfp_bus_put" },
	{ 0x74a6c3c7, "__trace_trigger_soft_disabled" },
	{ 0x6215ea4b, "gpiod_set_value_cansleep" },
	{ 0x44ae0c1d, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2d22f4a6, "refcount_dec_and_mutex_lock" },
	{ 0x2fc34c95, "device_initialize" },
	{ 0x8c0215f2, "pm_system_wakeup" },
	{ 0x3791cf11, "trace_event_raw_init" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x7208fc63, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1457e92d, "devm_gpiod_get_optional" },
	{ 0xf6d9671a, "get_device" },
	{ 0x3f3d7f17, "__dynamic_dev_dbg" },
	{ 0xd9453732, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x48f3c4c3, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6aa8ff51, "device_match_fwnode" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x813ced39, "pm_wakeup_dev_event" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5349c33b, "put_device" },
	{ 0xfdd6c8ec, "sysfs_remove_file_ns" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2a8a899f, "_dev_info" },
	{ 0x55e31703, "ethtool_convert_link_mode_to_legacy_u32" },
	{ 0x36448ce, "module_put" },
	{ 0xdc46f242, "sysfs_create_link" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfb463261, "phylib_stubs" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x40f0683e, "reset_control_put" },
	{ 0xa0ce93a9, "perf_trace_run_bpf_submit" },
	{ 0x5286e1ec, "bus_unregister" },
	{ 0xa7710d08, "devm_kfree" },
	{ 0x2042ddc2, "_dev_err" },
	{ 0xabe3adb3, "bus_find_device" },
	{ 0xffb27375, "device_add" },
	{ 0xa9fa705c, "sysfs_remove_link" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x715a5ed0, "vprintk" },
	{ 0xf33a065a, "__devres_alloc_node" },
	{ 0x8a62b81b, "sfp_upstream_stop" },
	{ 0x2b5b8328, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0xe094d039, "is_acpi_data_node" },
	{ 0x7134a7a0, "driver_unregister" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xf8863ed5, "sfp_bus_add_upstream" },
	{ 0xccf52bc9, "sfp_upstream_start" },
	{ 0x17fa7a8f, "class_unregister" },
	{ 0xab5ccaa2, "led_trigger_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xb6def347, "device_register" },
	{ 0xcf3e0929, "device_del" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x6c47f622, "device_bind_driver" },
	{ 0xade5aadb, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x79058845, "device_link_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x24f70e66, "fwnode_handle_get" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xddd7313d, "netdev_alert" },
	{ 0xfe7ea7a7, "ethnl_cable_test_alloc" },
	{ 0x96d01e8b, "fwnode_find_reference" },
	{ 0xcffebbc8, "fwnode_property_read_string" },
	{ 0xdd64e639, "strscpy" },
	{ 0x90238a5a, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8add6eb8, "linkwatch_fire_event" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf395a29, "__reset_control_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1fdff884, "netif_carrier_off" },
	{ 0x1f8c9a7b, "device_match_name" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2153ea86, "led_trigger_register" },
	{ 0xee9a7e9e, "netif_carrier_on" },
	{ 0x7ec7ff84, "gpiod_get_optional" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa25cfb29, "mdiobus_setup_mdiodev_from_board_info" },
	{ 0x191a8628, "sysfs_create_link_nowarn" },
	{ 0x4030b136, "dev_err_probe" },
	{ 0x6130cbda, "ethnl_cable_test_finished" },
	{ 0x8f996a30, "ethtool_convert_legacy_u32_to_link_mode" },
	{ 0xfec64d23, "kmalloc_trace" },
	{ 0xfe7fc9b2, "fwnode_handle_put" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x3edb086b, "pse_control_put" },
	{ 0xd18eb0e2, "led_trigger_event" },
	{ 0x2121876c, "device_release_driver" },
	{ 0xa183f715, "ethnl_cable_test_free" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7c2bf74e, "gpiod_set_consumer_name" },
	{ 0xc3ad3539, "device_link_add" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x473f531e, "driver_register" },
	{ 0x3536c4dd, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7a23e4f6, "__dev_fwnode" },
	{ 0x3866c129, "kmalloc_caches" },
	{ 0x615603ab, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x61ebd8a2, "bus_register" },
	{ 0xf0910075, "sfp_bus_del_upstream" },
	{ 0x70231c2c, "class_find_device" },
	{ 0x66e7f84b, "sfp_bus_find_fwnode" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xbddeaf99, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc468216f, "is_acpi_device_node" },
	{ 0xb929ff99, "gpiod_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe22bcea9, "devm_kmalloc" },
	{ 0x81573bf0, "sysfs_create_file_ns" },
	{ 0xe1e8f558, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe6e9d7c4, "trace_raw_output_prep" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BAFFAA8DDBF038D238D511C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
