#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x751adf70, "netif_set_real_num_tx_queues" },
	{ 0x68f6d4c2, "netif_set_real_num_rx_queues" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xfecbd0b2, "eth_prepare_mac_addr_change" },
	{ 0x60f88a8e, "eth_commit_mac_addr_change" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd17fdd48, "virtqueue_enable_cb_delayed" },
	{ 0xb38161f8, "virtqueue_add_outbuf" },
	{ 0xca96408a, "virtqueue_kick_prepare" },
	{ 0x27e74ac6, "virtqueue_notify" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x17f9300a, "xdp_do_redirect" },
	{ 0x76c23936, "bpf_warn_invalid_xdp_action" },
	{ 0x4f3705cb, "__tracepoint_xdp_exception" },
	{ 0x82a0e58, "xdp_master_redirect" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x1fbc7fd2, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0x14377c4c, "__dynamic_netdev_dbg" },
	{ 0xce459950, "xdp_return_frame_rx_napi" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x50789b9, "netif_napi_add_weight" },
	{ 0x20ba919f, "virtqueue_set_dma_premapped" },
	{ 0x3866c129, "kmalloc_caches" },
	{ 0xfec64d23, "kmalloc_trace" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x4d6ced63, "bpf_prog_add" },
	{ 0x9d9daf3c, "napi_enable" },
	{ 0xc047fe2c, "bpf_prog_put" },
	{ 0xf5c333c2, "netdev_printk" },
	{ 0x6c6e0944, "bpf_prog_sub" },
	{ 0x674d7e21, "xdp_features_clear_redirect_target" },
	{ 0x9e35b58b, "xdp_features_set_redirect_target" },
	{ 0x7c2a8348, "netdev_warn" },
	{ 0x1704e062, "softnet_data" },
	{ 0xbabd5222, "skb_to_sgvec" },
	{ 0x1fe00346, "skb_tstamp_tx" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xfe5901bd, "dev_kfree_skb_any_reason" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1a7ec594, "skb_dump" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x4d9c9df5, "virtqueue_dma_unmap_single_attrs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x1db1e94c, "__folio_put" },
	{ 0xae5848eb, "__put_devmap_managed_page_refs" },
	{ 0x8c550ed, "virtqueue_dma_sync_single_range_for_cpu" },
	{ 0xa9605c2c, "alloc_etherdev_mqs" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x22a3a804, "dev_addr_mod" },
	{ 0x2a8a899f, "_dev_info" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x935141c5, "register_netdevice" },
	{ 0xa21d727, "net_failover_destroy" },
	{ 0xe7d42bdb, "virtio_reset_device" },
	{ 0x7c1efe0f, "free_netdev" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd9a666b9, "unregister_netdev" },
	{ 0x631b34ab, "net_failover_create" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x2042ddc2, "_dev_err" },
	{ 0xf746fb46, "skb_page_frag_refill" },
	{ 0xe3ecb97a, "virtqueue_dma_map_single_attrs" },
	{ 0xa799b78b, "virtqueue_dma_mapping_error" },
	{ 0x4e9f163a, "virtqueue_dma_need_sync" },
	{ 0x613b30ef, "virtqueue_get_buf_ctx" },
	{ 0x25abe6db, "alloc_pages" },
	{ 0x1ca0954c, "virtqueue_add_inbuf_ctx" },
	{ 0xbd4c59aa, "virtqueue_add_inbuf" },
	{ 0x5f991bfd, "xdp_rxq_info_reg_mem_model" },
	{ 0x4abc54c7, "__xdp_rxq_info_reg" },
	{ 0x4ce9ae92, "virtqueue_resize" },
	{ 0x1330b41d, "build_skb" },
	{ 0x6db513d1, "skb_put" },
	{ 0x250c2cc5, "__napi_alloc_skb" },
	{ 0xdf3c01ea, "skb_add_rx_frag" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb592d06f, "virtqueue_detach_unused_buf" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x23978716, "__free_pages" },
	{ 0x7ef0faa3, "netif_device_attach" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x317cbdb1, "__skb_flow_dissect" },
	{ 0x2c0b6375, "skb_partial_csum_set" },
	{ 0x78011b71, "eth_type_trans" },
	{ 0x57baf4fa, "napi_gro_receive" },
	{ 0xfcbb29cd, "skb_coalesce_rx_frag" },
	{ 0x54e98723, "__alloc_skb" },
	{ 0x6b392d7, "__pskb_pull_tail" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x20436f28, "_raw_spin_trylock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x7f52071a, "net_dim" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x84a39b57, "passthru_features_check" },
	{ 0xe10e5df2, "eth_validate_addr" },
	{ 0x16a6e52f, "ethtool_op_get_link" },
	{ 0xd41bb762, "ethtool_op_get_ts_info" },
	{ 0xa773f9a5, "param_ops_bool" },
	{ 0x1b2a9ff5, "param_ops_int" },
	{ 0x68c187a3, "__SCK__tp_func_xdp_exception" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc7daf880, "napi_consume_skb" },
	{ 0xa8459f6f, "virtqueue_get_buf" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe52ecb7e, "xdp_return_frame" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7208fc63, "pcpu_hot" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x59ca0ded, "virtqueue_disable_cb" },
	{ 0x3fbe6159, "virtqueue_enable_cb_prepare" },
	{ 0x4bc2071d, "napi_complete_done" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xf0003d94, "virtqueue_poll" },
	{ 0xba506ebe, "netif_tx_wake_queue" },
	{ 0x33b21772, "napi_schedule_prep" },
	{ 0x2c0d999, "__napi_schedule" },
	{ 0x546cbbb2, "virtqueue_get_vring_size" },
	{ 0x4dd1c696, "consume_skb" },
	{ 0x6d997103, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x37a0cba, "kfree" },
	{ 0x4c46c08d, "__cpuhp_state_add_instance" },
	{ 0x6f0525cf, "__cpuhp_state_remove_instance" },
	{ 0xb67b7c71, "ethtool_virtdev_set_link_ksettings" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x184ac495, "netdev_err" },
	{ 0xd2cd008, "__cpuhp_setup_state" },
	{ 0xbebdc272, "__cpuhp_remove_state" },
	{ 0x47bc8f15, "register_virtio_driver" },
	{ 0x9f840348, "unregister_virtio_driver" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x67bb36, "napi_disable" },
	{ 0xa51f5db, "xdp_rxq_info_unreg" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x31f8d75d, "netif_tx_lock" },
	{ 0x45fe34cb, "netif_device_detach" },
	{ 0xfb7028ae, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x984d9c39, "cpumask_next_wrap" },
	{ 0x4f88ca3d, "__netif_set_xps_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc2066ed, "virtio_check_driver_offered_feature" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x87190fad, "virtqueue_add_sgs" },
	{ 0x2dc88808, "virtqueue_kick" },
	{ 0x27ba4c74, "virtqueue_is_broken" },
	{ 0xade5aadb, "_dev_warn" },
	{ 0xee9a7e9e, "netif_carrier_on" },
	{ 0x1fdff884, "netif_carrier_off" },
	{ 0x3175a222, "netif_tx_stop_all_queues" },
	{ 0x19081175, "netdev_notify_peers" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x99d472b1, "net_dim_get_rx_moderation" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "net_failover");

MODULE_ALIAS("virtio:d00000001v*");

MODULE_INFO(srcversion, "E8A821D3A7E40FE1A55F947");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
