#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76_connac_mcu_start_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_patch_sem_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_start_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_init_download, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_channel_domain, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_mac_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_vif_ps, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rts_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_beacon_loss_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_nested_tlv, "_gpl", "");
KSYMTAB_FUNC(__mt76_connac_mcu_alloc_sta_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_alloc_wtbl_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_omac_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_uapsd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_hdr_trans_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_update_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_generic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_he_tlv_v2, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode_v2, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_smps_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ht_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_wtbl_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_dev, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_wed_update, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sta_ba, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_phy_mode_ext, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_he_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_eht_phy_cap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_set_chctx, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_uni_add_bss, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_cancel_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_req, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_sched_scan_enable, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_chip_config, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_deep_sleep, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_sta_state_dp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_coredump_event, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_get_ch_power, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_rate_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_arp_filter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_p2p_oppps, "_gpl", "");
KSYMTAB_DATA(mt76_connac_wowlan_support, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_update_gtk_rekey, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_gtk_rekey, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_suspend_mode, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_wow_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_hif_suspend, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_suspend_iter, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_rr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_reg_wr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_add_key, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_ext_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_bss_basic_tlv, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_set_pm, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_mcu_rdd_cmd, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_ram, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_load_patch, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mcu_fill_message, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_gen_ppe_thresh, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_wake, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_power_save_sched, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_free_pending_tx_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_queue_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_pm_dequeue_skbs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_write_hw_txp, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_txp_skb_unmap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac_init_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_tx_rate_val, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_txs, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_add_txs_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_decode_he_radiotap, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_reverse_frag0_hdr_trans, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_mac_fill_rx_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_tx_check_aggr, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_txwi_free, "_gpl", "");
KSYMTAB_FUNC(mt76_connac2_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt76_connac3_mac_decode_he_radiotap, "_gpl", "");

SYMBOL_CRC(mt76_connac_mcu_start_firmware, 0x0df65448, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_patch_sem_ctrl, 0x93edd653, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_start_patch, 0x214b6954, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_init_download, 0x8564e018, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_channel_domain, 0x0884df6b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_mac_enable, 0x233fbf10, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_vif_ps, 0xf2e58a18, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rts_thresh, 0x9f2428c5, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_beacon_loss_iter, 0x2f3f62a2, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_nested_tlv, 0x029fff85, "_gpl");
SYMBOL_CRC(__mt76_connac_mcu_alloc_sta_req, 0x59d148e0, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_alloc_wtbl_req, 0xb47ca7cd, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_omac_tlv, 0x9f2bf132, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_basic_tlv, 0x57b444f7, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_uapsd, 0xb3bf4d43, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_hdr_trans_tlv, 0xe8daf9d8, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_update_hdr_trans, 0xe3449aaf, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_update_hdr_trans, 0x7259c372, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_generic_tlv, 0x7ce998c0, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_he_tlv_v2, 0x45fa32f0, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode_v2, 0xac2db1a6, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_tlv, 0x1cecb30b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_smps_tlv, 0x61db71ce, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ht_tlv, 0x22aa8d8b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_cmd, 0x6030dd90, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_wtbl_ba_tlv, 0x47424538, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_dev, 0xc125921a, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba_tlv, 0x1159e8d4, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_wed_update, 0xa03f467d, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sta_ba, 0xc9c4dc37, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode, 0x99b58a2c, "_gpl");
SYMBOL_CRC(mt76_connac_get_phy_mode_ext, 0x6c19cb61, "_gpl");
SYMBOL_CRC(mt76_connac_get_he_phy_cap, 0xc542a206, "_gpl");
SYMBOL_CRC(mt76_connac_get_eht_phy_cap, 0x65f301ac, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_set_chctx, 0x95065a88, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_uni_add_bss, 0xb6584f63, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_hw_scan, 0x30867187, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_cancel_hw_scan, 0x8b38031f, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_req, 0xfe075116, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_sched_scan_enable, 0xc5d75451, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_chip_config, 0xd5732723, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_deep_sleep, 0x2f754471, "_gpl");
SYMBOL_CRC(mt76_connac_sta_state_dp, 0x61b9beba, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_coredump_event, 0x69e247d5, "_gpl");
SYMBOL_CRC(mt76_connac_get_ch_power, 0x13375b97, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_rate_txpower, 0xb00a98a2, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_arp_filter, 0x25435264, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_p2p_oppps, 0xb54a5839, "_gpl");
SYMBOL_CRC(mt76_connac_wowlan_support, 0x908ca40c, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_update_gtk_rekey, 0x19eef214, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_gtk_rekey, 0x9c5e8000, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_suspend_mode, 0x7eb3c76b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_wow_ctrl, 0x16779828, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_hif_suspend, 0x1538b7e6, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_suspend_iter, 0xbaeb6fd3, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_rr, 0x4735de43, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_reg_wr, 0x6fc92efa, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_add_key, 0x343767ca, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_ext_tlv, 0xc1c4ee4f, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_bss_basic_tlv, 0x1c67b540, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_set_pm, 0x3a10718b, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_restart, 0xd7bf90dd, "_gpl");
SYMBOL_CRC(mt76_connac_mcu_rdd_cmd, 0x440f1524, "_gpl");
SYMBOL_CRC(mt76_connac2_load_ram, 0xeb0efceb, "_gpl");
SYMBOL_CRC(mt76_connac2_load_patch, 0x8f293c75, "_gpl");
SYMBOL_CRC(mt76_connac2_mcu_fill_message, 0x8b8df1f7, "_gpl");
SYMBOL_CRC(mt76_connac_gen_ppe_thresh, 0x0a25337f, "_gpl");
SYMBOL_CRC(mt76_connac_pm_wake, 0x216016d4, "_gpl");
SYMBOL_CRC(mt76_connac_power_save_sched, 0x94df26d8, "_gpl");
SYMBOL_CRC(mt76_connac_free_pending_tx_skbs, 0xa94483c0, "_gpl");
SYMBOL_CRC(mt76_connac_pm_queue_skb, 0xe1326f88, "_gpl");
SYMBOL_CRC(mt76_connac_pm_dequeue_skbs, 0xa06c9880, "_gpl");
SYMBOL_CRC(mt76_connac_tx_complete_skb, 0xea9b2281, "_gpl");
SYMBOL_CRC(mt76_connac_write_hw_txp, 0xb419cf48, "_gpl");
SYMBOL_CRC(mt76_connac_txp_skb_unmap, 0x24dfaf72, "_gpl");
SYMBOL_CRC(mt76_connac_init_tx_queues, 0xa951ef3f, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_tx_rate_val, 0xce8d554e, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_write_txwi, 0x7e596560, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_txs, 0x14a16d89, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_add_txs_skb, 0x907e9ce5, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_decode_he_radiotap, 0x7db70a9a, "_gpl");
SYMBOL_CRC(mt76_connac2_reverse_frag0_hdr_trans, 0x11201fd0, "_gpl");
SYMBOL_CRC(mt76_connac2_mac_fill_rx_rate, 0x2e9d5348, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_check_aggr, 0x92e39f29, "_gpl");
SYMBOL_CRC(mt76_connac2_txwi_free, 0x886402fa, "_gpl");
SYMBOL_CRC(mt76_connac2_tx_token_put, 0xba889482, "_gpl");
SYMBOL_CRC(mt76_connac3_mac_decode_he_radiotap, 0x171cfd5d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc1ba71dc, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe22bcea9, "devm_kmalloc" },
	{ 0x6db513d1, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4dd1c696, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xdcc759e1, "mt76_tx_status_skb_get" },
	{ 0xc658b31f, "mt76_tx_status_lock" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x36503ec3, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x20eb7a98, "request_firmware" },
	{ 0xee8372cd, "mt76_get_rate" },
	{ 0xb53518a0, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56a8b2a1, "ieee80211_beacon_loss" },
	{ 0x7633c29c, "__mt76_tx_complete_skb" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xa4d2049a, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcad7cf1d, "wake_up_process" },
	{ 0x4758768b, "ieee80211_find_sta" },
	{ 0xedb8d5dc, "mt76_calculate_default_rate" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x980a9868, "mt76_tx" },
	{ 0x9af842d, "idr_get_next" },
	{ 0x2a8a899f, "_dev_info" },
	{ 0x898e3ae, "mt76_init_queue" },
	{ 0x60a21e42, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa7710d08, "devm_kfree" },
	{ 0x2042ddc2, "_dev_err" },
	{ 0x2cb85b9d, "skb_pull" },
	{ 0x8ed3a3d0, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xfc5f85f6, "skb_push" },
	{ 0x3c74d1f5, "ieee80211_wake_queues" },
	{ 0x2de963e6, "mt76_mcu_send_and_get_msg" },
	{ 0x9838c2bb, "ieee80211_iter_keys_rcu" },
	{ 0x4397e9b2, "__mt76_mcu_msg_alloc" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xd063bcfe, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x89a5bfb4, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xed2cfe60, "mt76_get_rate_power_limits" },
	{ 0xc39f7f90, "ieee80211_scan_completed" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7a324fec, "mt76_get_sar_power" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x808b975f, "mt76_put_txwi" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xfe5901bd, "dev_kfree_skb_any_reason" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "3249D3DBCCE415A4B487A7A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
