#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_namespace_attach_btt, "", "");
KSYMTAB_FUNC(nvdimm_namespace_detach_btt, "", "");

SYMBOL_CRC(nvdimm_namespace_attach_btt, 0x8ba745e3, "");
SYMBOL_CRC(nvdimm_namespace_detach_btt, 0xedd5caf3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0x7208fc63, "pcpu_hot" },
	{ 0x499f0ecf, "nd_sb_checksum" },
	{ 0x2c48112f, "nd_btt_arena_is_valid" },
	{ 0x3f3d7f17, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xe52358fc, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x852ee125, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0xf50102f, "put_disk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbc55a5f6, "debugfs_create_x64" },
	{ 0xc8438495, "blk_queue_flag_set" },
	{ 0x7a77dcc7, "nd_dev_to_uuid" },
	{ 0x2a8a899f, "_dev_info" },
	{ 0xb74b1668, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb80663ef, "bio_endio" },
	{ 0x1c34cd2f, "nd_region_release_lane" },
	{ 0x2042ddc2, "_dev_err" },
	{ 0x2f71727d, "set_capacity" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x1290e0a4, "debugfs_remove" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4bead203, "del_gendisk" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x9239fa02, "to_nd_btt" },
	{ 0xf802b624, "nd_region_acquire_lane" },
	{ 0xfb578fc5, "memset" },
	{ 0xade5aadb, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa661dbda, "debugfs_create_u32" },
	{ 0x80b14200, "nvdimm_namespace_disk_name" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x70fe47b2, "debugfs_create_x32" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x7fdaef88, "nvdimm_namespace_capacity" },
	{ 0x7a16df55, "nd_integrity_init" },
	{ 0x56470118, "__warn_printk" },
	{ 0xff7a89d9, "nvdimm_check_and_set_ro" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x87d251f6, "badblocks_check" },
	{ 0xfec64d23, "kmalloc_trace" },
	{ 0x83e74151, "nd_btt_version" },
	{ 0x156eb086, "blk_queue_max_hw_sectors" },
	{ 0x6502bfa4, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3866c129, "kmalloc_caches" },
	{ 0xc7b6167a, "bio_integrity_prep" },
	{ 0xf5d9de9b, "__blk_alloc_disk" },
	{ 0x10db4231, "blk_queue_logical_block_size" },
	{ 0xe22bcea9, "devm_kmalloc" },
	{ 0xdd9295df, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcf0d6531, "devm_namespace_enable" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xd59b0da7, "debugfs_create_u16" },
	{ 0x8f9a74cf, "to_nd_region" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");


MODULE_INFO(srcversion, "18C1827A6A81256D6BC8A64");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
