#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x882367a8, "sparse_keymap_report_event" },
	{ 0x3f3d7f17, "__dynamic_dev_dbg" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x4fdee897, "i8042_command" },
	{ 0xc68dbe60, "sysfs_notify" },
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0xc468216f, "is_acpi_device_node" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xbcdc2c38, "device_add_groups" },
	{ 0x6502bfa4, "debugfs_create_dir" },
	{ 0x6043a5bb, "debugfs_create_file" },
	{ 0xa9d5adb4, "input_allocate_device" },
	{ 0xb02b8c68, "sparse_keymap_setup" },
	{ 0x16781a3c, "input_register_device" },
	{ 0x1e35d338, "led_classdev_register_ext" },
	{ 0x41f71ea1, "rfkill_alloc" },
	{ 0xaad6d92f, "rfkill_init_sw_state" },
	{ 0xff282521, "rfkill_register" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x3866c129, "kmalloc_caches" },
	{ 0xfec64d23, "kmalloc_trace" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xcac33cd4, "platform_profile_register" },
	{ 0x7de7bf50, "__acpi_video_get_backlight_type" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x2042ddc2, "_dev_err" },
	{ 0x2a48d73f, "input_free_device" },
	{ 0x2a8a899f, "_dev_info" },
	{ 0x476233e1, "backlight_device_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xaedc70f0, "backlight_force_update" },
	{ 0x5d620ca7, "led_classdev_notify_brightness_hw_changed" },
	{ 0xf52f7528, "seq_lseek" },
	{ 0x9e119369, "seq_read" },
	{ 0x177e90b3, "single_release" },
	{ 0xa773f9a5, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe22bcea9, "devm_kmalloc" },
	{ 0xe2934fe1, "single_open" },
	{ 0x17452315, "seq_printf" },
	{ 0x931886df, "seq_puts" },
	{ 0x2a963a10, "__wmi_driver_register" },
	{ 0x9bb82d3e, "__platform_driver_register" },
	{ 0x8d638c37, "wmi_driver_unregister" },
	{ 0x34c38b1e, "platform_driver_unregister" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x5a2df725, "backlight_device_unregister" },
	{ 0xbfe36436, "platform_profile_remove" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x87be9644, "led_classdev_unregister" },
	{ 0x64cc5d2c, "input_unregister_device" },
	{ 0x1290e0a4, "debugfs_remove" },
	{ 0xa5bd6ee1, "device_remove_groups" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1000e51, "schedule" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xd8df08ac, "acpi_handle_printk" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xade5aadb, "_dev_warn" },
	{ 0x67927a0d, "platform_profile_notify" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "sparse-keymap,rfkill,platform_profile,video,wmi");

MODULE_ALIAS("acpi*:VPC2004:*");
MODULE_ALIAS("wmi:26CAB2E5-5CF1-46AE-AAC3-4A12B6BA50E6");
MODULE_ALIAS("wmi:56322276-8493-4CE8-A783-98C991274F5E");
MODULE_ALIAS("wmi:8FC0DE0C-B4E4-43FD-B0F3-8871711C1294");

MODULE_INFO(srcversion, "70FC06770444ACFC6718C15");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
