#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdns_init, "_gpl", "");
KSYMTAB_FUNC(cdns_remove, "_gpl", "");
KSYMTAB_FUNC(cdns_suspend, "_gpl", "");
KSYMTAB_FUNC(cdns_resume, "_gpl", "");
KSYMTAB_FUNC(cdns_set_active, "_gpl", "");
KSYMTAB_FUNC(cdns_clear_vbus, "_gpl", "");
KSYMTAB_FUNC(cdns_set_vbus, "_gpl", "");
KSYMTAB_FUNC(cdns_drd_gadget_on, "_gpl", "");
KSYMTAB_FUNC(cdns_drd_gadget_off, "_gpl", "");
KSYMTAB_FUNC(cdns_power_is_lost, "_gpl", "");

SYMBOL_CRC(cdns_init, 0xe8038c84, "_gpl");
SYMBOL_CRC(cdns_remove, 0x7283487d, "_gpl");
SYMBOL_CRC(cdns_suspend, 0x327fc3c9, "_gpl");
SYMBOL_CRC(cdns_resume, 0x0b52d5a2, "_gpl");
SYMBOL_CRC(cdns_set_active, 0x1c59af97, "_gpl");
SYMBOL_CRC(cdns_clear_vbus, 0xb4ec9782, "_gpl");
SYMBOL_CRC(cdns_set_vbus, 0xaa14a2ad, "_gpl");
SYMBOL_CRC(cdns_drd_gadget_on, 0x7a69d01f, "_gpl");
SYMBOL_CRC(cdns_drd_gadget_off, 0x76023973, "_gpl");
SYMBOL_CRC(cdns_power_is_lost, 0x5230b9eb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x3f3d7f17, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb6a489eb, "platform_device_add_data" },
	{ 0x1690b503, "usb_role_switch_get_drvdata" },
	{ 0xff964856, "usb_get_dr_mode" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x3f179a68, "__pm_runtime_set_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x72d8688f, "pm_runtime_enable" },
	{ 0xfa6887c0, "platform_device_add_resources" },
	{ 0x2042ddc2, "_dev_err" },
	{ 0x421f753c, "platform_device_unregister" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xbf0d3a12, "phy_reset" },
	{ 0x7930b7f2, "platform_device_add" },
	{ 0xcc1dc0e4, "platform_device_alloc" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xade5aadb, "_dev_warn" },
	{ 0xf67bb91a, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x85c5e85b, "usb_role_switch_register" },
	{ 0x495de502, "dma_set_coherent_mask" },
	{ 0x9a69772e, "phy_set_mode_ext" },
	{ 0x593b4b22, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9af7d97e, "devm_ioremap_resource" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xfcc989e, "dma_set_mask" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x73b2f5da, "__pm_runtime_disable" },
	{ 0x153508e0, "__pm_runtime_idle" },
	{ 0xb285f8a, "platform_device_put" },
	{ 0x5fb1f9f5, "device_property_present" },
	{ 0xa64b5327, "devm_request_threaded_irq" },
	{ 0xe22bcea9, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x37a0cba, "kfree" },
	{ 0x2882d40e, "usb_role_switch_unregister" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "roles,usbcore");


MODULE_INFO(srcversion, "E2675521AEED4D51864363B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
