#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0xefeb028e, "usb_bulk_msg" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x8d26cde7, "usb_driver_set_configuration" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xacb5ddbb, "usb_reset_device" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x3e58c655, "tty_port_tty_wakeup" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x9874493d, "usb_kill_urb" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xbd394d8, "tty_termios_baud_rate" },
	{ 0xc3e8be28, "tty_encode_baud_rate" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x999afa27, "usb_clear_halt" },
	{ 0xea10b738, "usb_serial_generic_tiocmiwait" },
	{ 0x67bcacdc, "usb_serial_generic_get_icount" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4aa57a4b, "usb_serial_register_drivers" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x3f3d7f17, "__dynamic_dev_dbg" },
	{ 0x2042ddc2, "_dev_err" },
	{ 0xa487a98b, "usb_submit_urb" },
	{ 0x962a0094, "tty_port_tty_get" },
	{ 0xaa0510e8, "tty_kref_put" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xb7c6f420, "tty_wakeup" },
	{ 0x37a0cba, "kfree" },
	{ 0xa6aeaa60, "usb_serial_deregister_drivers" },
	{ 0x8a5fca12, "tty_flip_buffer_push" },
	{ 0xfc2de678, "__tty_insert_flip_string_flags" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3866c129, "kmalloc_caches" },
	{ 0xfec64d23, "kmalloc_trace" },
	{ 0xd35168ac, "usb_control_msg" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x20eb7a98, "request_firmware" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbserial");

MODULE_ALIAS("usb:v0451p3410d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451pF430d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E0pF108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E0pF109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E0pF110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E0pF111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E0pF112d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E0pF114d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E0pF115d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06E0p0319d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p5052d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p5152d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p505Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p505Fd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B3p4543d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B3p454Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04B3p454Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1A61p3410d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1A61p3420d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p5053d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v10ACp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v110Ap1110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v110Ap1130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v110Ap1131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v110Ap1150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v110Ap1151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B0p3410d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "4C6CE1EAB59182B46B76521");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
