#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fuse_len_args, "_gpl", "");
KSYMTAB_FUNC(fuse_get_unique, "_gpl", "");
KSYMTAB_DATA(fuse_dev_fiq_ops, "_gpl", "");
KSYMTAB_FUNC(fuse_request_end, "_gpl", "");
KSYMTAB_FUNC(fuse_simple_background, "_gpl", "");
KSYMTAB_FUNC(fuse_dequeue_forget, "", "");
KSYMTAB_FUNC(fuse_abort_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_release, "_gpl", "");
KSYMTAB_DATA(fuse_dev_operations, "_gpl", "");
KSYMTAB_FUNC(fuse_do_open, "_gpl", "");
KSYMTAB_FUNC(fuse_sync_release, "_gpl", "");
KSYMTAB_FUNC(fuse_direct_io, "_gpl", "");
KSYMTAB_FUNC(fuse_file_poll, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_init, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_put, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_get, "_gpl", "");
KSYMTAB_FUNC(fuse_send_init, "_gpl", "");
KSYMTAB_FUNC(fuse_free_conn, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_alloc_install, "_gpl", "");
KSYMTAB_FUNC(fuse_dev_free, "_gpl", "");
KSYMTAB_FUNC(fuse_init_fs_context_submount, "_gpl", "");
KSYMTAB_FUNC(fuse_fill_super_common, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_remove, "_gpl", "");
KSYMTAB_FUNC(fuse_conn_destroy, "_gpl", "");
KSYMTAB_FUNC(fuse_mount_destroy, "", "");
KSYMTAB_FUNC(fuse_do_ioctl, "_gpl", "");
KSYMTAB_FUNC(fuse_dax_cancel_work, "_gpl", "");

SYMBOL_CRC(fuse_len_args, 0xdd626ee3, "_gpl");
SYMBOL_CRC(fuse_get_unique, 0x536d85c6, "_gpl");
SYMBOL_CRC(fuse_dev_fiq_ops, 0x65508295, "_gpl");
SYMBOL_CRC(fuse_request_end, 0xd64577e0, "_gpl");
SYMBOL_CRC(fuse_simple_background, 0x90a14c33, "_gpl");
SYMBOL_CRC(fuse_dequeue_forget, 0xab4c28da, "");
SYMBOL_CRC(fuse_abort_conn, 0x154d0e5f, "_gpl");
SYMBOL_CRC(fuse_dev_release, 0x845b1af7, "_gpl");
SYMBOL_CRC(fuse_dev_operations, 0x6b314b51, "_gpl");
SYMBOL_CRC(fuse_do_open, 0x445ea2a1, "_gpl");
SYMBOL_CRC(fuse_sync_release, 0x26428940, "_gpl");
SYMBOL_CRC(fuse_direct_io, 0x47078a6c, "_gpl");
SYMBOL_CRC(fuse_file_poll, 0x7d689d56, "_gpl");
SYMBOL_CRC(fuse_conn_init, 0x854b9e66, "_gpl");
SYMBOL_CRC(fuse_conn_put, 0xc2b11d1c, "_gpl");
SYMBOL_CRC(fuse_conn_get, 0x6072166f, "_gpl");
SYMBOL_CRC(fuse_send_init, 0x1997ad92, "_gpl");
SYMBOL_CRC(fuse_free_conn, 0x45646cbf, "_gpl");
SYMBOL_CRC(fuse_dev_alloc, 0x22353203, "_gpl");
SYMBOL_CRC(fuse_dev_install, 0x41169c75, "_gpl");
SYMBOL_CRC(fuse_dev_alloc_install, 0xfe493e72, "_gpl");
SYMBOL_CRC(fuse_dev_free, 0xe2043562, "_gpl");
SYMBOL_CRC(fuse_init_fs_context_submount, 0x0f645877, "_gpl");
SYMBOL_CRC(fuse_fill_super_common, 0xb9b76838, "_gpl");
SYMBOL_CRC(fuse_mount_remove, 0xe8fd9e0c, "_gpl");
SYMBOL_CRC(fuse_conn_destroy, 0x947034d3, "_gpl");
SYMBOL_CRC(fuse_mount_destroy, 0xb78d8396, "");
SYMBOL_CRC(fuse_do_ioctl, 0x1f0eb3d7, "_gpl");
SYMBOL_CRC(fuse_dax_cancel_work, 0x631c3a6c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc6cbbc89, "capable" },
	{ 0x3be2539f, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x997cef83, "copy_page_from_iter_atomic" },
	{ 0x8eee3399, "dax_read_unlock" },
	{ 0x6fb66d48, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xc3ff8abd, "inode_init_once" },
	{ 0x3874b388, "file_write_and_wait_range" },
	{ 0x45f5186e, "compat_ptr_ioctl" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7ca4a4bb, "nosteal_pipe_buf_ops" },
	{ 0x2151b2de, "ilookup5" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x288ff47f, "inode_nohighmem" },
	{ 0x6ca13d17, "release_pages" },
	{ 0x2a395a07, "generic_file_direct_write" },
	{ 0xcb20b2b4, "fput" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0xdbbb9792, "generic_file_read_iter" },
	{ 0xfb7b07e2, "inode_maybe_inc_iversion" },
	{ 0x5454c36c, "unlock_page" },
	{ 0x1ccee3b3, "inc_node_page_state" },
	{ 0x3f0c9cb5, "thp_get_unmapped_area" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2555a546, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1a4c8540, "put_fs_context" },
	{ 0xb5b63711, "fileattr_fill_xflags" },
	{ 0xd96babb4, "interval_tree_iter_next" },
	{ 0x490a23e4, "dec_node_page_state" },
	{ 0xe56595d6, "write_cache_pages" },
	{ 0xa276dae9, "file_update_time" },
	{ 0x6c48620b, "set_nlink" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x56ba0f89, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x58d1fe10, "from_kgid" },
	{ 0xd229ab75, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xcc84912, "file_remove_privs" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x8b8c3b, "write_inode_now" },
	{ 0x1b81b77e, "dax_writeback_mapping_range" },
	{ 0x7574afa4, "d_obtain_alias" },
	{ 0x6072eb18, "file_modified" },
	{ 0xed435581, "copy_page_to_iter" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x9179d6dc, "finish_no_open" },
	{ 0x4c37337a, "__folio_start_writeback" },
	{ 0xf6c6fc9a, "kill_litter_super" },
	{ 0xfbc1b5fd, "folio_end_writeback" },
	{ 0xb16c81ef, "from_kuid" },
	{ 0xe0721a27, "current_in_userns" },
	{ 0xa5312d4c, "fc_mount" },
	{ 0xfb578fc5, "memset" },
	{ 0x478327, "sysfs_remove_mount_point" },
	{ 0x4c2a3426, "misc_register" },
	{ 0xdf93b9d8, "timespec64_to_jiffies" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x8f14b417, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x5e571861, "d_delete" },
	{ 0x3661a4f3, "from_kgid_munged" },
	{ 0x4726c805, "end_page_writeback" },
	{ 0x7dfa2072, "down_write_trylock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x7d243539, "kobject_create_and_add" },
	{ 0xeddd417, "down_read" },
	{ 0xaef188, "wb_writeout_inc" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2bb70b51, "nonseekable_open" },
	{ 0x8e049592, "dax_finish_sync_fault" },
	{ 0x6a2b8e24, "set_page_dirty" },
	{ 0xfa138328, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3b10ebf9, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4ed6c3be, "noop_direct_IO" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x33a6a18a, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9cfaada3, "generic_read_dir" },
	{ 0x65a8b18d, "d_add" },
	{ 0x8a82838c, "set_page_writeback" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2f7e5465, "percpu_counter_add_batch" },
	{ 0xd84d35bd, "dax_read_lock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa773f9a5, "param_ops_bool" },
	{ 0xd3efd793, "init_user_ns" },
	{ 0xb8ad7e31, "d_find_alias" },
	{ 0x4e0b4106, "invalidate_inode_pages2" },
	{ 0x25abe6db, "alloc_pages" },
	{ 0x5f332702, "inode_set_ctime_current" },
	{ 0xbe4bdf3b, "inc_nlink" },
	{ 0x1db1e94c, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x11043323, "get_tree_bdev" },
	{ 0x178d7684, "set_anon_super_fc" },
	{ 0x17452315, "seq_printf" },
	{ 0x1510878b, "dput" },
	{ 0xfc43ef2a, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xe98b408f, "generic_delete_inode" },
	{ 0xfac515e3, "deactivate_locked_super" },
	{ 0x744d8619, "touch_atime" },
	{ 0x864b0f08, "__percpu_down_read" },
	{ 0xc821a19f, "__d_lookup_unhash_wake" },
	{ 0xbecf50d4, "set_page_dirty_lock" },
	{ 0x25e30945, "pid_nr_ns" },
	{ 0x36d5516, "generic_file_open" },
	{ 0x81b04312, "truncate_inode_pages_range" },
	{ 0x7aacd524, "__put_user_ns" },
	{ 0x91c1da2b, "__folio_lock" },
	{ 0x275f69ea, "filemap_dirty_folio" },
	{ 0x3ef9fb15, "pagecache_get_page" },
	{ 0x931886df, "seq_puts" },
	{ 0xe7e286c6, "stream_open" },
	{ 0xbe97e99a, "rcuwait_wake_up" },
	{ 0xdab5a1eb, "interval_tree_insert" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x63e6ea20, "__wake_up_sync" },
	{ 0xb17a7e17, "add_to_pipe" },
	{ 0x3a8691fd, "__fs_parse" },
	{ 0x67b3d6d0, "dax_layout_busy_page_range" },
	{ 0x6fa77608, "filemap_splice_read" },
	{ 0xe972b3f2, "posix_acl_to_xattr" },
	{ 0xb6d4177, "dget_parent" },
	{ 0xd8a34efe, "kill_anon_super" },
	{ 0xf65d9efb, "from_kuid_munged" },
	{ 0xafc08054, "dotdot_name" },
	{ 0xfec64d23, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x936d3f26, "iget5_locked" },
	{ 0x2685ca13, "security_dentry_init_security" },
	{ 0x7c0ab78f, "filemap_write_and_wait_range" },
	{ 0x3a2327b8, "get_tree_single" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x4bf95729, "generic_write_checks" },
	{ 0x9f8a21ad, "iov_iter_revert" },
	{ 0x49aa30b6, "__remove_inode_hash" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe070fb6, "mntget" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x7c7c4098, "kmem_cache_alloc_lru" },
	{ 0x860fd9ca, "filemap_fault" },
	{ 0x9d4230ed, "d_invalidate" },
	{ 0x4472ac44, "__mark_inode_dirty" },
	{ 0x531ac3b, "generic_file_llseek" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xbb53856b, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x54dd5c89, "iov_iter_npages" },
	{ 0x9b53e14, "interval_tree_remove" },
	{ 0x15c65926, "drop_nlink" },
	{ 0x48ee09f7, "fault_in_iov_iter_readable" },
	{ 0x3f52befe, "filemap_check_errors" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3866c129, "kmalloc_caches" },
	{ 0x53b81437, "bdi_set_max_ratio" },
	{ 0x8b4a3b3, "kmem_cache_destroy" },
	{ 0x5a9e8c1f, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x40e90fde, "super_setup_bdi_name" },
	{ 0xdf4f65f4, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x57cef1c7, "truncate_inode_pages" },
	{ 0xdf1ca53f, "noop_backing_dev_info" },
	{ 0x3c5669fc, "pipe_lock" },
	{ 0x88a2229a, "generic_fillattr" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x2e0f6f2a, "vfs_fsync_range" },
	{ 0xef72dd30, "setattr_prepare" },
	{ 0x1622d087, "clear_nlink" },
	{ 0x81b95893, "file_check_and_advance_wb_err" },
	{ 0xb70c51c6, "d_alloc_parallel" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x44980423, "d_instantiate" },
	{ 0x3c185c61, "page_put_link" },
	{ 0xc44a36a4, "misc_deregister" },
	{ 0xfebd2bc2, "make_vfsgid" },
	{ 0xa9264269, "clear_inode" },
	{ 0xe4596718, "inode_to_bdi" },
	{ 0xa831986f, "find_pid_ns" },
	{ 0x49c4a19d, "grab_cache_page_write_begin" },
	{ 0x15a400fb, "simple_dir_inode_operations" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xdb1f9106, "pipe_unlock" },
	{ 0x865a2d4d, "fs_param_is_string" },
	{ 0x80610842, "folio_unlock" },
	{ 0x7dee3966, "new_inode" },
	{ 0x9b344452, "filemap_map_pages" },
	{ 0x65b45cb, "complete" },
	{ 0x9d18da3f, "dump_page" },
	{ 0x36c4fd82, "forget_all_cached_acls" },
	{ 0x1a3b819e, "init_special_inode" },
	{ 0xc363aad3, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x66ee563c, "task_active_pid_ns" },
	{ 0x955fa489, "iov_iter_single_seg_count" },
	{ 0xff662736, "retire_super" },
	{ 0xca9360b5, "rb_next" },
	{ 0xa7542dee, "filemap_fdatawrite_range" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x2fab46c6, "d_alloc_name" },
	{ 0x7400d458, "replace_page_cache_folio" },
	{ 0xf2616bf5, "inode_query_iversion" },
	{ 0x828d550b, "iov_iter_advance" },
	{ 0x39f73daf, "kill_fasync" },
	{ 0x2e858e09, "d_make_root" },
	{ 0x520b2d4c, "sb_set_blocksize" },
	{ 0xdca08238, "fget" },
	{ 0x109bfade, "simple_fill_super" },
	{ 0x9bac2fb4, "xas_find" },
	{ 0x4f9d2454, "sync_filesystem" },
	{ 0x9000236a, "noop_dirty_folio" },
	{ 0x56e17d31, "sget_fc" },
	{ 0xb0db8663, "param_set_uint" },
	{ 0xa0a0a605, "d_splice_alias" },
	{ 0x9bf7f18e, "iov_iter_get_pages2" },
	{ 0xe03e5de7, "direct_write_fallback" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe098888c, "page_get_link" },
	{ 0xa6379b58, "generic_permission" },
	{ 0x71a6aa91, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xf2014fc4, "invalidate_inode_pages2_range" },
	{ 0x4ded62d0, "posix_lock_file" },
	{ 0x4491a574, "finish_open" },
	{ 0x790130ca, "dax_iomap_rw" },
	{ 0x545677fd, "iput" },
	{ 0x7208fc63, "pcpu_hot" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x9fbd9554, "logfc" },
	{ 0xae5848eb, "__put_devmap_managed_page_refs" },
	{ 0x630b1cca, "iter_file_splice_write" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x4ec890ee, "init_pid_ns" },
	{ 0xc031d526, "dax_iomap_fault" },
	{ 0x69545e56, "iov_iter_init" },
	{ 0xbb6ff23c, "d_lookup" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0x76169c2a, "sysfs_create_mount_point" },
	{ 0x30b5f0fb, "generic_file_write_iter" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x43410d66, "register_filesystem" },
	{ 0x4b82bce3, "kmem_cache_create" },
	{ 0xb620a459, "folio_add_lru" },
	{ 0x649fa9e0, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x4303f865, "sync_inode_metadata" },
	{ 0x6cf5014e, "simple_empty" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xa44a1307, "interval_tree_iter_first" },
	{ 0x96b3e4e0, "down_read_trylock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa6e213ab, "vfs_setpos" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x12949573, "shrink_dcache_parent" },
	{ 0x2d609547, "dax_direct_access" },
	{ 0x885ffb26, "get_tree_nodev" },
	{ 0x9e783b5c, "splice_file_range" },
	{ 0xd825e66d, "simple_inode_init_ts" },
	{ 0x75c2e70c, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xa9fe96fe, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x9898de06, "fs_param_is_u32" },
	{ 0x10b7a207, "inode_newsize_ok" },
	{ 0xdfe72795, "d_drop" },
	{ 0xf09db6eb, "kill_block_super" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x79a2da9e, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0x18f4368f, "bdi_put" },
	{ 0xc898d223, "posix_acl_from_xattr" },
	{ 0x1000e51, "schedule" },
	{ 0xa5f50481, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xb956ae35, "make_kuid" },
	{ 0xe49aad90, "truncate_inode_pages_final" },
	{ 0xff4c55a9, "fs_kobj" },
	{ 0x6eca77a8, "__filemap_set_wb_err" },
	{ 0xf7562a98, "simple_dir_operations" },
	{ 0x89828e96, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x33b84f74, "copy_page" },
	{ 0x23978716, "__free_pages" },
	{ 0x9446c345, "kmem_cache_alloc" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0xecc6c452, "put_pid_ns" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0x64a4ac1c, "setattr_should_drop_suidgid" },
	{ 0xc9cfde07, "capable_wrt_inode_uidgid" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "294159B12550234F471875E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
