#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_conntrack_locks, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_expect_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_hash, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_lock, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_htable_size, "_gpl", "");
KSYMTAB_DATA(nf_conntrack_max, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_tuplepr, "_gpl", "");
KSYMTAB_FUNC(nf_ct_invert_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_get_id, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tmpl_free, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy, "", "");
KSYMTAB_FUNC(nf_ct_delete, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_hash_check_insert, "_gpl", "");
KSYMTAB_FUNC(nf_ct_acct_add, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_tuple_taken, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_free, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_in, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_refresh_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_kill_acct, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_tuple_to_nlattr, "_gpl", "");
KSYMTAB_DATA(nf_ct_port_nla_policy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_to_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_ct_port_nlattr_tuple_size, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_cleanup_net, "_gpl", "");
KSYMTAB_FUNC(nf_ct_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_alloc_hashtable, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_timeout, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_change_status, "_gpl", "");
KSYMTAB_FUNC(nf_ct_change_status_common, "_gpl", "");
KSYMTAB_FUNC(print_tuple, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_count, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hsize, "_gpl", "");
KSYMTAB_DATA(nf_ct_expect_hash, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unlink_expect_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expect, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_expect_find, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_find_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_remove_expectations, "_gpl", "");
KSYMTAB_FUNC(nf_ct_unexpect_related, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_alloc, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_related_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_destroy, "_gpl", "");
KSYMTAB_FUNC(nf_ct_expect_iterate_net, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hash, "_gpl", "");
KSYMTAB_DATA(nf_ct_helper_hsize, "_gpl", "");
KSYMTAB_FUNC(__nf_conntrack_helper_find, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_try_module_get, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_ext_add, "_gpl", "");
KSYMTAB_FUNC(__nf_ct_try_assign_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_name, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_expectfn_find_by_symbol, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_log, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper_init, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_register, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_helpers_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_register, "_gpl", "");
KSYMTAB_FUNC(nf_nat_helper_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_log_invalid, "_gpl", "");
KSYMTAB_FUNC(nf_ct_l4proto_find, "_gpl", "");
KSYMTAB_FUNC(nf_confirm, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_get, "_gpl", "");
KSYMTAB_FUNC(nf_ct_netns_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_register, "_gpl", "");
KSYMTAB_FUNC(nf_ct_bridge_unregister, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ext_add, "", "");
KSYMTAB_FUNC(__nf_ct_ext_find, "", "");
KSYMTAB_FUNC(nf_ct_seqadj_init, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_tcp_seqadj_set, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_adjust, "_gpl", "");
KSYMTAB_FUNC(nf_ct_seq_offset, "_gpl", "");
KSYMTAB_DATA(nf_ct_timeout_hook, "_gpl", "");
KSYMTAB_FUNC(nf_ct_untimeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_set_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_ct_destroy_timeout, "_gpl", "");
KSYMTAB_FUNC(nf_conn_pernet_ecache, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_eventmask_report, "_gpl", "");
KSYMTAB_FUNC(nf_ct_deliver_cached_events, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_register_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_conntrack_unregister_notifier, "_gpl", "");
KSYMTAB_FUNC(nf_ct_ecache_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_replace, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_get, "_gpl", "");
KSYMTAB_FUNC(nf_connlabels_put, "_gpl", "");
KSYMTAB_FUNC(nf_ct_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_add_helper, "_gpl", "");
KSYMTAB_FUNC(nf_ct_skb_network_trim, "_gpl", "");
KSYMTAB_FUNC(nf_ct_handle_fragments, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_add, "_gpl", "");
KSYMTAB_FUNC(nf_ct_gre_keymap_destroy, "_gpl", "");

SYMBOL_CRC(nf_conntrack_locks, 0x706a523d, "_gpl");
SYMBOL_CRC(nf_conntrack_expect_lock, 0xd5a43892, "_gpl");
SYMBOL_CRC(nf_conntrack_hash, 0x28eff409, "_gpl");
SYMBOL_CRC(nf_conntrack_lock, 0x5677021a, "_gpl");
SYMBOL_CRC(nf_conntrack_htable_size, 0x8ffe7e89, "_gpl");
SYMBOL_CRC(nf_conntrack_max, 0xf38bcdf3, "_gpl");
SYMBOL_CRC(nf_ct_get_tuplepr, 0x148dbf39, "_gpl");
SYMBOL_CRC(nf_ct_invert_tuple, 0x0460ec0f, "_gpl");
SYMBOL_CRC(nf_ct_get_id, 0xc7a76a0c, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_alloc, 0x7a1886d1, "_gpl");
SYMBOL_CRC(nf_ct_tmpl_free, 0x55f8543a, "_gpl");
SYMBOL_CRC(nf_ct_destroy, 0x3b08a8f0, "");
SYMBOL_CRC(nf_ct_delete, 0x07009cb9, "_gpl");
SYMBOL_CRC(nf_conntrack_find_get, 0xabbcf7f8, "_gpl");
SYMBOL_CRC(nf_conntrack_hash_check_insert, 0xd84eb96a, "_gpl");
SYMBOL_CRC(nf_ct_acct_add, 0x122b8735, "_gpl");
SYMBOL_CRC(__nf_conntrack_confirm, 0x2d2fca72, "_gpl");
SYMBOL_CRC(nf_conntrack_tuple_taken, 0x4b3fac7c, "_gpl");
SYMBOL_CRC(nf_conntrack_alloc, 0x8c9cdc64, "_gpl");
SYMBOL_CRC(nf_conntrack_free, 0x9a779f85, "_gpl");
SYMBOL_CRC(nf_conntrack_in, 0x88571a19, "_gpl");
SYMBOL_CRC(__nf_ct_refresh_acct, 0x1672f676, "_gpl");
SYMBOL_CRC(nf_ct_kill_acct, 0x2a702bfe, "_gpl");
SYMBOL_CRC(nf_ct_port_tuple_to_nlattr, 0xc3b35814, "_gpl");
SYMBOL_CRC(nf_ct_port_nla_policy, 0xeb0ab313, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_to_tuple, 0x752f0aa2, "_gpl");
SYMBOL_CRC(nf_ct_port_nlattr_tuple_size, 0xd505c3e0, "_gpl");
SYMBOL_CRC(nf_ct_iterate_cleanup_net, 0xfac129aa, "_gpl");
SYMBOL_CRC(nf_ct_iterate_destroy, 0x1e1edae4, "_gpl");
SYMBOL_CRC(nf_ct_alloc_hashtable, 0x289c3714, "_gpl");
SYMBOL_CRC(__nf_ct_change_timeout, 0x58052ce8, "_gpl");
SYMBOL_CRC(__nf_ct_change_status, 0xfc01c067, "_gpl");
SYMBOL_CRC(nf_ct_change_status_common, 0x30024159, "_gpl");
SYMBOL_CRC(print_tuple, 0x2dd17db6, "_gpl");
SYMBOL_CRC(nf_conntrack_count, 0xf667d789, "_gpl");
SYMBOL_CRC(nf_ct_expect_hsize, 0xc18ac88d, "_gpl");
SYMBOL_CRC(nf_ct_expect_hash, 0xec8beba6, "_gpl");
SYMBOL_CRC(nf_ct_unlink_expect_report, 0xce79f46e, "_gpl");
SYMBOL_CRC(nf_ct_remove_expect, 0x97db6f32, "_gpl");
SYMBOL_CRC(__nf_ct_expect_find, 0xada9f3ed, "_gpl");
SYMBOL_CRC(nf_ct_expect_find_get, 0x9f8967dc, "_gpl");
SYMBOL_CRC(nf_ct_remove_expectations, 0x7b4f3613, "_gpl");
SYMBOL_CRC(nf_ct_unexpect_related, 0xa2f06238, "_gpl");
SYMBOL_CRC(nf_ct_expect_alloc, 0x9c6d6c55, "_gpl");
SYMBOL_CRC(nf_ct_expect_init, 0xc95b62ae, "_gpl");
SYMBOL_CRC(nf_ct_expect_put, 0x8540feef, "_gpl");
SYMBOL_CRC(nf_ct_expect_related_report, 0x1e4b18f1, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_destroy, 0xf918957d, "_gpl");
SYMBOL_CRC(nf_ct_expect_iterate_net, 0x4c550e53, "_gpl");
SYMBOL_CRC(nf_ct_helper_hash, 0x693c3961, "_gpl");
SYMBOL_CRC(nf_ct_helper_hsize, 0xc40f284c, "_gpl");
SYMBOL_CRC(__nf_conntrack_helper_find, 0xb0a6c9b0, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_try_module_get, 0xb599bed7, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_put, 0xb39fe866, "_gpl");
SYMBOL_CRC(nf_nat_helper_try_module_get, 0x0bc00f80, "_gpl");
SYMBOL_CRC(nf_nat_helper_put, 0xa9d00c47, "_gpl");
SYMBOL_CRC(nf_ct_helper_ext_add, 0x41f53a15, "_gpl");
SYMBOL_CRC(__nf_ct_try_assign_helper, 0x9841bcfb, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_register, 0x5f8a4852, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_unregister, 0x8b569a7c, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_name, 0x00577d92, "_gpl");
SYMBOL_CRC(nf_ct_helper_expectfn_find_by_symbol, 0x7d3b9cc3, "_gpl");
SYMBOL_CRC(nf_ct_helper_log, 0xae019aff, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_register, 0xf79caecd, "_gpl");
SYMBOL_CRC(nf_conntrack_helper_unregister, 0x39d751b9, "_gpl");
SYMBOL_CRC(nf_ct_helper_init, 0x3b9c561f, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_register, 0xb868c769, "_gpl");
SYMBOL_CRC(nf_conntrack_helpers_unregister, 0xe83700c7, "_gpl");
SYMBOL_CRC(nf_nat_helper_register, 0xf51ed090, "_gpl");
SYMBOL_CRC(nf_nat_helper_unregister, 0x0df4bbed, "_gpl");
SYMBOL_CRC(nf_l4proto_log_invalid, 0x205cc736, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_log_invalid, 0x6e775743, "_gpl");
SYMBOL_CRC(nf_ct_l4proto_find, 0xc0e02d43, "_gpl");
SYMBOL_CRC(nf_confirm, 0x8f97e209, "_gpl");
SYMBOL_CRC(nf_ct_netns_get, 0x60cbb8a6, "_gpl");
SYMBOL_CRC(nf_ct_netns_put, 0x6a8effa3, "_gpl");
SYMBOL_CRC(nf_ct_bridge_register, 0xc75c1f12, "_gpl");
SYMBOL_CRC(nf_ct_bridge_unregister, 0xe0d0c3a6, "_gpl");
SYMBOL_CRC(nf_ct_ext_add, 0x9bfbea78, "");
SYMBOL_CRC(__nf_ct_ext_find, 0x89d99ee1, "");
SYMBOL_CRC(nf_ct_seqadj_init, 0xbdcdc796, "_gpl");
SYMBOL_CRC(nf_ct_seqadj_set, 0x463858fa, "_gpl");
SYMBOL_CRC(nf_ct_tcp_seqadj_set, 0x43ede1e1, "_gpl");
SYMBOL_CRC(nf_ct_seq_adjust, 0xdbff3560, "_gpl");
SYMBOL_CRC(nf_ct_seq_offset, 0xd622432b, "_gpl");
SYMBOL_CRC(nf_ct_timeout_hook, 0xbdab2999, "_gpl");
SYMBOL_CRC(nf_ct_untimeout, 0xa637431d, "_gpl");
SYMBOL_CRC(nf_ct_set_timeout, 0x31fb8019, "_gpl");
SYMBOL_CRC(nf_ct_destroy_timeout, 0x9c587fc4, "_gpl");
SYMBOL_CRC(nf_conn_pernet_ecache, 0xd2706b5d, "_gpl");
SYMBOL_CRC(nf_conntrack_eventmask_report, 0xa1d3ab6f, "_gpl");
SYMBOL_CRC(nf_ct_deliver_cached_events, 0xd67a3bfe, "_gpl");
SYMBOL_CRC(nf_conntrack_register_notifier, 0x042fd089, "_gpl");
SYMBOL_CRC(nf_conntrack_unregister_notifier, 0x4dc3519f, "_gpl");
SYMBOL_CRC(nf_ct_ecache_ext_add, 0x2d48c877, "_gpl");
SYMBOL_CRC(nf_connlabels_replace, 0x41e733c8, "_gpl");
SYMBOL_CRC(nf_connlabels_get, 0xe58729a4, "_gpl");
SYMBOL_CRC(nf_connlabels_put, 0x7922d596, "_gpl");
SYMBOL_CRC(nf_ct_helper, 0x16790467, "_gpl");
SYMBOL_CRC(nf_ct_add_helper, 0x4b0c93db, "_gpl");
SYMBOL_CRC(nf_ct_skb_network_trim, 0x2ee39cb4, "_gpl");
SYMBOL_CRC(nf_ct_handle_fragments, 0xb2867757, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_add, 0x26fc25c7, "_gpl");
SYMBOL_CRC(nf_ct_gre_keymap_destroy, 0xcdcc312d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa5f50481, "param_get_uint" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xb956ae35, "make_kuid" },
	{ 0x6af27b1e, "nf_defrag_ipv6_disable" },
	{ 0xb74e29ba, "ipv6_skip_exthdr" },
	{ 0x4f2673a, "nf_register_net_hooks" },
	{ 0xa916b694, "strnlen" },
	{ 0xf44d53da, "security_secid_to_secctx" },
	{ 0x9446c345, "kmem_cache_alloc" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x36448ce, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x818c6dd8, "nf_checksum" },
	{ 0x483f7687, "nf_hooks_lwtunnel_sysctl_handler" },
	{ 0xfd540df5, "init_net" },
	{ 0xfea2f54, "nf_ip6_check_hbh_len" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xbfaa0a8d, "kfree_skb_reason" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x56ba0f89, "kmem_cache_free" },
	{ 0xbb3a8c31, "seq_putc" },
	{ 0xd5a43273, "nla_put" },
	{ 0x1447873e, "nf_checksum_partial" },
	{ 0xca3d7edc, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x546606b2, "nf_unregister_net_hooks" },
	{ 0xc0e9ff6, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xe4fcdd26, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xc78c088, "ip_defrag" },
	{ 0x19f33626, "nf_ctnetlink_has_listener" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9a2df154, "nf_log_packet" },
	{ 0x8f14b417, "make_kgid" },
	{ 0x1368b083, "nf_ip_checksum" },
	{ 0x756d0ef2, "register_btf_kfunc_id_set" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0x7edb1c7c, "nf_conn_btf_access_lock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeddd417, "down_read" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x254ad00e, "nla_policy_len" },
	{ 0x429e696b, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x42b9bc28, "__skb_checksum" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x9546b105, "proc_set_user" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa773f9a5, "param_ops_bool" },
	{ 0xed062a3b, "inet_proto_csum_replace4" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69109982, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17452315, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaa2cba, "nf_defrag_ipv6_enable" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xecfea88, "btf_type_by_id" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xdc923ff7, "proc_dointvec" },
	{ 0x931886df, "seq_puts" },
	{ 0xd38d5b5a, "nf_nat_hook" },
	{ 0xf44a904a, "net_ns_barrier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x213cc895, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xfec64d23, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x163b360c, "nf_queue_nf_hook_drop" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xd376f06b, "pskb_trim_rcsum_slow" },
	{ 0xbb53856b, "up_read" },
	{ 0x27e2e008, "net_rwsem" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x3866c129, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8b4a3b3, "kmem_cache_destroy" },
	{ 0x3f808684, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc3d94ddf, "__do_once_done" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xbddeaf99, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xe3fe55c2, "nf_defrag_ipv4_disable" },
	{ 0x1b810d73, "nf_ip6_checksum" },
	{ 0xa1b1934, "proc_dou8vec_minmax" },
	{ 0xb796a6f8, "skb_copy_bits" },
	{ 0xd3011f85, "param_ops_uint" },
	{ 0xd3eaa6f0, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa30ec64a, "nf_register_sockopt" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0xe2bf7f43, "nfct_btf_struct_access" },
	{ 0xb0db8663, "param_set_uint" },
	{ 0x2bb41f10, "nf_defrag_ipv4_enable" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe62c8e9b, "nf_ct_frag6_gather" },
	{ 0x20439bd1, "get_net_ns_by_id" },
	{ 0x7208fc63, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x4b82bce3, "kmem_cache_create" },
	{ 0x62b4f7c6, "nf_ct_hook" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x8904e8a6, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x751d2e97, "bpf_log" },
	{ 0xe56957b6, "register_pernet_subsys" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x43cb4a42, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x4befd8bc, "nf_unregister_sockopt" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "nf_defrag_ipv6,libcrc32c,nf_defrag_ipv4");


MODULE_INFO(srcversion, "137B2B7BA1DE8E947BE578F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
