#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfc_hci_result_to_errno, "", "");
KSYMTAB_FUNC(nfc_hci_reset_pipes, "", "");
KSYMTAB_FUNC(nfc_hci_reset_pipes_per_host, "", "");
KSYMTAB_FUNC(nfc_hci_sak_to_protocol, "", "");
KSYMTAB_FUNC(nfc_hci_target_discovered, "", "");
KSYMTAB_FUNC(nfc_hci_allocate_device, "", "");
KSYMTAB_FUNC(nfc_hci_free_device, "", "");
KSYMTAB_FUNC(nfc_hci_register_device, "", "");
KSYMTAB_FUNC(nfc_hci_unregister_device, "", "");
KSYMTAB_FUNC(nfc_hci_set_clientdata, "", "");
KSYMTAB_FUNC(nfc_hci_get_clientdata, "", "");
KSYMTAB_FUNC(nfc_hci_driver_failure, "", "");
KSYMTAB_FUNC(nfc_hci_recv_frame, "", "");
KSYMTAB_FUNC(nfc_hci_send_event, "", "");
KSYMTAB_FUNC(nfc_hci_send_cmd, "", "");
KSYMTAB_FUNC(nfc_hci_send_cmd_async, "", "");
KSYMTAB_FUNC(nfc_hci_set_param, "", "");
KSYMTAB_FUNC(nfc_hci_get_param, "", "");
KSYMTAB_FUNC(nfc_hci_disconnect_gate, "", "");
KSYMTAB_FUNC(nfc_hci_disconnect_all_gates, "", "");
KSYMTAB_FUNC(nfc_hci_connect_gate, "", "");
KSYMTAB_FUNC(nfc_llc_start, "", "");
KSYMTAB_FUNC(nfc_llc_stop, "", "");

SYMBOL_CRC(nfc_hci_result_to_errno, 0x74fe3670, "");
SYMBOL_CRC(nfc_hci_reset_pipes, 0xb715d29e, "");
SYMBOL_CRC(nfc_hci_reset_pipes_per_host, 0x2c44d58f, "");
SYMBOL_CRC(nfc_hci_sak_to_protocol, 0xdd231c55, "");
SYMBOL_CRC(nfc_hci_target_discovered, 0x401d472e, "");
SYMBOL_CRC(nfc_hci_allocate_device, 0x8136b38e, "");
SYMBOL_CRC(nfc_hci_free_device, 0x7529e554, "");
SYMBOL_CRC(nfc_hci_register_device, 0x6e80b97a, "");
SYMBOL_CRC(nfc_hci_unregister_device, 0x52e6ee01, "");
SYMBOL_CRC(nfc_hci_set_clientdata, 0xac3add1f, "");
SYMBOL_CRC(nfc_hci_get_clientdata, 0xdd474df6, "");
SYMBOL_CRC(nfc_hci_driver_failure, 0x88ad8a60, "");
SYMBOL_CRC(nfc_hci_recv_frame, 0x3d2cbbdb, "");
SYMBOL_CRC(nfc_hci_send_event, 0xe8308c72, "");
SYMBOL_CRC(nfc_hci_send_cmd, 0x319a379b, "");
SYMBOL_CRC(nfc_hci_send_cmd_async, 0x7f02592b, "");
SYMBOL_CRC(nfc_hci_set_param, 0xd8f103e8, "");
SYMBOL_CRC(nfc_hci_get_param, 0x72ae8a6d, "");
SYMBOL_CRC(nfc_hci_disconnect_gate, 0x2a8bece5, "");
SYMBOL_CRC(nfc_hci_disconnect_all_gates, 0x80d796eb, "");
SYMBOL_CRC(nfc_hci_connect_gate, 0x84e7171a, "");
SYMBOL_CRC(nfc_llc_start, 0x48dea9ad, "");
SYMBOL_CRC(nfc_llc_stop, 0x74b60eca, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x98f103e8, "mutex_lock" },
	{ 0xfc5f85f6, "skb_push" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x70f3d42, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfbcf72c0, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x3dac8418, "nfc_targets_found" },
	{ 0xfec64d23, "kmalloc_trace" },
	{ 0x442c00f2, "nfc_driver_failure" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3866c129, "kmalloc_caches" },
	{ 0x4e73b60e, "nfc_register_device" },
	{ 0x239407a9, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6db513d1, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5b7ebe3a, "skb_dequeue" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xd1828a45, "nfc_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xc101c8ff, "nfc_allocate_device" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x93d644d4, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x237e9249, "nfc_alloc_recv_skb" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5349c33b, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x54e98723, "__alloc_skb" },
	{ 0xfcc73c89, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x2cb85b9d, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xbfaa0a8d, "kfree_skb_reason" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "0B1F174CEDB4DFA029BCDBF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
