#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cfg80211_shutdown_all_interfaces, "_gpl", "");
KSYMTAB_FUNC(wiphy_new_nm, "", "");
KSYMTAB_FUNC(wiphy_register, "", "");
KSYMTAB_FUNC(wiphy_rfkill_start_polling, "", "");
KSYMTAB_FUNC(wiphy_unregister, "", "");
KSYMTAB_FUNC(wiphy_free, "", "");
KSYMTAB_FUNC(wiphy_rfkill_set_hw_state_reason, "", "");
KSYMTAB_FUNC(cfg80211_unregister_wdev, "", "");
KSYMTAB_FUNC(cfg80211_stop_iface, "", "");
KSYMTAB_FUNC(cfg80211_register_netdevice, "", "");
KSYMTAB_FUNC(wiphy_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_work_flush, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_timer, "", "");
KSYMTAB_FUNC(wiphy_delayed_work_queue, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_cancel, "_gpl", "");
KSYMTAB_FUNC(wiphy_delayed_work_flush, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_init, "", "");
KSYMTAB_FUNC(ieee80211_radiotap_iterator_next, "", "");
KSYMTAB_FUNC(ieee80211_get_response_rate, "", "");
KSYMTAB_FUNC(ieee80211_mandatory_rates, "", "");
KSYMTAB_FUNC(ieee80211_channel_to_freq_khz, "", "");
KSYMTAB_FUNC(ieee80211_s1g_channel_width, "", "");
KSYMTAB_FUNC(ieee80211_freq_khz_to_channel, "", "");
KSYMTAB_FUNC(ieee80211_get_channel_khz, "", "");
KSYMTAB_FUNC(ieee80211_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_hdrlen_from_skb, "", "");
KSYMTAB_FUNC(ieee80211_get_mesh_hdrlen, "", "");
KSYMTAB_FUNC(ieee80211_get_8023_tunnel_proto, "", "");
KSYMTAB_FUNC(ieee80211_strip_8023_mesh_hdr, "", "");
KSYMTAB_FUNC(ieee80211_data_to_8023_exthdr, "", "");
KSYMTAB_FUNC(ieee80211_is_valid_amsdu, "", "");
KSYMTAB_FUNC(ieee80211_amsdu_to_8023s, "", "");
KSYMTAB_FUNC(cfg80211_classify8021d, "", "");
KSYMTAB_FUNC(ieee80211_bss_get_elem, "", "");
KSYMTAB_FUNC(cfg80211_calculate_bitrate, "", "");
KSYMTAB_FUNC(cfg80211_get_p2p_attr, "", "");
KSYMTAB_FUNC(ieee80211_ie_split_ric, "", "");
KSYMTAB_FUNC(ieee80211_fragment_element, "", "");
KSYMTAB_FUNC(ieee80211_operating_class_to_band, "", "");
KSYMTAB_FUNC(ieee80211_chandef_to_operating_class, "", "");
KSYMTAB_FUNC(cfg80211_iter_combinations, "", "");
KSYMTAB_FUNC(cfg80211_check_combinations, "", "");
KSYMTAB_FUNC(ieee80211_get_num_supported_channels, "", "");
KSYMTAB_FUNC(cfg80211_get_station, "", "");
KSYMTAB_FUNC(cfg80211_free_nan_func, "", "");
KSYMTAB_FUNC(cfg80211_sinfo_alloc_tid_stats, "", "");
KSYMTAB_DATA(rfc1042_header, "", "");
KSYMTAB_DATA(bridge_tunnel_header, "", "");
KSYMTAB_FUNC(cfg80211_send_layer2_update, "", "");
KSYMTAB_FUNC(ieee80211_get_vht_max_nss, "", "");
KSYMTAB_FUNC(cfg80211_iftype_allowed, "", "");
KSYMTAB_FUNC(cfg80211_get_iftype_ext_capa, "", "");
KSYMTAB_FUNC(get_wiphy_regdom, "", "");
KSYMTAB_FUNC(reg_query_regdb_wmm, "", "");
KSYMTAB_FUNC(freq_reg_info, "", "");
KSYMTAB_FUNC(reg_initiator_name, "", "");
KSYMTAB_FUNC(wiphy_apply_custom_regulatory, "", "");
KSYMTAB_FUNC(regulatory_hint, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd, "", "");
KSYMTAB_FUNC(regulatory_set_wiphy_regd_sync, "", "");
KSYMTAB_FUNC(regulatory_pre_cac_allowed, "", "");
KSYMTAB_FUNC(cfg80211_is_element_inherited, "", "");
KSYMTAB_FUNC(cfg80211_scan_done, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_results, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped_locked, "", "");
KSYMTAB_FUNC(cfg80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(cfg80211_bss_flush, "", "");
KSYMTAB_FUNC(cfg80211_find_elem_match, "", "");
KSYMTAB_FUNC(cfg80211_find_vendor_elem, "", "");
KSYMTAB_FUNC(__cfg80211_get_bss, "", "");
KSYMTAB_FUNC(cfg80211_get_ies_channel_number, "", "");
KSYMTAB_FUNC(cfg80211_merge_profile, "", "");
KSYMTAB_FUNC(cfg80211_defragment_element, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_data, "", "");
KSYMTAB_FUNC(cfg80211_inform_bss_frame_data, "", "");
KSYMTAB_FUNC(cfg80211_ref_bss, "", "");
KSYMTAB_FUNC(cfg80211_put_bss, "", "");
KSYMTAB_FUNC(cfg80211_unlink_bss, "", "");
KSYMTAB_FUNC(cfg80211_bss_iter, "", "");
KSYMTAB_FUNC(cfg80211_wext_siwscan, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwscan, "_gpl", "");
KSYMTAB_FUNC(nl80211_send_chandef, "", "");
KSYMTAB_FUNC(cfg80211_check_station_change, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_event_skb, "", "");
KSYMTAB_FUNC(__cfg80211_send_event_skb, "", "");
KSYMTAB_FUNC(cfg80211_nan_match, "", "");
KSYMTAB_FUNC(cfg80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(__cfg80211_alloc_reply_skb, "", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_reply, "_gpl", "");
KSYMTAB_FUNC(cfg80211_vendor_cmd_get_sender, "_gpl", "");
KSYMTAB_FUNC(cfg80211_rx_unprot_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_links_removed, "", "");
KSYMTAB_FUNC(cfg80211_notify_new_peer_candidate, "", "");
KSYMTAB_FUNC(cfg80211_assoc_comeback, "", "");
KSYMTAB_FUNC(cfg80211_ready_on_channel, "", "");
KSYMTAB_FUNC(cfg80211_remain_on_channel_expired, "", "");
KSYMTAB_FUNC(cfg80211_tx_mgmt_expired, "", "");
KSYMTAB_FUNC(cfg80211_new_sta, "", "");
KSYMTAB_FUNC(cfg80211_del_sta_sinfo, "", "");
KSYMTAB_FUNC(cfg80211_conn_failed, "", "");
KSYMTAB_FUNC(cfg80211_rx_spurious_frame, "", "");
KSYMTAB_FUNC(cfg80211_rx_unexpected_4addr_frame, "", "");
KSYMTAB_FUNC(cfg80211_control_port_tx_status, "", "");
KSYMTAB_FUNC(cfg80211_mgmt_tx_status_ext, "", "");
KSYMTAB_FUNC(cfg80211_rx_control_port, "", "");
KSYMTAB_FUNC(cfg80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_txe_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_pktloss_notify, "", "");
KSYMTAB_FUNC(cfg80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(cfg80211_gtk_rekey_notify, "", "");
KSYMTAB_FUNC(cfg80211_pmksa_candidate_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_notify, "", "");
KSYMTAB_FUNC(cfg80211_ch_switch_started_notify, "", "");
KSYMTAB_FUNC(cfg80211_bss_color_notify, "", "");
KSYMTAB_FUNC(cfg80211_sta_opmode_change_notify, "", "");
KSYMTAB_FUNC(cfg80211_probe_status, "", "");
KSYMTAB_FUNC(cfg80211_report_obss_beacon_khz, "", "");
KSYMTAB_FUNC(cfg80211_report_wowlan_wakeup, "", "");
KSYMTAB_FUNC(cfg80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(cfg80211_ft_event, "", "");
KSYMTAB_FUNC(cfg80211_crit_proto_stopped, "", "");
KSYMTAB_FUNC(cfg80211_external_auth_request, "", "");
KSYMTAB_FUNC(cfg80211_update_owe_info_event, "", "");
KSYMTAB_FUNC(cfg80211_schedule_channels_check, "", "");
KSYMTAB_FUNC(cfg80211_rx_assoc_resp, "", "");
KSYMTAB_FUNC(cfg80211_rx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_auth_timeout, "", "");
KSYMTAB_FUNC(cfg80211_assoc_failure, "", "");
KSYMTAB_FUNC(cfg80211_tx_mlme_mgmt, "", "");
KSYMTAB_FUNC(cfg80211_michael_mic_failure, "", "");
KSYMTAB_FUNC(cfg80211_rx_mgmt_ext, "", "");
KSYMTAB_FUNC(__cfg80211_radar_event, "", "");
KSYMTAB_FUNC(cfg80211_cac_event, "", "");
KSYMTAB_FUNC(cfg80211_background_cac_abort, "", "");
KSYMTAB_FUNC(cfg80211_ibss_joined, "", "");
KSYMTAB_FUNC(cfg80211_connect_done, "", "");
KSYMTAB_FUNC(cfg80211_roamed, "", "");
KSYMTAB_FUNC(cfg80211_port_authorized, "", "");
KSYMTAB_FUNC(cfg80211_disconnected, "", "");
KSYMTAB_FUNC(cfg80211_chandef_create, "", "");
KSYMTAB_FUNC(nl80211_chan_width_to_mhz, "", "");
KSYMTAB_FUNC(cfg80211_chandef_valid, "", "");
KSYMTAB_FUNC(cfg80211_chandef_compatible, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_required, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_usable, "", "");
KSYMTAB_FUNC(cfg80211_chandef_dfs_cac_time, "", "");
KSYMTAB_FUNC(cfg80211_chandef_usable, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon, "", "");
KSYMTAB_FUNC(cfg80211_reg_can_beacon_relax, "", "");
KSYMTAB_FUNC(cfg80211_any_usable_channels, "", "");
KSYMTAB_FUNC(wdev_chandef, "", "");
KSYMTAB_FUNC(cfg80211_valid_disable_subchannel_bitmap, "", "");
KSYMTAB_FUNC(cfg80211_get_drvinfo, "", "");
KSYMTAB_FUNC(cfg80211_pmsr_complete, "_gpl", "");
KSYMTAB_FUNC(cfg80211_pmsr_report, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwname, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwmode, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwmode, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwrange, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwrts, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwrts, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_siwfrag, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwfrag, "_gpl", "");
KSYMTAB_FUNC(cfg80211_wext_giwretry, "_gpl", "");

SYMBOL_CRC(cfg80211_shutdown_all_interfaces, 0x7405ba3d, "_gpl");
SYMBOL_CRC(wiphy_new_nm, 0xac450559, "");
SYMBOL_CRC(wiphy_register, 0xdde8d8fd, "");
SYMBOL_CRC(wiphy_rfkill_start_polling, 0x0ebb0c66, "");
SYMBOL_CRC(wiphy_unregister, 0x55156b5d, "");
SYMBOL_CRC(wiphy_free, 0x5e16e217, "");
SYMBOL_CRC(wiphy_rfkill_set_hw_state_reason, 0xe2be09b2, "");
SYMBOL_CRC(cfg80211_unregister_wdev, 0x7e98a24d, "");
SYMBOL_CRC(cfg80211_stop_iface, 0x2ffcc54f, "");
SYMBOL_CRC(cfg80211_register_netdevice, 0x64e28906, "");
SYMBOL_CRC(wiphy_work_queue, 0xccdd7ddb, "_gpl");
SYMBOL_CRC(wiphy_work_cancel, 0x2879e5fd, "_gpl");
SYMBOL_CRC(wiphy_work_flush, 0x49871d1c, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_timer, 0x85de3f6f, "");
SYMBOL_CRC(wiphy_delayed_work_queue, 0x519a57bd, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_cancel, 0xafbd910a, "_gpl");
SYMBOL_CRC(wiphy_delayed_work_flush, 0xae8fc0c3, "_gpl");
SYMBOL_CRC(ieee80211_radiotap_iterator_init, 0x43afadee, "");
SYMBOL_CRC(ieee80211_radiotap_iterator_next, 0x7acb86ed, "");
SYMBOL_CRC(ieee80211_get_response_rate, 0x6aac3bef, "");
SYMBOL_CRC(ieee80211_mandatory_rates, 0x272d6876, "");
SYMBOL_CRC(ieee80211_channel_to_freq_khz, 0x5584448a, "");
SYMBOL_CRC(ieee80211_s1g_channel_width, 0x1bb59029, "");
SYMBOL_CRC(ieee80211_freq_khz_to_channel, 0x6bedf402, "");
SYMBOL_CRC(ieee80211_get_channel_khz, 0x885469ad, "");
SYMBOL_CRC(ieee80211_hdrlen, 0x7ef39823, "");
SYMBOL_CRC(ieee80211_get_hdrlen_from_skb, 0xa4d2049a, "");
SYMBOL_CRC(ieee80211_get_mesh_hdrlen, 0xd56d55f3, "");
SYMBOL_CRC(ieee80211_get_8023_tunnel_proto, 0x13c58e52, "");
SYMBOL_CRC(ieee80211_strip_8023_mesh_hdr, 0x2766312b, "");
SYMBOL_CRC(ieee80211_data_to_8023_exthdr, 0x1848ae4a, "");
SYMBOL_CRC(ieee80211_is_valid_amsdu, 0xcee258a6, "");
SYMBOL_CRC(ieee80211_amsdu_to_8023s, 0xc0c34b47, "");
SYMBOL_CRC(cfg80211_classify8021d, 0x665251ac, "");
SYMBOL_CRC(ieee80211_bss_get_elem, 0x5cba2be4, "");
SYMBOL_CRC(cfg80211_calculate_bitrate, 0x3c744e95, "");
SYMBOL_CRC(cfg80211_get_p2p_attr, 0xf5596d89, "");
SYMBOL_CRC(ieee80211_ie_split_ric, 0x275269b3, "");
SYMBOL_CRC(ieee80211_fragment_element, 0x2a1126d4, "");
SYMBOL_CRC(ieee80211_operating_class_to_band, 0xf40bc2f5, "");
SYMBOL_CRC(ieee80211_chandef_to_operating_class, 0xfbedff0e, "");
SYMBOL_CRC(cfg80211_iter_combinations, 0xb9916579, "");
SYMBOL_CRC(cfg80211_check_combinations, 0x92da04bb, "");
SYMBOL_CRC(ieee80211_get_num_supported_channels, 0x54585730, "");
SYMBOL_CRC(cfg80211_get_station, 0xde2a4273, "");
SYMBOL_CRC(cfg80211_free_nan_func, 0x8fa02936, "");
SYMBOL_CRC(cfg80211_sinfo_alloc_tid_stats, 0x3c86019a, "");
SYMBOL_CRC(rfc1042_header, 0x69b18f43, "");
SYMBOL_CRC(bridge_tunnel_header, 0x1879fcbd, "");
SYMBOL_CRC(cfg80211_send_layer2_update, 0xa66f9d86, "");
SYMBOL_CRC(ieee80211_get_vht_max_nss, 0x7c3ac925, "");
SYMBOL_CRC(cfg80211_iftype_allowed, 0x7dc0dadc, "");
SYMBOL_CRC(cfg80211_get_iftype_ext_capa, 0x57f5b875, "");
SYMBOL_CRC(get_wiphy_regdom, 0x6c580db6, "");
SYMBOL_CRC(reg_query_regdb_wmm, 0x8f495c47, "");
SYMBOL_CRC(freq_reg_info, 0x72976081, "");
SYMBOL_CRC(reg_initiator_name, 0xdba126c1, "");
SYMBOL_CRC(wiphy_apply_custom_regulatory, 0x29ec74c9, "");
SYMBOL_CRC(regulatory_hint, 0x74cab46e, "");
SYMBOL_CRC(regulatory_set_wiphy_regd, 0xb464f1a2, "");
SYMBOL_CRC(regulatory_set_wiphy_regd_sync, 0x10defa1a, "");
SYMBOL_CRC(regulatory_pre_cac_allowed, 0xc496b44a, "");
SYMBOL_CRC(cfg80211_is_element_inherited, 0xcc1a7c48, "");
SYMBOL_CRC(cfg80211_scan_done, 0xae6a7646, "");
SYMBOL_CRC(cfg80211_sched_scan_results, 0xc0549eeb, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped_locked, 0xba1d1040, "");
SYMBOL_CRC(cfg80211_sched_scan_stopped, 0x9a3b1877, "");
SYMBOL_CRC(cfg80211_bss_flush, 0xcf7817f3, "");
SYMBOL_CRC(cfg80211_find_elem_match, 0x9d6cba30, "");
SYMBOL_CRC(cfg80211_find_vendor_elem, 0x79b82a71, "");
SYMBOL_CRC(__cfg80211_get_bss, 0x384aedee, "");
SYMBOL_CRC(cfg80211_get_ies_channel_number, 0x3aca71a1, "");
SYMBOL_CRC(cfg80211_merge_profile, 0x117aca91, "");
SYMBOL_CRC(cfg80211_defragment_element, 0xd6c87a05, "");
SYMBOL_CRC(cfg80211_inform_bss_data, 0x394e8fed, "");
SYMBOL_CRC(cfg80211_inform_bss_frame_data, 0x1541d999, "");
SYMBOL_CRC(cfg80211_ref_bss, 0x38e801ec, "");
SYMBOL_CRC(cfg80211_put_bss, 0x4e18eeba, "");
SYMBOL_CRC(cfg80211_unlink_bss, 0xfa3a05ad, "");
SYMBOL_CRC(cfg80211_bss_iter, 0xf6802caa, "");
SYMBOL_CRC(cfg80211_wext_siwscan, 0x773e7be9, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwscan, 0x3d651106, "_gpl");
SYMBOL_CRC(nl80211_send_chandef, 0x59cd578a, "");
SYMBOL_CRC(cfg80211_check_station_change, 0x9b2e088c, "");
SYMBOL_CRC(__cfg80211_alloc_event_skb, 0x6a4f590c, "");
SYMBOL_CRC(__cfg80211_send_event_skb, 0x4eae9bad, "");
SYMBOL_CRC(cfg80211_nan_match, 0x99f4d9af, "");
SYMBOL_CRC(cfg80211_nan_func_terminated, 0xf569ce8e, "");
SYMBOL_CRC(__cfg80211_alloc_reply_skb, 0x37b32868, "");
SYMBOL_CRC(cfg80211_vendor_cmd_reply, 0xd76e4a13, "_gpl");
SYMBOL_CRC(cfg80211_vendor_cmd_get_sender, 0x22fa8d0d, "_gpl");
SYMBOL_CRC(cfg80211_rx_unprot_mlme_mgmt, 0x17a52d87, "");
SYMBOL_CRC(cfg80211_links_removed, 0x23e255a0, "");
SYMBOL_CRC(cfg80211_notify_new_peer_candidate, 0x66a6c95b, "");
SYMBOL_CRC(cfg80211_assoc_comeback, 0x58cd4c21, "");
SYMBOL_CRC(cfg80211_ready_on_channel, 0x253fc5ef, "");
SYMBOL_CRC(cfg80211_remain_on_channel_expired, 0x06d9965f, "");
SYMBOL_CRC(cfg80211_tx_mgmt_expired, 0x2f4dd8ec, "");
SYMBOL_CRC(cfg80211_new_sta, 0x480f2a5a, "");
SYMBOL_CRC(cfg80211_del_sta_sinfo, 0x843aa80d, "");
SYMBOL_CRC(cfg80211_conn_failed, 0x622c9963, "");
SYMBOL_CRC(cfg80211_rx_spurious_frame, 0xc9bdbbd9, "");
SYMBOL_CRC(cfg80211_rx_unexpected_4addr_frame, 0x8132c096, "");
SYMBOL_CRC(cfg80211_control_port_tx_status, 0xf187aa00, "");
SYMBOL_CRC(cfg80211_mgmt_tx_status_ext, 0x50f9c327, "");
SYMBOL_CRC(cfg80211_rx_control_port, 0xd23b95cf, "");
SYMBOL_CRC(cfg80211_cqm_rssi_notify, 0x30661144, "");
SYMBOL_CRC(cfg80211_cqm_txe_notify, 0x9e508f36, "");
SYMBOL_CRC(cfg80211_cqm_pktloss_notify, 0xf7d6f1d6, "");
SYMBOL_CRC(cfg80211_cqm_beacon_loss_notify, 0x415afa14, "");
SYMBOL_CRC(cfg80211_gtk_rekey_notify, 0x0fb17972, "");
SYMBOL_CRC(cfg80211_pmksa_candidate_notify, 0xd2ce54b6, "");
SYMBOL_CRC(cfg80211_ch_switch_notify, 0x5e4fa806, "");
SYMBOL_CRC(cfg80211_ch_switch_started_notify, 0x3ec9e435, "");
SYMBOL_CRC(cfg80211_bss_color_notify, 0xf23789d5, "");
SYMBOL_CRC(cfg80211_sta_opmode_change_notify, 0xeade5ddd, "");
SYMBOL_CRC(cfg80211_probe_status, 0x6554eb59, "");
SYMBOL_CRC(cfg80211_report_obss_beacon_khz, 0xca2f0bec, "");
SYMBOL_CRC(cfg80211_report_wowlan_wakeup, 0xa4d8d88f, "");
SYMBOL_CRC(cfg80211_tdls_oper_request, 0x942c8fa5, "");
SYMBOL_CRC(cfg80211_ft_event, 0xf318074c, "");
SYMBOL_CRC(cfg80211_crit_proto_stopped, 0x7e203ad4, "");
SYMBOL_CRC(cfg80211_external_auth_request, 0xd35a3646, "");
SYMBOL_CRC(cfg80211_update_owe_info_event, 0x093f1062, "");
SYMBOL_CRC(cfg80211_schedule_channels_check, 0x85011f32, "");
SYMBOL_CRC(cfg80211_rx_assoc_resp, 0x5959c555, "");
SYMBOL_CRC(cfg80211_rx_mlme_mgmt, 0x59615b0d, "");
SYMBOL_CRC(cfg80211_auth_timeout, 0x1f51b842, "");
SYMBOL_CRC(cfg80211_assoc_failure, 0xabdc0ec7, "");
SYMBOL_CRC(cfg80211_tx_mlme_mgmt, 0xd0a4a114, "");
SYMBOL_CRC(cfg80211_michael_mic_failure, 0x33e2029d, "");
SYMBOL_CRC(cfg80211_rx_mgmt_ext, 0x2685dfe1, "");
SYMBOL_CRC(__cfg80211_radar_event, 0xeba488d0, "");
SYMBOL_CRC(cfg80211_cac_event, 0x2f7fbe6c, "");
SYMBOL_CRC(cfg80211_background_cac_abort, 0x5e62dcf0, "");
SYMBOL_CRC(cfg80211_ibss_joined, 0xc793876d, "");
SYMBOL_CRC(cfg80211_connect_done, 0xe94f87ce, "");
SYMBOL_CRC(cfg80211_roamed, 0x517eba38, "");
SYMBOL_CRC(cfg80211_port_authorized, 0xc160261b, "");
SYMBOL_CRC(cfg80211_disconnected, 0xef1501f4, "");
SYMBOL_CRC(cfg80211_chandef_create, 0x46ae4ebf, "");
SYMBOL_CRC(nl80211_chan_width_to_mhz, 0x2c19c3c0, "");
SYMBOL_CRC(cfg80211_chandef_valid, 0x731c2423, "");
SYMBOL_CRC(cfg80211_chandef_compatible, 0xa6147877, "");
SYMBOL_CRC(cfg80211_chandef_dfs_required, 0x7954f189, "");
SYMBOL_CRC(cfg80211_chandef_dfs_usable, 0xd990a849, "");
SYMBOL_CRC(cfg80211_chandef_dfs_cac_time, 0x8dc060ce, "");
SYMBOL_CRC(cfg80211_chandef_usable, 0xdfd8fd58, "");
SYMBOL_CRC(cfg80211_reg_can_beacon, 0xf73fb141, "");
SYMBOL_CRC(cfg80211_reg_can_beacon_relax, 0x1d521aed, "");
SYMBOL_CRC(cfg80211_any_usable_channels, 0xf153d130, "");
SYMBOL_CRC(wdev_chandef, 0xd63f3626, "");
SYMBOL_CRC(cfg80211_valid_disable_subchannel_bitmap, 0x0faecde5, "");
SYMBOL_CRC(cfg80211_get_drvinfo, 0x7e47e932, "");
SYMBOL_CRC(cfg80211_pmsr_complete, 0xee0d1305, "_gpl");
SYMBOL_CRC(cfg80211_pmsr_report, 0xfb06386f, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwname, 0xbae0c57e, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwmode, 0x161cc9ac, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwmode, 0x437d40b1, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwrange, 0x6b334b2c, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwrts, 0x523ef1de, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwrts, 0x3691c369, "_gpl");
SYMBOL_CRC(cfg80211_wext_siwfrag, 0xb78de336, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwfrag, 0xe2ec6a2b, "_gpl");
SYMBOL_CRC(cfg80211_wext_giwretry, 0x10aaa3ab, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcdce87c, "rfkill_set_hw_state_reason" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x7ad74073, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x6b392d7, "__pskb_pull_tail" },
	{ 0xa42f876b, "netif_rx" },
	{ 0x4d1435af, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfbcf72c0, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa731e846, "bpf_trace_run3" },
	{ 0x429e696b, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xf3c4002, "get_net_ns_by_pid" },
	{ 0x368f8345, "debugfs_rename" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7a585940, "platform_device_register_full" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x90238a5a, "trace_event_buffer_reserve" },
	{ 0xff282521, "rfkill_register" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa773f9a5, "param_ops_bool" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfe57a3f7, "x509_load_certificate_list" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xb3b84fa2, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0x422e4831, "genl_unregister_family" },
	{ 0xfec64d23, "kmalloc_trace" },
	{ 0xea124bd1, "gcd" },
	{ 0x754d539c, "strlen" },
	{ 0x506e1574, "bpf_trace_run7" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x1b2a9ff5, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x6502bfa4, "debugfs_create_dir" },
	{ 0x33efd8a3, "genl_register_family" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x998ea003, "__dev_change_net_namespace" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf61fd579, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb992c0cf, "get_net_ns_by_fd" },
	{ 0x3536c4dd, "class_register" },
	{ 0xd621d56b, "bpf_trace_run11" },
	{ 0x8a490c90, "rfkill_set_sw_state" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3866c129, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x935141c5, "register_netdevice" },
	{ 0xe914e41e, "strcpy" },
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0x6cce0394, "__sock_create" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x443431c7, "verify_pkcs7_signature" },
	{ 0xc5760a9f, "bpf_trace_run4" },
	{ 0xb796a6f8, "skb_copy_bits" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0x6db513d1, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xe1e8f558, "dev_set_name" },
	{ 0x4dd1c696, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x3d1059ea, "__nla_validate" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xca9e776c, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe6e9d7c4, "trace_raw_output_prep" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x9f6cf8bc, "bpf_trace_run6" },
	{ 0x74a6c3c7, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x20eb7a98, "request_firmware" },
	{ 0x44ae0c1d, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0x2fc34c95, "device_initialize" },
	{ 0xdf3c01ea, "skb_add_rx_frag" },
	{ 0x40d01611, "genlmsg_put" },
	{ 0x3791cf11, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7208fc63, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x94756f94, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xb54ceb36, "genlmsg_multicast_allns" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xda87dcb2, "unregister_netdevice_queue" },
	{ 0xf240337a, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa6f52886, "netlink_broadcast_filtered" },
	{ 0xe9266c07, "keyring_alloc" },
	{ 0x184ac495, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1171b555, "device_rename" },
	{ 0x48f3c4c3, "trace_event_buffer_commit" },
	{ 0x78011b71, "eth_type_trans" },
	{ 0x1e8fac8e, "wireless_nlevent_flush" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x122c3a7e, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x5349c33b, "put_device" },
	{ 0x9f9ab66e, "net_ns_type_operations" },
	{ 0xa916b694, "strnlen" },
	{ 0x54e98723, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xdc46f242, "sysfs_create_link" },
	{ 0xc781bd9f, "rfkill_resume_polling" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xce870fe8, "inet_csk_get_port" },
	{ 0x9f80ddbd, "key_put" },
	{ 0xd1a0c0d, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x32deee17, "__dev_get_by_index" },
	{ 0xa0ce93a9, "perf_trace_run_bpf_submit" },
	{ 0xfd540df5, "init_net" },
	{ 0x8fb07aff, "request_firmware_nowait" },
	{ 0x2cb85b9d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xffb27375, "device_add" },
	{ 0xa9fa705c, "sysfs_remove_link" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x26c1b490, "init_uts_ns" },
	{ 0x421f753c, "platform_device_unregister" },
	{ 0x81487abd, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x788e6bb1, "dev_get_by_index" },
	{ 0x6c7d0ffd, "bpf_trace_run5" },
	{ 0xbfaa0a8d, "kfree_skb_reason" },
	{ 0x3cf2591b, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xfc5f85f6, "skb_push" },
	{ 0x1290e0a4, "debugfs_remove" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xb874e2b0, "wireless_send_event" },
	{ 0xd5a43273, "nla_put" },
	{ 0x2b5b8328, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x17fa7a8f, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xf78a5fe9, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x41f71ea1, "rfkill_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xad148e55, "bpf_trace_run1" },
	{ 0xcf3e0929, "device_del" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "ADE5C70FA554B40CA264877");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
