#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l41_probe, "_gpl", "");
KSYMTAB_FUNC(cs35l41_remove, "_gpl", "");
KSYMTAB_DATA(cs35l41_pm_ops, "_gpl", "");

SYMBOL_CRC(cs35l41_probe, 0x0de26770, "_gpl");
SYMBOL_CRC(cs35l41_remove, 0x4669a479, "_gpl");
SYMBOL_CRC(cs35l41_pm_ops, 0xdd4f8415, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1457e92d, "devm_gpiod_get_optional" },
	{ 0x7fb17a75, "cs35l41_init_boost" },
	{ 0x7033da5d, "cs35l41_enter_hibernate" },
	{ 0x3f3d7f17, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f179a68, "__pm_runtime_set_status" },
	{ 0x48e06914, "devm_snd_soc_register_component" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x72d8688f, "pm_runtime_enable" },
	{ 0x58d1c330, "regulator_bulk_disable" },
	{ 0xc989e674, "device_property_read_u32_array" },
	{ 0xf028c296, "snd_soc_get_enum_double" },
	{ 0x2a8a899f, "_dev_info" },
	{ 0xca6482a3, "snd_soc_info_volsw" },
	{ 0x405d17ec, "regmap_multi_reg_write_bypassed" },
	{ 0x2042ddc2, "_dev_err" },
	{ 0x20f01072, "wm_adsp_event" },
	{ 0x647840c, "snd_soc_dapm_put_volsw" },
	{ 0x4fe72d3e, "cs35l41_test_key_unlock" },
	{ 0xef860d03, "cs35l41_test_key_lock" },
	{ 0xd335c6e5, "snd_pcm_hw_constraint_list" },
	{ 0x7bbf4bf, "wm_adsp_fw_enum" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0xade5aadb, "_dev_warn" },
	{ 0xe6b4f757, "wm_adsp2_component_probe" },
	{ 0x2edc198a, "wm_adsp2_preloader_put" },
	{ 0xea6d6af2, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa1de2d07, "wm_adsp2_preloader_get" },
	{ 0x9d314686, "snd_soc_info_enum_double" },
	{ 0x19b85fd1, "regulator_bulk_enable" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0x44c80591, "devm_regulator_bulk_get" },
	{ 0x896fbdf8, "snd_soc_info_volsw_sx" },
	{ 0xdbc30dbf, "cs35l41_otp_unpack" },
	{ 0xe05e8c50, "wm_adsp2_component_remove" },
	{ 0xd2b631a8, "snd_soc_get_volsw" },
	{ 0x5d136736, "cs35l41_exit_hibernate" },
	{ 0x675a56a1, "regmap_read" },
	{ 0xf055f340, "snd_soc_put_volsw" },
	{ 0x701e379a, "wm_adsp_fw_get" },
	{ 0x593b4b22, "__pm_runtime_resume" },
	{ 0x7b8b104b, "cs35l41_set_cspl_mbox_cmd" },
	{ 0x79f9e1a0, "cs35l41_write_fs_errata" },
	{ 0x366ef61, "snd_soc_dapm_new_controls" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xac660af1, "cs35l41_configure_cs_dsp" },
	{ 0x3240e482, "_dev_crit" },
	{ 0x28ee3141, "regmap_update_bits_base" },
	{ 0x4030b136, "dev_err_probe" },
	{ 0x73118112, "snd_soc_dapm_get_volsw" },
	{ 0x8f860dee, "__pm_runtime_suspend" },
	{ 0xa802fa0f, "snd_soc_dapm_get_enum_double" },
	{ 0xffc1eae9, "__pm_runtime_use_autosuspend" },
	{ 0xe3293808, "wm_halo_init" },
	{ 0x5ea7963f, "wm_adsp_early_event" },
	{ 0x2de16b70, "cs35l41_set_channels" },
	{ 0x73b2f5da, "__pm_runtime_disable" },
	{ 0x36c475ff, "cs35l41_mdsync_up" },
	{ 0x975c2883, "snd_soc_get_volsw_sx" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0xe562ec51, "snd_soc_dapm_put_enum_double" },
	{ 0xff1c0317, "wm_adsp_fw_put" },
	{ 0x5fb1f9f5, "device_property_present" },
	{ 0x14745473, "cs35l41_global_enable" },
	{ 0x3cedf370, "regcache_cache_only" },
	{ 0xc468216f, "is_acpi_device_node" },
	{ 0xb9dc3d3a, "regcache_sync" },
	{ 0xf10ff236, "regmap_write" },
	{ 0xa64b5327, "devm_request_threaded_irq" },
	{ 0xf062afb7, "snd_soc_put_volsw_sx" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa7cc5f62, "pm_runtime_set_autosuspend_delay" },
	{ 0xee18a432, "cs35l41_register_errata_patch" },
	{ 0x6215ea4b, "gpiod_set_value_cansleep" },
	{ 0x37a0cba, "kfree" },
	{ 0xaad16980, "wm_adsp2_remove" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x66e99c9a, "snd_soc_put_enum_double" },
	{ 0xf9e84b95, "regcache_mark_dirty" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs35l41-lib,snd-soc-core,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "BD76D9547CD87994BAD4263");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
