#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_set_patch, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_force_sync_asp1_registers_from_cache, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_mbox_send, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_firmware_shutdown, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_for_firmware_boot, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_control_port_ready, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_min_reset_pulse, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_system_reset, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq_request, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_is_fw_reload_needed, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_suspend_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_resume_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_cs_dsp, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_read_prot_status, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_hw_init, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_speaker_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_bclk_freq_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_fill_supply_names, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_texts, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_values, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_i2c, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_spi, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_sdw, "_gpl", "SND_SOC_CS35L56_SHARED");

SYMBOL_CRC(cs35l56_set_patch, 0xf426b13f, "_gpl");
SYMBOL_CRC(cs35l56_force_sync_asp1_registers_from_cache, 0x4f34e39d, "_gpl");
SYMBOL_CRC(cs35l56_mbox_send, 0x135fb7dd, "_gpl");
SYMBOL_CRC(cs35l56_firmware_shutdown, 0x9d476bd9, "_gpl");
SYMBOL_CRC(cs35l56_wait_for_firmware_boot, 0xb8bac37c, "_gpl");
SYMBOL_CRC(cs35l56_wait_control_port_ready, 0xad591ce8, "_gpl");
SYMBOL_CRC(cs35l56_wait_min_reset_pulse, 0x810124fe, "_gpl");
SYMBOL_CRC(cs35l56_system_reset, 0xb8697e1c, "_gpl");
SYMBOL_CRC(cs35l56_irq_request, 0x1ed58a25, "_gpl");
SYMBOL_CRC(cs35l56_irq, 0x05482545, "_gpl");
SYMBOL_CRC(cs35l56_is_fw_reload_needed, 0x0c5ddf60, "_gpl");
SYMBOL_CRC(cs35l56_runtime_suspend_common, 0x1339897d, "_gpl");
SYMBOL_CRC(cs35l56_runtime_resume_common, 0x371f1859, "_gpl");
SYMBOL_CRC(cs35l56_init_cs_dsp, 0x0b0ca3ae, "_gpl");
SYMBOL_CRC(cs35l56_read_prot_status, 0x02d8bd08, "_gpl");
SYMBOL_CRC(cs35l56_hw_init, 0x4326a0c3, "_gpl");
SYMBOL_CRC(cs35l56_get_speaker_id, 0x7087d95c, "_gpl");
SYMBOL_CRC(cs35l56_get_bclk_freq_id, 0x88762c92, "_gpl");
SYMBOL_CRC(cs35l56_fill_supply_names, 0xcd5438ad, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_texts, 0x64e759e4, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_values, 0x05c2529e, "_gpl");
SYMBOL_CRC(cs35l56_regmap_i2c, 0xe0a4cae5, "_gpl");
SYMBOL_CRC(cs35l56_regmap_spi, 0x56f1cc3a, "_gpl");
SYMBOL_CRC(cs35l56_regmap_sdw, 0x999ff849, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa64b5327, "devm_request_threaded_irq" },
	{ 0xf9e84b95, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x3f3d7f17, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbf332ec9, "gpiod_get_array_optional" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2a8a899f, "_dev_info" },
	{ 0x405d17ec, "regmap_multi_reg_write_bypassed" },
	{ 0x2042ddc2, "_dev_err" },
	{ 0xdce356f9, "gpiod_put_array" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xade5aadb, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x675a56a1, "regmap_read" },
	{ 0x593b4b22, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3240e482, "_dev_crit" },
	{ 0x28ee3141, "regmap_update_bits_base" },
	{ 0x4030b136, "dev_err_probe" },
	{ 0x8f860dee, "__pm_runtime_suspend" },
	{ 0x74aedf37, "regmap_register_patch" },
	{ 0x153508e0, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x684a7bdc, "gpiod_get_value_cansleep" },
	{ 0x3cedf370, "regcache_cache_only" },
	{ 0xb9dc3d3a, "regcache_sync" },
	{ 0xf10ff236, "regmap_write" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4D3C37B66F37A801B0131B8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
