#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drbd_conn_str, "", "");
KSYMTAB_FUNC(drbd_role_str, "", "");
KSYMTAB_FUNC(drbd_disk_str, "", "");
KSYMTAB_FUNC(drbd_set_st_err_str, "", "");

SYMBOL_CRC(drbd_conn_str, 0x7730f22d, "");
SYMBOL_CRC(drbd_role_str, 0x35131b36, "");
SYMBOL_CRC(drbd_disk_str, 0xaf27bebf, "");
SYMBOL_CRC(drbd_set_st_err_str, 0x127a5901, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe73524df, "bdev_discard_alignment" },
	{ 0x96d40a48, "lc_try_get" },
	{ 0x2cf6bec, "bioset_exit" },
	{ 0xb5a459dc, "unregister_blkdev" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xb7d477ca, "flush_signals" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x880256d5, "bio_put" },
	{ 0xb80663ef, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xfd540df5, "init_net" },
	{ 0xeed7fd81, "up_write" },
	{ 0x43ac871e, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xdbdee578, "lc_element_by_index" },
	{ 0x81487abd, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xe27f145f, "submit_bio_noacct" },
	{ 0xbfaa0a8d, "kfree_skb_reason" },
	{ 0x425aac0d, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0xaf961052, "set_cpus_allowed_ptr" },
	{ 0x1290e0a4, "debugfs_remove" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xbb3a8c31, "seq_putc" },
	{ 0xd5a43273, "nla_put" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x9f68a6ba, "crypto_shash_digest" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc8891068, "iov_iter_kvec" },
	{ 0x111b8810, "blk_queue_segment_boundary" },
	{ 0xf429e8e0, "blkdev_issue_zeroout" },
	{ 0xcd279169, "nla_find" },
	{ 0xc942344e, "blk_stack_limits" },
	{ 0xf1e046cc, "panic" },
	{ 0x98d6f5e, "sock_sendmsg" },
	{ 0x3730d402, "bio_add_page" },
	{ 0x90ef804b, "crypto_shash_update" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4bead203, "del_gendisk" },
	{ 0x3921643f, "blk_queue_max_discard_sectors" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xaeb959aa, "lc_create" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xd2f7888c, "blk_set_stacking_limits" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x650ebd31, "bd_unlink_disk_holder" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0xb9313595, "bio_alloc_clone" },
	{ 0xf0e20f9b, "lc_try_lock" },
	{ 0x67547ede, "iov_iter_bvec" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x75e88edc, "lc_destroy" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5e36ac68, "blk_queue_max_segments" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xbf18a077, "lc_reset" },
	{ 0x3a080cd9, "param_ops_string" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfbcf72c0, "skb_trim" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe89a548b, "kthread_create_on_node" },
	{ 0xa79000a0, "lc_is_used" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xbfd71a3e, "pv_ops" },
	{ 0x9e119369, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{  0x7991c, "lc_seq_dump_details" },
	{ 0x6043a5bb, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xa4636872, "blk_queue_max_write_zeroes_sectors" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xb99fceba, "crypto_shash_final" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x720a27a7, "__register_blkdev" },
	{ 0xb8d82f13, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa773f9a5, "param_ops_bool" },
	{ 0x22f1cf8a, "bioset_init" },
	{ 0x25abe6db, "alloc_pages" },
	{ 0x1db1e94c, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69109982, "remove_proc_entry" },
	{ 0x41620cdc, "radix_tree_tagged" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17452315, "seq_printf" },
	{ 0x275b16e8, "sock_recvmsg" },
	{ 0x7a42e79b, "kobject_uevent" },
	{ 0xb3b84fa2, "sock_release" },
	{ 0xb97220ff, "bitmap_parse" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xf02d2d43, "bd_link_disk_holder" },
	{ 0x931886df, "seq_puts" },
	{ 0x177e90b3, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x96fd027, "tcp_sock_set_nodelay" },
	{ 0x8df14bc5, "send_sig" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x422e4831, "genl_unregister_family" },
	{ 0x69d5b6ee, "proc_create_single_data" },
	{ 0xfec64d23, "kmalloc_trace" },
	{ 0x156eb086, "blk_queue_max_hw_sectors" },
	{ 0xcb562e6, "lc_put" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x1b2a9ff5, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc4d8d7a4, "lc_find" },
	{ 0xe2934fe1, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xb03bb3d9, "bdev_release" },
	{ 0x108a0120, "crypto_alloc_shash" },
	{ 0x6502bfa4, "debugfs_create_dir" },
	{ 0x33efd8a3, "genl_register_family" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x2b9da7a4, "genl_lock" },
	{ 0x914664fb, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3866c129, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x50d1495e, "mempool_exit" },
	{ 0x3295ce3c, "fs_bio_set" },
	{ 0x8b4a3b3, "kmem_cache_destroy" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x5823e962, "blkdev_issue_discard" },
	{ 0xf9089020, "set_capacity_and_notify" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xf074b7fa, "lc_seq_printf_stats" },
	{ 0x2880cd1f, "set_disk_ro" },
	{ 0xf5d9de9b, "__blk_alloc_disk" },
	{ 0x3984a4d2, "bdev_alignment_offset" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0xbddeaf99, "try_module_get" },
	{ 0xa37d15d2, "tcp_sock_set_cork" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xc03c3994, "__bio_add_page" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x83f172ac, "blk_start_plug" },
	{ 0xdfb800d9, "idr_find" },
	{ 0xd3011f85, "param_ops_uint" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfba16232, "lc_get_cumulative" },
	{ 0x93fd34c6, "bio_split_to_limits" },
	{ 0x2f6fce98, "disk_update_readahead" },
	{ 0xdd9295df, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xca9e776c, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xa9816e75, "debugfs_create_symlink" },
	{ 0xca9360b5, "rb_next" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0x5b657133, "mempool_init" },
	{ 0x64dd215c, "bdev_open_by_path" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x40d01611, "genlmsg_put" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x7208fc63, "pcpu_hot" },
	{ 0xf52f7528, "seq_lseek" },
	{ 0x84374ba6, "blk_queue_write_cache" },
	{ 0xae5848eb, "__put_devmap_managed_page_refs" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf259dd46, "kernel_accept" },
	{ 0x4b82bce3, "kmem_cache_create" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x8ab6655e, "sched_set_fifo_low" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xfebde058, "mempool_free" },
	{ 0xb85d5dce, "tcp_sock_set_quickack" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xa6f52886, "netlink_broadcast_filtered" },
	{ 0xe52358fc, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcad7cf1d, "wake_up_process" },
	{ 0x6d11488, "__bitmap_equal" },
	{ 0x81a8d244, "crypto_destroy_tfm" },
	{ 0xf79ca159, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x2675693b, "lc_del" },
	{ 0xb8f7350a, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xf50102f, "put_disk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x2d140a58, "genl_unlock" },
	{ 0xa916b694, "strnlen" },
	{ 0xc8438495, "blk_queue_flag_set" },
	{ 0x12de578e, "lc_committed" },
	{ 0x1d2ebc6a, "lc_get" },
	{ 0x54e98723, "__alloc_skb" },
	{ 0x33b84f74, "copy_page" },
	{ 0x4ccdacd6, "mempool_alloc" },
	{ 0x9af842d, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x23978716, "__free_pages" },
	{ 0xb9df5892, "blk_finish_plug" },
	{ 0xc6cbbc89, "capable" },
	{ 0xf2f21a1c, "submit_bio" },
	{ 0x36448ce, "module_put" },
	{ 0xb74b1668, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "lru_cache,libcrc32c");


MODULE_INFO(srcversion, "211FB288A383ED945B83420");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
