#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(drm_gpuvm_range_valid, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_object_alloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_init, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_vm, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_objects, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_array, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_validate, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_add_fence, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain_prealloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_extobj_add, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_evict, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_insert, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remove, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_link, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unlink, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_first, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_prev, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_next, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_interval_empty, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prefetch_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_ops_free, "_gpl", "");

SYMBOL_CRC(drm_gpuvm_range_valid, 0xc7f07684, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_object_alloc, 0x4e88843e, "_gpl");
SYMBOL_CRC(drm_gpuvm_init, 0x7a145c26, "_gpl");
SYMBOL_CRC(drm_gpuvm_put, 0x1465ed5f, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_vm, 0xde7ac939, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_objects, 0x27a2511b, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_range, 0x7c12cf0b, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock, 0xa3ab0cc3, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_array, 0x36b8eb34, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_range, 0x21758682, "_gpl");
SYMBOL_CRC(drm_gpuvm_validate, 0x43f38cab, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_add_fence, 0xebb2be3f, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_create, 0x053975d5, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_put, 0x5a78fdaa, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_find, 0x1af4b597, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain, 0x6c93050a, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain_prealloc, 0xf9594ef7, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_extobj_add, 0x17489327, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_evict, 0xe99215ad, "_gpl");
SYMBOL_CRC(drm_gpuva_insert, 0xb32c080b, "_gpl");
SYMBOL_CRC(drm_gpuva_remove, 0x503bb14a, "_gpl");
SYMBOL_CRC(drm_gpuva_link, 0x6afb9cfd, "_gpl");
SYMBOL_CRC(drm_gpuva_unlink, 0xf493f570, "_gpl");
SYMBOL_CRC(drm_gpuva_find_first, 0x1ae1c679, "_gpl");
SYMBOL_CRC(drm_gpuva_find, 0xe0f5d335, "_gpl");
SYMBOL_CRC(drm_gpuva_find_prev, 0x9acccb87, "_gpl");
SYMBOL_CRC(drm_gpuva_find_next, 0xa1d0de95, "_gpl");
SYMBOL_CRC(drm_gpuvm_interval_empty, 0x3057b456, "_gpl");
SYMBOL_CRC(drm_gpuva_map, 0x5dd7efdc, "_gpl");
SYMBOL_CRC(drm_gpuva_remap, 0x3c57f258, "_gpl");
SYMBOL_CRC(drm_gpuva_unmap, 0xe26b0168, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map, 0x11ddb00e, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap, 0x16ea50e3, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map_ops_create, 0x20181f9c, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap_ops_create, 0x193374e9, "_gpl");
SYMBOL_CRC(drm_gpuvm_prefetch_ops_create, 0xe0de4358, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_unmap_ops_create, 0x71f81f02, "_gpl");
SYMBOL_CRC(drm_gpuva_ops_free, 0x9ce94b52, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5c7d60bb, "drm_gem_object_release" },
	{ 0x37a0cba, "kfree" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x411fed4a, "drm_exec_prepare_array" },
	{ 0xc1e2aa10, "dma_resv_add_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x3866c129, "kmalloc_caches" },
	{ 0xfec64d23, "kmalloc_trace" },
	{ 0xfc6aed0a, "drm_gem_private_object_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xca9360b5, "rb_next" },
	{ 0x852ee125, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe12e6692, "drm_exec_prepare_obj" },
	{ 0x4c3ba828, "drm_exec_lock_obj" },
	{ 0x4d080e1e, "drm_exec_init" },
	{ 0x7fccbb4e, "drm_exec_cleanup" },
	{ 0x12ccbaf1, "drm_exec_fini" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "drm_exec");


MODULE_INFO(srcversion, "AE6034294DD56076A1A429C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
