#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(bmp280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp180_chip_info, "", "IIO_BMP280");
KSYMTAB_FUNC(bmp280_common_probe, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_dev_pm_ops, "", "");
KSYMTAB_DATA(bmp180_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_regmap_config, "", "IIO_BMP280");

SYMBOL_CRC(bmp280_chip_info, 0x8a876b29, "");
SYMBOL_CRC(bme280_chip_info, 0xfd624aed, "");
SYMBOL_CRC(bmp380_chip_info, 0x17888a5f, "");
SYMBOL_CRC(bmp580_chip_info, 0xef4ac1e9, "");
SYMBOL_CRC(bmp180_chip_info, 0xf6e64ef2, "");
SYMBOL_CRC(bmp280_common_probe, 0x97989cb2, "");
SYMBOL_CRC(bmp280_dev_pm_ops, 0xd905e0d3, "");
SYMBOL_CRC(bmp180_regmap_config, 0xe81ff3a8, "");
SYMBOL_CRC(bmp280_regmap_config, 0x02992eca, "");
SYMBOL_CRC(bmp380_regmap_config, 0xedcb982b, "");
SYMBOL_CRC(bmp580_regmap_config, 0xe3b724ae, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb17fc054, "regmap_bulk_write" },
	{ 0x593b4b22, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x52276a88, "regmap_bulk_read" },
	{ 0x28ee3141, "regmap_update_bits_base" },
	{ 0x4030b136, "dev_err_probe" },
	{ 0x8f860dee, "__pm_runtime_suspend" },
	{ 0x2c3cfce7, "__devm_add_action" },
	{ 0xffc1eae9, "__pm_runtime_use_autosuspend" },
	{ 0x73b2f5da, "__pm_runtime_disable" },
	{ 0x153508e0, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xf10ff236, "regmap_write" },
	{ 0xa64b5327, "devm_request_threaded_irq" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x63f0bcbc, "gpiod_set_value" },
	{ 0x58417480, "devm_nvmem_register" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x65b45cb, "complete" },
	{ 0xa7cc5f62, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1457e92d, "devm_gpiod_get_optional" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3f179a68, "__pm_runtime_set_status" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x72d8688f, "pm_runtime_enable" },
	{ 0x58d1c330, "regulator_bulk_disable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2a8a899f, "_dev_info" },
	{ 0x2042ddc2, "_dev_err" },
	{ 0x80c3054d, "irq_get_irq_data" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7e12f36d, "__devm_iio_device_register" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x9c56400a, "devm_iio_device_alloc" },
	{ 0xade5aadb, "_dev_warn" },
	{ 0x9e805ab8, "regulator_bulk_set_supply_names" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x19b85fd1, "regulator_bulk_enable" },
	{ 0x44c80591, "devm_regulator_bulk_get" },
	{ 0x675a56a1, "regmap_read" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "industrialio");


MODULE_INFO(srcversion, "A1A8A4FD99AADCF802F4C75");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
