#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(raid5_set_cache_size, "", "");
KSYMTAB_FUNC(r5c_journal_mode_set, "", "");

SYMBOL_CRC(raid5_set_cache_size, 0x280246e7, "");
SYMBOL_CRC(r5c_journal_mode_set, 0x2e18a73a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x67b74785, "__tracepoint_block_unplug" },
	{ 0x85b06df2, "bio_chain" },
	{ 0x79cd0515, "__blk_trace_note_message" },
	{ 0xf429e8e0, "blkdev_issue_zeroout" },
	{ 0xda47f798, "disk_stack_limits" },
	{ 0x4c46c08d, "__cpuhp_state_add_instance" },
	{ 0x121a90ce, "async_trigger_callback" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x988e079c, "async_raid6_2data_recov" },
	{ 0x3730d402, "bio_add_page" },
	{ 0x6faa5a05, "__SCK__tp_func_block_unplug" },
	{ 0x90fb7589, "md_bitmap_end_sync" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xa85a8a43, "md_update_sb" },
	{ 0x3921643f, "blk_queue_max_discard_sectors" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x83f17bb4, "sysfs_create_group" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x336603e2, "_atomic_dec_and_lock_irqsave" },
	{ 0x5c400bc1, "md_flush_request" },
	{ 0x514614, "bio_init" },
	{ 0x9dd66787, "md_register_thread" },
	{ 0xfb578fc5, "memset" },
	{ 0xb9313595, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd27b25dd, "blk_check_plugged" },
	{ 0x5e36ac68, "blk_queue_max_segments" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb1070702, "md_account_bio" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1c7108e1, "md_write_inc" },
	{ 0xbfd71a3e, "pv_ops" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xd7829355, "unregister_md_personality" },
	{ 0xa4636872, "blk_queue_max_write_zeroes_sectors" },
	{ 0xd9c7b443, "md_bitmap_unplug" },
	{ 0xd78b87d9, "bio_uninit" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xa773f9a5, "param_ops_bool" },
	{ 0x22f1cf8a, "bioset_init" },
	{ 0xe6e6b684, "md_new_event" },
	{ 0xbd94fc1d, "async_syndrome_val" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x25abe6db, "alloc_pages" },
	{ 0x1db1e94c, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xacf7679, "dma_issue_pending_all" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17452315, "seq_printf" },
	{ 0xb9792cf2, "md_write_end" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xe0dc2c57, "blk_queue_io_min" },
	{ 0xd2f7f944, "md_check_recovery" },
	{ 0x1d47cd24, "md_bitmap_endwrite" },
	{ 0x3c7e8ff2, "__tracepoint_block_bio_remap" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc141b5e5, "blkdev_issue_flush" },
	{ 0x377e556b, "mddev_suspend" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x350e1a93, "remove_wait_queue" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x87d251f6, "badblocks_check" },
	{ 0xfec64d23, "kmalloc_trace" },
	{ 0x156eb086, "blk_queue_max_hw_sectors" },
	{ 0xc7a1840e, "llist_add_batch" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xaa4ac6e5, "rdev_set_badblocks" },
	{ 0x914664fb, "bio_alloc_bioset" },
	{ 0xe9ff8fc3, "blk_queue_io_opt" },
	{ 0x21c08cb4, "async_raid6_datap_recov" },
	{ 0x9432002e, "submit_bio_wait" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xbebdc272, "__cpuhp_remove_state" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3866c129, "kmalloc_caches" },
	{ 0x50d1495e, "mempool_exit" },
	{ 0x8b4a3b3, "kmem_cache_destroy" },
	{ 0xe99d21db, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x5823e962, "blkdev_issue_discard" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x2880cd1f, "set_disk_ro" },
	{ 0x40b3c1a6, "register_md_personality" },
	{ 0xac746b81, "shrinker_alloc" },
	{ 0xc03c3994, "__bio_add_page" },
	{ 0x83f172ac, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd6fc492, "md_bitmap_resize" },
	{ 0x4acb51b, "radix_tree_insert" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x1e28a5e3, "md_find_rdev_rcu" },
	{ 0x3cdf54c3, "mddev_resume" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x12189359, "__SCT__tp_func_block_unplug" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xdf90aac4, "md_bitmap_start_sync" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x5fc9d3f0, "radix_tree_lookup" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xa9c7207c, "md_bitmap_cond_end_sync" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8bc1f83f, "md_error" },
	{ 0xaabdc4d2, "async_xor_val_offs" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x5b657133, "mempool_init" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0xefc9f0de, "md_bitmap_startwrite" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x49020b33, "md_finish_reshape" },
	{ 0x7208fc63, "pcpu_hot" },
	{ 0xe1d6f895, "async_gen_syndrome" },
	{ 0xcb39ef5, "add_wait_queue" },
	{ 0xa6de537d, "md_unregister_thread" },
	{ 0xae5848eb, "__put_devmap_managed_page_refs" },
	{ 0xddea8ca9, "sync_page_io" },
	{ 0xd6bfde1a, "md_bitmap_close_sync" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xa40e718b, "md_free_cloned_bio" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x4b82bce3, "kmem_cache_create" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xa5a76802, "kthread_park" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xfebde058, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0x971da7ad, "kernfs_notify" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc80a925a, "shrinker_free" },
	{ 0xfe7bc059, "md_wakeup_thread" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6f0525cf, "__cpuhp_state_remove_instance" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xc9d88e88, "md_set_array_sectors" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xbb63e754, "md_allow_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x894d9b54, "rdev_clear_badblocks" },
	{ 0x407384e6, "radix_tree_lookup_slot" },
	{ 0x7cdb7612, "async_tx_quiesce" },
	{ 0x28d5dd1e, "md_write_start" },
	{ 0xc8438495, "blk_queue_flag_set" },
	{ 0xddb1cd7, "llist_reverse_order" },
	{ 0xb49149a6, "shrinker_register" },
	{ 0x4ccdacd6, "mempool_alloc" },
	{ 0xb502d786, "radix_tree_replace_slot" },
	{ 0x618911fc, "numa_node" },
	{ 0x50a51a12, "async_xor" },
	{ 0x23978716, "__free_pages" },
	{ 0x9446c345, "kmem_cache_alloc" },
	{ 0xf7fc80b0, "async_xor_offs" },
	{ 0xb9df5892, "blk_finish_plug" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xf2f21a1c, "submit_bio" },
	{ 0xcb03cd0f, "blk_queue_flag_clear" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xdc46f242, "sysfs_create_link" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xa4d956e1, "kthread_unpark" },
	{ 0x2cf6bec, "bioset_exit" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x65520322, "md_done_sync" },
	{ 0x880256d5, "bio_put" },
	{ 0x9f27c5e8, "radix_tree_delete" },
	{ 0xb80663ef, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0x2f84f1e3, "md_wait_for_blocked_rdev" },
	{ 0x412194bf, "__SCK__tp_func_block_bio_remap" },
	{ 0xd2cd008, "__cpuhp_setup_state" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x56a1f54a, "async_memcpy" },
	{ 0xe27f145f, "submit_bio_noacct" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x56ba0f89, "kmem_cache_free" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x5a921311, "strncmp" },
	{ 0xbf50e2cc, "mddev_unlock" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "async_tx,async_raid6_recov,md-mod,raid6_pq,libcrc32c,async_pq,async_xor,async_memcpy");


MODULE_INFO(srcversion, "D42EE5C2F027A57C92F51EF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
