#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(go7007_read_interrupt, "", "");
KSYMTAB_FUNC(go7007_read_addr, "", "");
KSYMTAB_FUNC(go7007_boot_encoder, "", "");
KSYMTAB_FUNC(go7007_register_encoder, "", "");
KSYMTAB_FUNC(go7007_parse_video_stream, "", "");
KSYMTAB_FUNC(go7007_alloc, "", "");
KSYMTAB_FUNC(go7007_update_board, "", "");
KSYMTAB_FUNC(go7007_snd_init, "", "");
KSYMTAB_FUNC(go7007_snd_remove, "", "");

SYMBOL_CRC(go7007_read_interrupt, 0xd1779086, "");
SYMBOL_CRC(go7007_read_addr, 0xa536447d, "");
SYMBOL_CRC(go7007_boot_encoder, 0x910e3427, "");
SYMBOL_CRC(go7007_register_encoder, 0xf0cec2b6, "");
SYMBOL_CRC(go7007_parse_video_stream, 0x2b1c1487, "");
SYMBOL_CRC(go7007_alloc, 0x4e093ed2, "");
SYMBOL_CRC(go7007_update_board, 0x3a949585, "");
SYMBOL_CRC(go7007_snd_init, 0xe5a4ce58, "");
SYMBOL_CRC(go7007_snd_remove, 0x3cafa07a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcb361aa2, "snd_pcm_set_managed_buffer_all" },
	{ 0x7ad74073, "param_ops_charp" },
	{ 0x39cd8326, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x3a174f43, "vb2_fop_read" },
	{ 0xb689d4e9, "v4l2_device_register" },
	{ 0x4897ec95, "i2c_add_adapter" },
	{ 0xa13c9f36, "snd_card_disconnect" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xa773f9a5, "param_ops_bool" },
	{ 0xbd85ba44, "__video_register_device" },
	{ 0x52549611, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaf0a8af8, "vb2_ioctl_streamon" },
	{ 0xa11d297c, "vb2_fop_poll" },
	{ 0x5e1ae324, "v4l2_ctrl_new_std" },
	{ 0x23bcb789, "v4l2_ctrl_g_ctrl" },
	{ 0xff81f452, "v4l2_ctrl_handler_free" },
	{ 0x7914f97e, "v4l2_device_unregister" },
	{ 0xfacdaf5b, "v4l2_subdev_call_wrappers" },
	{ 0xcf4aa55, "snd_pcm_period_elapsed" },
	{ 0xf9573e59, "v4l2_ctrl_log_status" },
	{ 0xfec64d23, "kmalloc_trace" },
	{ 0x21ce3fea, "v4l2_event_queue" },
	{ 0x1b2a9ff5, "param_ops_int" },
	{ 0x1267826a, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x64557c8f, "v4l2_event_unsubscribe" },
	{ 0x3866c129, "kmalloc_caches" },
	{ 0x47a0e509, "vb2_ioctl_reqbufs" },
	{ 0x29adc58a, "vb2_queue_init" },
	{ 0xecfe166c, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2c56b0dd, "v4l2_device_put" },
	{ 0x8ccac6ae, "vb2_ioctl_streamoff" },
	{ 0xb0e602eb, "memmove" },
	{ 0xab9c2866, "snd_pcm_new" },
	{ 0xf0f2de14, "snd_card_register" },
	{ 0x9c6a0bb9, "v4l2_i2c_new_subdev_board" },
	{ 0x45e32f0f, "snd_card_free" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x20eb7a98, "request_firmware" },
	{ 0xf2b99106, "vb2_ops_wait_finish" },
	{ 0x8c766042, "v4l2_ctrl_handler_init_class" },
	{ 0x7243322, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xd93d663b, "vb2_ioctl_querybuf" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd788cd32, "v4l2_fh_open" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x51e0d0bf, "video_devdata" },
	{ 0x5cd7e0d4, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2a8a899f, "_dev_info" },
	{ 0x94d67ec0, "i2c_del_adapter" },
	{ 0xd0a0d8d4, "snd_card_new" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x253aa220, "__v4l2_ctrl_grab" },
	{ 0xd09fda11, "vb2_ioctl_dqbuf" },
	{ 0x2042ddc2, "_dev_err" },
	{ 0x6889b211, "v4l2_ctrl_new_custom" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x36961578, "snd_card_free_when_closed" },
	{ 0x525b457a, "vb2_buffer_done" },
	{ 0x5d3d45ac, "vb2_plane_vaddr" },
	{ 0xfd166e55, "v4l2_ctrl_subscribe_event" },
	{ 0xdc55ea4d, "snd_pcm_set_ops" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xfbe21d5a, "v4l2_event_subscribe" },
	{ 0x8d384e51, "vb2_ioctl_qbuf" },
	{ 0xdbba8f7e, "vb2_fop_mmap" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xc6891a66, "snd_device_new" },
	{ 0x876be39a, "vb2_vmalloc_memops" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,videodev,videobuf2-v4l2,snd,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "5401F8E2FDFB2DC1E3EDFAA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
