#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(video_device_alloc, "", "");
KSYMTAB_FUNC(video_device_release, "", "");
KSYMTAB_FUNC(video_device_release_empty, "", "");
KSYMTAB_FUNC(video_devdata, "", "");
KSYMTAB_FUNC(v4l2_prio_init, "", "");
KSYMTAB_FUNC(v4l2_prio_change, "", "");
KSYMTAB_FUNC(v4l2_prio_open, "", "");
KSYMTAB_FUNC(v4l2_prio_close, "", "");
KSYMTAB_FUNC(v4l2_prio_max, "", "");
KSYMTAB_FUNC(v4l2_prio_check, "", "");
KSYMTAB_FUNC(__video_register_device, "", "");
KSYMTAB_FUNC(video_unregister_device, "", "");
KSYMTAB_FUNC(video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline, "_gpl", "");
KSYMTAB_FUNC(v4l2_norm_to_name, "", "");
KSYMTAB_FUNC(v4l2_video_std_frame_period, "", "");
KSYMTAB_FUNC(v4l2_video_std_construct, "", "");
KSYMTAB_DATA(v4l2_field_names, "", "");
KSYMTAB_DATA(v4l2_type_names, "", "");
KSYMTAB_FUNC(v4l_printk_ioctl, "", "");
KSYMTAB_FUNC(video_ioctl2, "", "");
KSYMTAB_FUNC(v4l2_device_register, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_register_subdev, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev_nodes, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_open, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_del, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_exit, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_release, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_is_singular, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_dequeue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue_fh, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_pending, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_wake_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subdev_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subdev_subscribe, "_gpl", "");
KSYMTAB_DATA(v4l2_subdev_call_wrappers, "", "");
KSYMTAB_FUNC(v4l2_subdev_get_fwnode_pad_1_to_1, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate_default, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_has_pad_interdep, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_alloc, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_free, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_init_finalize, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_format, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_crop, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_compose, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_frame_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_next_active_route, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing_with_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_find_opposite_end, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_opposite_stream_format, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_xlate_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_enable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_disable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_s_stream_helper, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_init, "", "");
KSYMTAB_FUNC(v4l2_subdev_notify_event, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_put_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_query_fill, "", "");
KSYMTAB_FUNC(v4l_bound_align_image, "_gpl", "");
KSYMTAB_FUNC(__v4l2_find_nearest_size, "_gpl", "");
KSYMTAB_FUNC(v4l2_g_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_s_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_format_info, "", "");
KSYMTAB_FUNC(v4l2_apply_frmsize_constraints, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt_mp, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_get_link_freq, "_gpl", "");
KSYMTAB_FUNC(v4l2_simplify_fraction, "_gpl", "");
KSYMTAB_FUNC(v4l2_fraction_to_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_equal, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_init, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_log, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_validate, "", "");
KSYMTAB_FUNC(v4l2_ctrl_notify, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_init_class, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_free, "", "");
KSYMTAB_FUNC(v4l2_ctrl_find, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_custom, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu_items, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_compound, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_add_handler, "", "");
KSYMTAB_FUNC(v4l2_ctrl_radio_filter, "", "");
KSYMTAB_FUNC(v4l2_ctrl_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_auto_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_activate, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_grab, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_handler_setup, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_fwnode_properties, "", "");
KSYMTAB_FUNC(v4l2_g_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_try_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_s_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_s_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_string, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_compound, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_range, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_dimensions, "", "");
KSYMTAB_FUNC(v4l2_query_ext_ctrl, "", "");
KSYMTAB_FUNC(v4l2_queryctrl, "", "");
KSYMTAB_FUNC(v4l2_querymenu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_replace, "", "");
KSYMTAB_FUNC(v4l2_ctrl_merge, "", "");
KSYMTAB_DATA(v4l2_ctrl_sub_ev_ops, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_poll, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_ctrl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_complete, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_name, "", "");
KSYMTAB_FUNC(v4l2_ctrl_fill, "", "");
KSYMTAB_FUNC(v4l2_compat_ioctl32, "_gpl", "");
KSYMTAB_FUNC(v4l2_mc_create_media_graph, "_gpl", "");
KSYMTAB_FUNC(v4l_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_disable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_vb2q_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links_to_pad, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_get, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_link_notify, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_new_subdev, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev_board, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_addr, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_tuner_addrs, "_gpl", "");

SYMBOL_CRC(video_device_alloc, 0x65d85293, "");
SYMBOL_CRC(video_device_release, 0xf73f6ad8, "");
SYMBOL_CRC(video_device_release_empty, 0x1267826a, "");
SYMBOL_CRC(video_devdata, 0x51e0d0bf, "");
SYMBOL_CRC(v4l2_prio_init, 0xb77b0159, "");
SYMBOL_CRC(v4l2_prio_change, 0x3bdd0f94, "");
SYMBOL_CRC(v4l2_prio_open, 0x2342f1ae, "");
SYMBOL_CRC(v4l2_prio_close, 0xcda04a5b, "");
SYMBOL_CRC(v4l2_prio_max, 0x8106095a, "");
SYMBOL_CRC(v4l2_prio_check, 0x16244fe5, "");
SYMBOL_CRC(__video_register_device, 0xbd85ba44, "");
SYMBOL_CRC(video_unregister_device, 0x83559f61, "");
SYMBOL_CRC(video_device_pipeline_start, 0xde1ca90c, "_gpl");
SYMBOL_CRC(__video_device_pipeline_start, 0x110c01d3, "_gpl");
SYMBOL_CRC(video_device_pipeline_stop, 0x18b33648, "_gpl");
SYMBOL_CRC(__video_device_pipeline_stop, 0x2bca7c1f, "_gpl");
SYMBOL_CRC(video_device_pipeline_alloc_start, 0xe20caf47, "_gpl");
SYMBOL_CRC(video_device_pipeline, 0x6a4c2991, "_gpl");
SYMBOL_CRC(v4l2_norm_to_name, 0xf3251e7b, "");
SYMBOL_CRC(v4l2_video_std_frame_period, 0x0614dd5a, "");
SYMBOL_CRC(v4l2_video_std_construct, 0xe2b92059, "");
SYMBOL_CRC(v4l2_field_names, 0x3adbd595, "");
SYMBOL_CRC(v4l2_type_names, 0x123959a1, "");
SYMBOL_CRC(v4l_printk_ioctl, 0xbc5671dc, "");
SYMBOL_CRC(video_ioctl2, 0xecfe166c, "");
SYMBOL_CRC(v4l2_device_register, 0xb689d4e9, "_gpl");
SYMBOL_CRC(v4l2_device_put, 0x2c56b0dd, "_gpl");
SYMBOL_CRC(v4l2_device_set_name, 0xb686b75b, "_gpl");
SYMBOL_CRC(v4l2_device_disconnect, 0xd9fb74d5, "_gpl");
SYMBOL_CRC(v4l2_device_unregister, 0x7914f97e, "_gpl");
SYMBOL_CRC(v4l2_device_register_subdev, 0xdd3d8e64, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev_nodes, 0xd47b15a5, "_gpl");
SYMBOL_CRC(v4l2_device_unregister_subdev, 0x6821d6cf, "_gpl");
SYMBOL_CRC(v4l2_fh_init, 0x5e25da99, "_gpl");
SYMBOL_CRC(v4l2_fh_add, 0x953f3961, "_gpl");
SYMBOL_CRC(v4l2_fh_open, 0xd788cd32, "_gpl");
SYMBOL_CRC(v4l2_fh_del, 0xc3e01184, "_gpl");
SYMBOL_CRC(v4l2_fh_exit, 0x46add461, "_gpl");
SYMBOL_CRC(v4l2_fh_release, 0xd4c5292b, "_gpl");
SYMBOL_CRC(v4l2_fh_is_singular, 0xd5eb6c82, "_gpl");
SYMBOL_CRC(v4l2_event_dequeue, 0xfcde20a6, "_gpl");
SYMBOL_CRC(v4l2_event_queue, 0x21ce3fea, "_gpl");
SYMBOL_CRC(v4l2_event_queue_fh, 0x966e3259, "_gpl");
SYMBOL_CRC(v4l2_event_pending, 0x1e14fcb2, "_gpl");
SYMBOL_CRC(v4l2_event_wake_all, 0x3352c7aa, "_gpl");
SYMBOL_CRC(v4l2_event_subscribe, 0xfbe21d5a, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe_all, 0x2bc0762c, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe, 0x64557c8f, "_gpl");
SYMBOL_CRC(v4l2_event_subdev_unsubscribe, 0xb0638fba, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subscribe, 0xed38b4c6, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subdev_subscribe, 0x2c533d39, "_gpl");
SYMBOL_CRC(v4l2_subdev_call_wrappers, 0xfacdaf5b, "");
SYMBOL_CRC(v4l2_subdev_get_fwnode_pad_1_to_1, 0x27f50419, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate_default, 0x0069b0ce, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate, 0x79e88a9f, "_gpl");
SYMBOL_CRC(v4l2_subdev_has_pad_interdep, 0x85e63554, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_alloc, 0x13ba64bc, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_free, 0xd8b6e3aa, "_gpl");
SYMBOL_CRC(__v4l2_subdev_init_finalize, 0x8202f85d, "_gpl");
SYMBOL_CRC(v4l2_subdev_cleanup, 0x3c1e6330, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_format, 0x166d2a02, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_crop, 0xfc8ad4f4, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_compose, 0x900e4a15, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_interval, 0xa4e21a51, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_fmt, 0x0a73e754, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_frame_interval, 0x441839af, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing, 0x53aa0878, "_gpl");
SYMBOL_CRC(__v4l2_subdev_next_active_route, 0xae3dd8d6, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing_with_fmt, 0xb8a1c89c, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_find_opposite_end, 0xcf754c8f, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_opposite_stream_format, 0xe02ac04e, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_xlate_streams, 0xac6d6eec, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_validate, 0xf43af7dc, "_gpl");
SYMBOL_CRC(v4l2_subdev_enable_streams, 0x4d85a03b, "_gpl");
SYMBOL_CRC(v4l2_subdev_disable_streams, 0x2f35dd7b, "_gpl");
SYMBOL_CRC(v4l2_subdev_s_stream_helper, 0x52033578, "_gpl");
SYMBOL_CRC(v4l2_subdev_init, 0xc3e7775d, "");
SYMBOL_CRC(v4l2_subdev_notify_event, 0x2cbe76a6, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_privacy_led, 0xee31fc84, "_gpl");
SYMBOL_CRC(v4l2_subdev_put_privacy_led, 0x64ec68d1, "_gpl");
SYMBOL_CRC(v4l2_ctrl_query_fill, 0x89e3897d, "");
SYMBOL_CRC(v4l_bound_align_image, 0xf5ef842e, "_gpl");
SYMBOL_CRC(__v4l2_find_nearest_size, 0xe2822320, "_gpl");
SYMBOL_CRC(v4l2_g_parm_cap, 0x9fa7ed67, "_gpl");
SYMBOL_CRC(v4l2_s_parm_cap, 0x6c922807, "_gpl");
SYMBOL_CRC(v4l2_format_info, 0x35ff98bf, "");
SYMBOL_CRC(v4l2_apply_frmsize_constraints, 0x9fef35ac, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt_mp, 0x6e9acc41, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt, 0xcc501597, "_gpl");
SYMBOL_CRC(v4l2_get_link_freq, 0x115dc40b, "_gpl");
SYMBOL_CRC(v4l2_simplify_fraction, 0xad5c3c93, "_gpl");
SYMBOL_CRC(v4l2_fraction_to_interval, 0x5074e573, "_gpl");
SYMBOL_CRC(v4l2_ctrl_type_op_equal, 0x2e5dc608, "");
SYMBOL_CRC(v4l2_ctrl_type_op_init, 0x81208d3f, "");
SYMBOL_CRC(v4l2_ctrl_type_op_log, 0x7d097ee2, "");
SYMBOL_CRC(v4l2_ctrl_type_op_validate, 0x9e959b0d, "");
SYMBOL_CRC(v4l2_ctrl_notify, 0xe9000d51, "");
SYMBOL_CRC(v4l2_ctrl_handler_init_class, 0x8c766042, "");
SYMBOL_CRC(v4l2_ctrl_handler_free, 0xff81f452, "");
SYMBOL_CRC(v4l2_ctrl_find, 0xcb4ed759, "");
SYMBOL_CRC(v4l2_ctrl_new_custom, 0x6889b211, "");
SYMBOL_CRC(v4l2_ctrl_new_std, 0x5e1ae324, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu, 0x39cd8326, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu_items, 0x8f7190de, "");
SYMBOL_CRC(v4l2_ctrl_new_std_compound, 0x6d72d350, "");
SYMBOL_CRC(v4l2_ctrl_new_int_menu, 0xf65f7596, "");
SYMBOL_CRC(v4l2_ctrl_add_handler, 0xab8095d3, "");
SYMBOL_CRC(v4l2_ctrl_radio_filter, 0x3ba1cfec, "");
SYMBOL_CRC(v4l2_ctrl_cluster, 0x8ec9683f, "");
SYMBOL_CRC(v4l2_ctrl_auto_cluster, 0x434ca704, "");
SYMBOL_CRC(v4l2_ctrl_activate, 0x035a4208, "");
SYMBOL_CRC(__v4l2_ctrl_grab, 0x253aa220, "");
SYMBOL_CRC(__v4l2_ctrl_handler_setup, 0xbf16766b, "_gpl");
SYMBOL_CRC(v4l2_ctrl_handler_setup, 0x3cdb88a7, "");
SYMBOL_CRC(v4l2_ctrl_handler_log_status, 0xf5761abb, "");
SYMBOL_CRC(v4l2_ctrl_new_fwnode_properties, 0x7dc36024, "");
SYMBOL_CRC(v4l2_g_ext_ctrls, 0x5203ac59, "");
SYMBOL_CRC(v4l2_try_ext_ctrls, 0x828571af, "");
SYMBOL_CRC(v4l2_s_ext_ctrls, 0xa178c6a4, "");
SYMBOL_CRC(v4l2_g_ctrl, 0xe37262b9, "");
SYMBOL_CRC(v4l2_s_ctrl, 0x4ae439d7, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl, 0x23bcb789, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl_int64, 0x5bc3ebe8, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl, 0x2a1709cf, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_int64, 0x3818a3c2, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_string, 0x62a46504, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_compound, 0x2ecc468b, "");
SYMBOL_CRC(__v4l2_ctrl_modify_range, 0xd7898d5c, "");
SYMBOL_CRC(__v4l2_ctrl_modify_dimensions, 0xeb44f08e, "");
SYMBOL_CRC(v4l2_query_ext_ctrl, 0xef242e89, "");
SYMBOL_CRC(v4l2_queryctrl, 0x93ff95a5, "");
SYMBOL_CRC(v4l2_querymenu, 0x996a541c, "");
SYMBOL_CRC(v4l2_ctrl_log_status, 0xf9573e59, "");
SYMBOL_CRC(v4l2_ctrl_subdev_log_status, 0x833847cf, "");
SYMBOL_CRC(v4l2_ctrl_replace, 0xf50fecbc, "");
SYMBOL_CRC(v4l2_ctrl_merge, 0x082737e8, "");
SYMBOL_CRC(v4l2_ctrl_sub_ev_ops, 0x9909936c, "");
SYMBOL_CRC(v4l2_ctrl_subscribe_event, 0xfd166e55, "");
SYMBOL_CRC(v4l2_ctrl_subdev_subscribe_event, 0x829c9aca, "");
SYMBOL_CRC(v4l2_ctrl_poll, 0x3d7e465f, "");
SYMBOL_CRC(v4l2_ctrl_request_hdl_find, 0xee29dfaf, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_hdl_ctrl_find, 0xf7160f79, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_complete, 0x0290764e, "");
SYMBOL_CRC(v4l2_ctrl_request_setup, 0xe2e93e96, "");
SYMBOL_CRC(v4l2_ctrl_get_menu, 0x315de2cf, "");
SYMBOL_CRC(v4l2_ctrl_get_int_menu, 0xd16d9c01, "");
SYMBOL_CRC(v4l2_ctrl_get_name, 0x32d43420, "");
SYMBOL_CRC(v4l2_ctrl_fill, 0x3b86cd9a, "");
SYMBOL_CRC(v4l2_compat_ioctl32, 0xb8c0cb15, "_gpl");
SYMBOL_CRC(v4l2_mc_create_media_graph, 0x54916965, "_gpl");
SYMBOL_CRC(v4l_enable_media_source, 0x3c4f573a, "_gpl");
SYMBOL_CRC(v4l_disable_media_source, 0x8cc9b0c7, "_gpl");
SYMBOL_CRC(v4l_vb2q_enable_media_source, 0x7c9253a8, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links_to_pad, 0x0709f0a0, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links, 0x972fb130, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_get, 0xfd0b9a45, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_put, 0xcb93ad90, "_gpl");
SYMBOL_CRC(v4l2_pipeline_link_notify, 0x7c37dddf, "_gpl");
SYMBOL_CRC(v4l2_spi_subdev_init, 0xf4d804f7, "_gpl");
SYMBOL_CRC(v4l2_spi_new_subdev, 0xe602f0d6, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_done, 0x73181d96, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_done, 0x481d3660, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_done, 0x5e5788cd, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_done, 0xa1893d14, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_queue, 0xcf116213, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_queue, 0xe1ddbf6e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_queue, 0x3385a5fa, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_queue, 0xc8dd867f, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_dqbuf, 0xfeda983e, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_dqbuf, 0x0c835cf3, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_dqbuf, 0x9e2c780c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_dqbuf, 0xd541e31a, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_qbuf, 0x0c7cc8df, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_qbuf, 0xbc2749f4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_qbuf, 0x4a122f40, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_qbuf, 0x6d3d6bc6, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_set_name, 0xf671fd9d, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_init, 0x46ab8a13, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev_board, 0x9c6a0bb9, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev, 0x622afb0b, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_addr, 0xd5f2ffce, "_gpl");
SYMBOL_CRC(v4l2_i2c_tuner_addrs, 0xf2a353ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x17fa7a8f, "class_unregister" },
	{ 0x3c19606f, "media_graph_walk_next" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x5c47a5c4, "i2c_new_client_device" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xb6def347, "device_register" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x8e2768ec, "media_pipeline_start" },
	{ 0xb4dfadff, "media_pipeline_stop" },
	{ 0xfb578fc5, "memset" },
	{ 0xade5aadb, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe0729205, "media_get_pad_index" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x90238a5a, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x58ee6d63, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x8a5d87d2, "led_set_brightness" },
	{ 0x10b6fa0d, "media_graph_walk_start" },
	{ 0xb1b97b32, "media_devnode_create" },
	{ 0x4030b136, "dev_err_probe" },
	{ 0xc1b27bd8, "media_entity_get_fwnode_pad" },
	{ 0xfec64d23, "kmalloc_trace" },
	{ 0xfe7fc9b2, "fwnode_handle_put" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x64696318, "media_device_unregister_entity" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xcdd2c6d8, "__media_pipeline_start" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3536c4dd, "class_register" },
	{ 0x609083b9, "led_sysfs_disable" },
	{ 0x29a32d2b, "media_entity_find_link" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7a23e4f6, "__dev_fwnode" },
	{ 0x38854c6, "pci_bus_type" },
	{ 0x3866c129, "kmalloc_caches" },
	{ 0xb075c43d, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x11e31478, "cdev_alloc" },
	{ 0xe6a3de4c, "media_devnode_remove" },
	{ 0xbddeaf99, "try_module_get" },
	{ 0xa547cb2, "media_request_object_find" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa4ee708b, "media_request_object_init" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x276bbf10, "led_sysfs_enable" },
	{ 0xe1e8f558, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb0258c7d, "fwnode_graph_get_remote_endpoint" },
	{ 0xe6e9d7c4, "trace_raw_output_prep" },
	{ 0x17025b5a, "spi_unregister_device" },
	{ 0xcc913380, "device_unregister" },
	{ 0x74a6c3c7, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x44ae0c1d, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3b189cc0, "media_request_object_unbind" },
	{ 0x5a03f0ae, "led_put" },
	{ 0xba75728e, "led_trigger_remove" },
	{ 0xec1a550a, "fwnode_graph_get_next_endpoint" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x3791cf11, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x730fef3b, "media_request_object_complete" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x7208fc63, "pcpu_hot" },
	{ 0xc7b5917c, "fwnode_graph_get_port_parent" },
	{ 0x94756f94, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xf6d9671a, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x3f3d7f17, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4738f6ce, "media_create_intf_link" },
	{ 0xb5d8f0f2, "media_create_pad_link" },
	{ 0x48f3c4c3, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6aa8ff51, "device_match_fwnode" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xc5069862, "__media_pipeline_stop" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5349c33b, "put_device" },
	{ 0xc92ba8d9, "i2c_new_scanned_device" },
	{ 0x4b9e1179, "media_pad_pipeline" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf3e559c5, "media_request_object_put" },
	{ 0x36448ce, "module_put" },
	{ 0x3383eed7, "media_pipeline_alloc_start" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xf0811e26, "media_device_register_entity" },
	{ 0x31dbc742, "media_request_get_by_fd" },
	{ 0xec16f794, "cdev_add" },
	{ 0x2341e26d, "led_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xa0ce93a9, "perf_trace_run_bpf_submit" },
	{ 0x2042ddc2, "_dev_err" },
	{ 0x42e39426, "i2c_unregister_device" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x3fac2993, "media_request_put" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xf9dcde40, "spi_new_device" },
	{ 0x2b5b8328, "trace_event_reg" },
	{ 0x8f17fc9c, "media_request_object_bind" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "5544287B40CC3CCD2D43B06");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
