#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mtd_table_mutex, "_gpl", "");
KSYMTAB_FUNC(__mtd_next_device, "_gpl", "");
KSYMTAB_FUNC(mtd_check_expert_analysis_mode, "_gpl", "");
KSYMTAB_FUNC(mtd_wunit_to_pairing_info, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_info_to_wunit, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_groups, "_gpl", "");
KSYMTAB_FUNC(mtd_device_parse_register, "_gpl", "");
KSYMTAB_FUNC(mtd_device_unregister, "_gpl", "");
KSYMTAB_FUNC(register_mtd_user, "_gpl", "");
KSYMTAB_FUNC(unregister_mtd_user, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(of_get_mtd_device_by_node, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device_nm, "_gpl", "");
KSYMTAB_FUNC(put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(mtd_erase, "_gpl", "");
KSYMTAB_FUNC(mtd_point, "_gpl", "");
KSYMTAB_FUNC(mtd_unpoint, "_gpl", "");
KSYMTAB_FUNC(mtd_get_unmapped_area, "_gpl", "");
KSYMTAB_FUNC(mtd_read, "_gpl", "");
KSYMTAB_FUNC(mtd_write, "_gpl", "");
KSYMTAB_FUNC(mtd_panic_write, "_gpl", "");
KSYMTAB_FUNC(mtd_read_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_write_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_ecc, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_free, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_find_eccregion, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_freebytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_get_fact_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_fact_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_get_user_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_write_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_erase_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock, "_gpl", "");
KSYMTAB_FUNC(mtd_unlock, "_gpl", "");
KSYMTAB_FUNC(mtd_is_locked, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isreserved, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isbad, "_gpl", "");
KSYMTAB_FUNC(mtd_block_markbad, "_gpl", "");
KSYMTAB_FUNC(mtd_writev, "_gpl", "");
KSYMTAB_FUNC(mtd_kmalloc_up_to, "_gpl", "");
KSYMTAB_FUNC(get_tree_mtd, "_gpl", "");
KSYMTAB_FUNC(kill_mtd_super, "_gpl", "");
KSYMTAB_FUNC(mtd_concat_create, "", "");
KSYMTAB_FUNC(mtd_concat_destroy, "", "");
KSYMTAB_FUNC(mtd_add_partition, "_gpl", "");
KSYMTAB_FUNC(mtd_del_partition, "_gpl", "");
KSYMTAB_FUNC(__register_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(mtd_get_device_size, "_gpl", "");

SYMBOL_CRC(mtd_table_mutex, 0xdf6b0712, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0xe01096af, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0xa6f40c9b, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0xf3d1dc4c, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0xbf4de90c, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0x2cc7ae8f, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0xf17e849f, "_gpl");
SYMBOL_CRC(register_mtd_user, 0x0adad22c, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0xc2e4ff5f, "_gpl");
SYMBOL_CRC(get_mtd_device, 0xfe2137c3, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0x60ae4ffc, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0x9d6abe8d, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0x2879edf9, "_gpl");
SYMBOL_CRC(put_mtd_device, 0x923ec0e5, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0x5ce7c90b, "_gpl");
SYMBOL_CRC(mtd_erase, 0x73ee9817, "_gpl");
SYMBOL_CRC(mtd_point, 0x99d25911, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0x0a846c65, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0x44d42aef, "_gpl");
SYMBOL_CRC(mtd_read, 0x7ae48a49, "_gpl");
SYMBOL_CRC(mtd_write, 0xaf77df14, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0xad13925a, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0x62b09a6d, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0x4e6a727c, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0xa078096d, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0xd1214dc9, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0x3e8ec327, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0x29a2b7a7, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0x50c36bf2, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0x54caf52c, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0x692b5e0d, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0xb35ec70d, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0x9024c14a, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0x5731f1b9, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0xc39a5642, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0xbfb541fb, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0xfffe2705, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0xb88a4185, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0x3565d4ae, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0xd3115ccf, "_gpl");
SYMBOL_CRC(mtd_lock, 0xdfcdac86, "_gpl");
SYMBOL_CRC(mtd_unlock, 0xe877de75, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0xee878b61, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0xf50f2502, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0xbd44fe93, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0x03b26760, "_gpl");
SYMBOL_CRC(mtd_writev, 0x69bc08a8, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0xdba40036, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0xc060db16, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0x29588ff1, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0xf6084ef8, "");
SYMBOL_CRC(mtd_concat_destroy, 0xd4079d35, "");
SYMBOL_CRC(mtd_add_partition, 0x6fb67a3f, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0x1137976b, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0x94f6d1de, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0x3bfb2261, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0x01ac4106, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x931f17bd, "device_create" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x1290e0a4, "debugfs_remove" },
	{ 0xe0443a7f, "fixed_size_llseek" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x17fa7a8f, "class_unregister" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x6e8c83af, "bdi_alloc" },
	{ 0xb6def347, "device_register" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x922ccd5a, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xcc11e75a, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x69109982, "remove_proc_entry" },
	{ 0x523ce14e, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17452315, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xfc43ef2a, "lockref_get" },
	{ 0xfac515e3, "deactivate_locked_super" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x931886df, "seq_puts" },
	{ 0x4030b136, "dev_err_probe" },
	{ 0x69d5b6ee, "proc_create_single_data" },
	{ 0x2f775d11, "nvmem_register" },
	{ 0xfec64d23, "kmalloc_trace" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6502bfa4, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3536c4dd, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3866c129, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x4c1f832b, "generic_shutdown_super" },
	{ 0xbddeaf99, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4cc04095, "sget_dev" },
	{ 0x533c69d6, "bdi_unregister" },
	{ 0xe1e8f558, "dev_set_name" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x5ca4f476, "bdi_register" },
	{ 0xcc913380, "device_unregister" },
	{ 0x92ce33cb, "nvmem_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x9fbd9554, "logfc" },
	{ 0x9f03b000, "sysfs_remove_files" },
	{ 0xab6b03f9, "__module_get" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x122c3a7e, "_printk" },
	{ 0x18f4368f, "bdi_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x5349c33b, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x9af842d, "idr_get_next" },
	{ 0xc6cbbc89, "capable" },
	{ 0x36448ce, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xb5c0a24d, "debugfs_create_bool" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9EC33BEAB1F586CA88F82AF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
