#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_chip_unregister, "_gpl", "");
KSYMTAB_FUNC(mux_chip_free, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_alloc, "_gpl", "");
KSYMTAB_FUNC(devm_mux_chip_register, "_gpl", "");
KSYMTAB_FUNC(mux_control_states, "_gpl", "");
KSYMTAB_FUNC(mux_control_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_state_try_select_delay, "_gpl", "");
KSYMTAB_FUNC(mux_control_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_state_deselect, "_gpl", "");
KSYMTAB_FUNC(mux_control_get, "_gpl", "");
KSYMTAB_FUNC(mux_control_put, "_gpl", "");
KSYMTAB_FUNC(devm_mux_control_get, "_gpl", "");
KSYMTAB_FUNC(devm_mux_state_get, "_gpl", "");

SYMBOL_CRC(mux_chip_alloc, 0x4db42594, "_gpl");
SYMBOL_CRC(mux_chip_register, 0xa999b82d, "_gpl");
SYMBOL_CRC(mux_chip_unregister, 0x55642efb, "_gpl");
SYMBOL_CRC(mux_chip_free, 0xa077c946, "_gpl");
SYMBOL_CRC(devm_mux_chip_alloc, 0xfe062566, "_gpl");
SYMBOL_CRC(devm_mux_chip_register, 0x8bbbdd4e, "_gpl");
SYMBOL_CRC(mux_control_states, 0x3eababea, "_gpl");
SYMBOL_CRC(mux_control_select_delay, 0x7355c67b, "_gpl");
SYMBOL_CRC(mux_state_select_delay, 0xfa76e911, "_gpl");
SYMBOL_CRC(mux_control_try_select_delay, 0xdaee7521, "_gpl");
SYMBOL_CRC(mux_state_try_select_delay, 0x0a65c89f, "_gpl");
SYMBOL_CRC(mux_control_deselect, 0x49a510be, "_gpl");
SYMBOL_CRC(mux_state_deselect, 0x7cf08396, "_gpl");
SYMBOL_CRC(mux_control_get, 0xe2cdff59, "_gpl");
SYMBOL_CRC(mux_control_put, 0x1ddddc42, "_gpl");
SYMBOL_CRC(devm_mux_control_get, 0xfe3d801c, "_gpl");
SYMBOL_CRC(devm_mux_state_get, 0x70ec13c6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd9453732, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0x5349c33b, "put_device" },
	{ 0x2042ddc2, "_dev_err" },
	{ 0xffb27375, "device_add" },
	{ 0xf33a065a, "__devres_alloc_node" },
	{ 0x6573f300, "ida_free" },
	{ 0x17fa7a8f, "class_unregister" },
	{ 0xcf191255, "down_trylock" },
	{ 0xcf3e0929, "device_del" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xfec64d23, "kmalloc_trace" },
	{ 0xc73e6a2e, "down_killable" },
	{ 0x3536c4dd, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3866c129, "kmalloc_caches" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0xe1e8f558, "dev_set_name" },
	{ 0xbfc97bdc, "up" },
	{ 0x2fc34c95, "device_initialize" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "79E11A47F875A5B5A0162E7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
