#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6db513d1, "skb_put" },
	{ 0xa42fbb63, "skb_copy_expand" },
	{ 0xfe5901bd, "dev_kfree_skb_any_reason" },
	{ 0x25add290, "eth_mac_addr" },
	{ 0xbda167ff, "usb_autopm_get_interface" },
	{ 0x7e27c396, "usb_autopm_put_interface" },
	{ 0x4bfc6bf6, "usbnet_read_cmd" },
	{ 0x1fdff884, "netif_carrier_off" },
	{ 0xea9288a9, "usbnet_read_cmd_nopm" },
	{ 0x2ba68e8a, "usbnet_resume" },
	{ 0x32b80a0f, "usb_reset_configuration" },
	{ 0x21b99eed, "usbnet_get_endpoints" },
	{ 0x3866c129, "kmalloc_caches" },
	{ 0xfec64d23, "kmalloc_trace" },
	{ 0x22a3a804, "dev_addr_mod" },
	{ 0x5e205695, "netif_set_tso_max_size" },
	{ 0x8d26cde7, "usb_driver_set_configuration" },
	{ 0x36a71c9b, "usbnet_suspend" },
	{ 0x615603ab, "netdev_info" },
	{ 0xee9a7e9e, "netif_carrier_on" },
	{ 0x1d84a9d7, "usbnet_probe" },
	{ 0xfd681b06, "usbnet_disconnect" },
	{ 0x7ccf4b4a, "usbnet_open" },
	{ 0x5e9fe205, "usbnet_stop" },
	{ 0xd0ab2805, "usbnet_start_xmit" },
	{ 0xe10e5df2, "eth_validate_addr" },
	{ 0x70b27f87, "usbnet_tx_timeout" },
	{ 0x46b468b5, "dev_get_tstats64" },
	{ 0xdcb0ffd5, "usbnet_get_msglevel" },
	{ 0x33750c5e, "usbnet_set_msglevel" },
	{ 0x16a6e52f, "ethtool_op_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfbcf72c0, "skb_trim" },
	{ 0x808152fa, "skb_clone" },
	{ 0x2cb85b9d, "skb_pull" },
	{ 0xfe087a82, "usbnet_skb_return" },
	{ 0x5a8ab84c, "usbnet_get_drvinfo" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x988d56ee, "usb_register_driver" },
	{ 0x53da625b, "usb_deregister" },
	{ 0x9d7c3320, "usbnet_defer_kevent" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xd35168ac, "usb_control_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0x14377c4c, "__dynamic_netdev_dbg" },
	{ 0x7c2a8348, "netdev_warn" },
	{ 0x7ad16b97, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6b392d7, "__pskb_pull_tail" },
	{ 0xfc5f85f6, "skb_push" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "usbcore,usbnet");

MODULE_ALIAS("usb:v2ECApC101d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v2ECApC101d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2790d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v0B95p2790d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v0B95p2791d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v0B95p2791d*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v20F4pE05Ad*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v20F4pE05Ad*dc*dsc*dp*ic02isc06ip00in*");
MODULE_ALIAS("usb:v1C04p0015d*dc*dsc*dp*icFFisc*ip*in*");
MODULE_ALIAS("usb:v1C04p0015d*dc*dsc*dp*ic02isc06ip00in*");

MODULE_INFO(srcversion, "6B18023AB04D81118F18A8B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
