#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(vxlan_fdb_find_uc, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_replay, "_gpl", "");
KSYMTAB_FUNC(vxlan_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(vxlan_dev_create, "_gpl", "");

SYMBOL_CRC(vxlan_fdb_find_uc, 0xd47cf193, "_gpl");
SYMBOL_CRC(vxlan_fdb_replay, 0xbf1ab2af, "_gpl");
SYMBOL_CRC(vxlan_fdb_clear_offload, 0x567d7aa2, "_gpl");
SYMBOL_CRC(vxlan_dev_create, 0xe7b1afde, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xc0e9ff6, "lock_sock_nested" },
	{ 0x16a6e52f, "ethtool_op_get_link" },
	{ 0x3a6f9616, "nexthop_find_by_id" },
	{ 0x78f4b85e, "arp_create" },
	{ 0xac86cb76, "__ethtool_get_link_ksettings" },
	{ 0x80d171c6, "netdev_adjacent_change_prepare" },
	{ 0x58037c5c, "rtnl_register_module" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0xe4fcdd26, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5e423590, "rhashtable_free_and_destroy" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0x3ced00ed, "netdev_adjacent_change_abort" },
	{ 0x199c0fa3, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd7b984fd, "udp_tunnel6_dst_lookup" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9ba574fd, "__iptunnel_pull_header" },
	{ 0x6b392d7, "__pskb_pull_tail" },
	{ 0x46b468b5, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xa42f876b, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0x23702c19, "setup_udp_tunnel_sock" },
	{ 0xc7e77763, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xfbcf72c0, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x14377c4c, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbdc9e9d, "skb_scrub_packet" },
	{ 0xc019e8cb, "nexthop_select_path" },
	{ 0xbfd71a3e, "pv_ops" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xad0ec60a, "metadata_dst_free" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x1c09d438, "neigh_destroy" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa773f9a5, "param_ops_bool" },
	{ 0x8ba49663, "udp_tun_rx_dst" },
	{ 0x24549bd4, "rtnl_notify" },
	{ 0xe0bcb761, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x3d7c5c39, "__netif_rx" },
	{ 0x808152fa, "skb_clone" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x3e871249, "metadata_dst_alloc" },
	{ 0x3a92f124, "dst_release" },
	{ 0x2e7e8c58, "unregister_nexthop_notifier" },
	{ 0x3a40d467, "arp_tbl" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb029022c, "udp_tunnel_notify_del_rx_port" },
	{ 0x451667bc, "register_nexthop_notifier" },
	{ 0xb45df0ba, "ip_mc_leave_group" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfec64d23, "kmalloc_trace" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xe2ece078, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x4e80d1d6, "netdev_core_stats_inc" },
	{ 0x3866c129, "kmalloc_caches" },
	{ 0x615603ab, "netdev_info" },
	{ 0x1a7ec594, "skb_dump" },
	{ 0x85585f38, "neigh_lookup" },
	{ 0x3f808684, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x935141c5, "register_netdevice" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xd2885fce, "__skb_checksum_complete" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xb796a6f8, "skb_copy_bits" },
	{ 0x165dba4f, "__nlmsg_put" },
	{ 0x27ff9fae, "netdev_adjacent_change_commit" },
	{ 0x25add290, "eth_mac_addr" },
	{ 0x6db513d1, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x353b938e, "call_switchdev_notifiers" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd2236a1f, "ip6_dst_hoplimit" },
	{ 0x3f35c222, "param_ops_ushort" },
	{ 0x4dd1c696, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x1e21ae95, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x1a93bd6d, "udp_tunnel6_xmit_skb" },
	{ 0xcc399833, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xa9a1378f, "netif_inherit_tso_max" },
	{ 0x37a0cba, "kfree" },
	{ 0x7208fc63, "pcpu_hot" },
	{ 0xe10e5df2, "eth_validate_addr" },
	{ 0xf186076c, "rhashtable_init" },
	{ 0xb8085484, "gro_cells_init" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa64ec0ac, "rtnl_create_link" },
	{ 0xda87dcb2, "unregister_netdevice_queue" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x632b228b, "iptunnel_handle_offloads" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x1fa97e02, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc19d4123, "udp_tunnel_drop_rx_port" },
	{ 0x4aec750f, "netdev_upper_dev_link" },
	{ 0x684c6cc7, "pskb_expand_head" },
	{ 0xe56957b6, "register_pernet_subsys" },
	{ 0x22a3a804, "dev_addr_mod" },
	{ 0x78011b71, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xb8f7350a, "nla_put_nohdr" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xe05e2f85, "nexthop_free_rcu" },
	{ 0x54e98723, "__alloc_skb" },
	{ 0x402673f2, "udp_tunnel_notify_add_rx_port" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x579d2daf, "eth_gro_complete" },
	{ 0x419a6522, "rtnl_set_sk_err" },
	{ 0x132a1381, "eth_gro_receive" },
	{ 0x604991c6, "rtnl_configure_link" },
	{ 0xde721e54, "skb_tunnel_check_pmtu" },
	{ 0x177d069, "udp_tunnel_dst_lookup" },
	{ 0xe74cc7d9, "rtnl_unicast" },
	{ 0x8592ec08, "peernet2id" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x73badfcb, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x32deee17, "__dev_get_by_index" },
	{ 0xfde52161, "rtnl_link_unregister" },
	{ 0x65d21076, "__skb_get_hash" },
	{ 0x3c6ced78, "ipv6_stub" },
	{ 0x2cb85b9d, "skb_pull" },
	{ 0xc7d3bc8, "gro_find_complete_by_type" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x44c5bf9d, "dev_get_by_index_rcu" },
	{ 0xbfaa0a8d, "kfree_skb_reason" },
	{ 0x8fbd534, "gro_cells_receive" },
	{ 0xfc5f85f6, "skb_push" },
	{ 0x38a9f7c5, "in6addr_loopback" },
	{ 0x22109be5, "netdev_upper_dev_unlink" },
	{ 0xd5a43273, "nla_put" },
	{ 0x7c1efe0f, "free_netdev" },
	{ 0x22041cf6, "ip_mc_join_group" },
	{ 0xec0ddfe7, "udp_tunnel_push_rx_port" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "01BE257B20A2B4526AB6407");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
