#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(libipw_networks_age, "", "");
KSYMTAB_FUNC(alloc_libipw, "", "");
KSYMTAB_FUNC(free_libipw, "", "");
KSYMTAB_DATA(libipw_debug_level, "_gpl", "");
KSYMTAB_FUNC(libipw_xmit, "", "");
KSYMTAB_FUNC(libipw_txb_free, "", "");
KSYMTAB_FUNC(libipw_rx_any, "_gpl", "");
KSYMTAB_FUNC(libipw_rx_mgt, "", "");
KSYMTAB_FUNC(libipw_rx, "", "");
KSYMTAB_FUNC(libipw_wx_set_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_scan, "", "");
KSYMTAB_FUNC(libipw_wx_set_encode, "", "");
KSYMTAB_FUNC(libipw_wx_get_encode, "", "");
KSYMTAB_FUNC(libipw_get_channel, "", "");
KSYMTAB_FUNC(libipw_get_channel_flags, "", "");
KSYMTAB_FUNC(libipw_is_valid_channel, "", "");
KSYMTAB_FUNC(libipw_freq_to_channel, "", "");
KSYMTAB_FUNC(libipw_channel_to_freq, "", "");
KSYMTAB_FUNC(libipw_channel_to_index, "", "");
KSYMTAB_FUNC(libipw_set_geo, "", "");
KSYMTAB_FUNC(libipw_get_geo, "", "");

SYMBOL_CRC(libipw_networks_age, 0xba03ea28, "");
SYMBOL_CRC(alloc_libipw, 0xfa02b6a2, "");
SYMBOL_CRC(free_libipw, 0xfb4c9d98, "");
SYMBOL_CRC(libipw_debug_level, 0x498e4f1a, "_gpl");
SYMBOL_CRC(libipw_xmit, 0x48d83375, "");
SYMBOL_CRC(libipw_txb_free, 0xf62510ff, "");
SYMBOL_CRC(libipw_rx_any, 0x018a75e8, "_gpl");
SYMBOL_CRC(libipw_rx_mgt, 0xea9bddc4, "");
SYMBOL_CRC(libipw_rx, 0x62eee2c2, "");
SYMBOL_CRC(libipw_wx_set_encodeext, 0x0df0e1db, "");
SYMBOL_CRC(libipw_wx_get_encodeext, 0x1aaa6f53, "");
SYMBOL_CRC(libipw_wx_get_scan, 0x27024d3f, "");
SYMBOL_CRC(libipw_wx_set_encode, 0xd1132dfa, "");
SYMBOL_CRC(libipw_wx_get_encode, 0x91f74b22, "");
SYMBOL_CRC(libipw_get_channel, 0x72d7fdfd, "");
SYMBOL_CRC(libipw_get_channel_flags, 0xfa641bb0, "");
SYMBOL_CRC(libipw_is_valid_channel, 0xfb0e2a06, "");
SYMBOL_CRC(libipw_freq_to_channel, 0x639a733e, "");
SYMBOL_CRC(libipw_channel_to_freq, 0xcc6247f3, "");
SYMBOL_CRC(libipw_channel_to_index, 0x0e9086f2, "");
SYMBOL_CRC(libipw_set_geo, 0x0fe6b902, "");
SYMBOL_CRC(libipw_get_geo, 0x33d4a065, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xf52f7528, "seq_lseek" },
	{ 0xeaa5df36, "dev_kfree_skb_irq_reason" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x78011b71, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xac450559, "wiphy_new_nm" },
	{ 0x4ce53902, "lib80211_crypt_info_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x25932ff9, "lib80211_get_crypto_ops" },
	{ 0xfd540df5, "init_net" },
	{ 0x2cb85b9d, "skb_pull" },
	{ 0xfc5f85f6, "skb_push" },
	{ 0x7c1efe0f, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xf1f36cfc, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x600c1965, "wireless_spy_update" },
	{ 0xa42f876b, "netif_rx" },
	{ 0x4d1435af, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9e119369, "seq_read" },
	{ 0x6a8a86db, "lib80211_crypt_info_free" },
	{ 0x69109982, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x17452315, "seq_printf" },
	{ 0x84cd36f4, "lib80211_crypt_delayed_deinit" },
	{ 0x177e90b3, "single_release" },
	{ 0xfec64d23, "kmalloc_trace" },
	{ 0xfe5901bd, "dev_kfree_skb_any_reason" },
	{ 0x1b2a9ff5, "param_ops_int" },
	{ 0xe2934fe1, "single_open" },
	{ 0x5e16e217, "wiphy_free" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x3866c129, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa9605c2c, "alloc_etherdev_mqs" },
	{ 0xbddeaf99, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x6db513d1, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1a3d58aa, "proc_create" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,lib80211");


MODULE_INFO(srcversion, "38C420D31BCD53ED9A9D1A5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
