#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x2_read_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_power_info, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_temp_comp, "_gpl", "");
KSYMTAB_FUNC(mt76x2_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x2_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_reset_wlan, "_gpl", "");
KSYMTAB_FUNC(mt76_write_mac_initvals, "_gpl", "");
KSYMTAB_FUNC(mt76x2_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_apply_gain_adj, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower_regs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_configure_tx_delay, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_tssi_compensate, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_update_channel_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_load_cr, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_init_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_tssi_comp, "_gpl", "");

SYMBOL_CRC(mt76x2_read_rx_gain, 0x6df6aea3, "_gpl");
SYMBOL_CRC(mt76x2_get_rate_power, 0x91e05401, "_gpl");
SYMBOL_CRC(mt76x2_get_power_info, 0x196e914f, "_gpl");
SYMBOL_CRC(mt76x2_get_temp_comp, 0x2e68352e, "_gpl");
SYMBOL_CRC(mt76x2_eeprom_init, 0xa1a38802, "_gpl");
SYMBOL_CRC(mt76x2_mac_stop, 0xa69a90ee, "_gpl");
SYMBOL_CRC(mt76x2_set_sar_specs, 0x7cc2e734, "_gpl");
SYMBOL_CRC(mt76x2_reset_wlan, 0xc600642a, "_gpl");
SYMBOL_CRC(mt76_write_mac_initvals, 0xe5edd5eb, "_gpl");
SYMBOL_CRC(mt76x2_init_txpower, 0xf55214e7, "_gpl");
SYMBOL_CRC(mt76x2_apply_gain_adj, 0xe4375347, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower_regs, 0x5ce8aabf, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower, 0x6f9c6028, "_gpl");
SYMBOL_CRC(mt76x2_configure_tx_delay, 0x0ebde9df, "_gpl");
SYMBOL_CRC(mt76x2_phy_tssi_compensate, 0x49796350, "_gpl");
SYMBOL_CRC(mt76x2_phy_update_channel_gain, 0x1a0f12e2, "_gpl");
SYMBOL_CRC(mt76x2_mcu_set_channel, 0x457224f0, "_gpl");
SYMBOL_CRC(mt76x2_mcu_load_cr, 0x33ac5e8e, "_gpl");
SYMBOL_CRC(mt76x2_mcu_init_gain, 0x8d7b0045, "_gpl");
SYMBOL_CRC(mt76x2_mcu_tssi_comp, 0xdfd0bb97, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x731c2423, "cfg80211_chandef_valid" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x404b3887, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9b641035, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x31ecbd28, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0xb9539465, "mt76_eeprom_init" },
	{ 0x2042ddc2, "_dev_err" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x4967837e, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x2de963e6, "mt76_mcu_send_and_get_msg" },
	{ 0x2007923f, "mt76_eeprom_override" },
	{ 0x119a056d, "mt76x02_get_lna_gain" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7a324fec, "mt76_get_sar_power" },
	{ 0x9e8354bb, "mt76x02_eeprom_copy" },
	{ 0xac5a402, "mt76x02_mcu_calibrate" },
	{ 0x72cf9f94, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x4b06ab1f, "mt76_get_min_avg_rssi" },
	{ 0xa5e499d9, "mt76_init_sar_power" },
	{ 0xa706d9d3, "mt76x02_phy_adjust_vga_gain" },
	{ 0x3496f73b, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xe22bcea9, "devm_kmalloc" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mt76x02-lib,mt76");


MODULE_INFO(srcversion, "F614E833AE49F1C231FFF8A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
