#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_bus_lock, "", "");
KSYMTAB_FUNC(nvdimm_bus_unlock, "", "");
KSYMTAB_FUNC(is_nvdimm_bus_locked, "", "");
KSYMTAB_FUNC(devm_nvdimm_memremap, "_gpl", "");
KSYMTAB_FUNC(nd_fletcher64, "_gpl", "");
KSYMTAB_FUNC(to_nd_desc, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus_dev, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_add_badrange, "_gpl", "");
KSYMTAB_FUNC(nd_integrity_init, "", "");
KSYMTAB_FUNC(nd_device_notify, "", "");
KSYMTAB_FUNC(nvdimm_region_notify, "_gpl", "");
KSYMTAB_FUNC(nvdimm_clear_poison, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_to_bus, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_register, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_unregister, "_gpl", "");
KSYMTAB_FUNC(nd_synchronize, "_gpl", "");
KSYMTAB_FUNC(nd_device_register, "", "");
KSYMTAB_FUNC(nd_device_unregister, "", "");
KSYMTAB_FUNC(__nd_driver_register, "", "");
KSYMTAB_FUNC(nvdimm_check_and_set_ro, "", "");
KSYMTAB_FUNC(nd_cmd_dimm_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_bus_desc, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_in_size, "_gpl", "");
KSYMTAB_FUNC(nd_cmd_out_size, "_gpl", "");
KSYMTAB_FUNC(to_nvdimm, "_gpl", "");
KSYMTAB_FUNC(to_ndd, "", "");
KSYMTAB_FUNC(nvdimm_name, "_gpl", "");
KSYMTAB_FUNC(nvdimm_kobj, "_gpl", "");
KSYMTAB_FUNC(nvdimm_cmd_mask, "_gpl", "");
KSYMTAB_FUNC(nvdimm_provider_data, "_gpl", "");
KSYMTAB_FUNC(__nvdimm_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_security_setup_events, "_gpl", "");
KSYMTAB_FUNC(nvdimm_in_overwrite, "_gpl", "");
KSYMTAB_FUNC(nvdimm_bus_check_dimm_count, "_gpl", "");
KSYMTAB_FUNC(register_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(unregister_nvdimm_pmu, "_gpl", "");
KSYMTAB_FUNC(to_nd_region, "_gpl", "");
KSYMTAB_FUNC(nd_region_dev, "_gpl", "");
KSYMTAB_FUNC(nd_region_provider_data, "_gpl", "");
KSYMTAB_FUNC(nd_region_to_nstype, "", "");
KSYMTAB_FUNC(nd_region_acquire_lane, "", "");
KSYMTAB_FUNC(nd_region_release_lane, "", "");
KSYMTAB_FUNC(nvdimm_pmem_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_volatile_region_create, "_gpl", "");
KSYMTAB_FUNC(nvdimm_region_delete, "_gpl", "");
KSYMTAB_FUNC(nvdimm_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_flush, "_gpl", "");
KSYMTAB_FUNC(nvdimm_has_cache, "_gpl", "");
KSYMTAB_FUNC(is_nvdimm_sync, "_gpl", "");
KSYMTAB_FUNC(pmem_should_map_pages, "", "");
KSYMTAB_FUNC(pmem_sector_size, "", "");
KSYMTAB_FUNC(nvdimm_namespace_disk_name, "", "");
KSYMTAB_FUNC(nd_dev_to_uuid, "", "");
KSYMTAB_FUNC(nvdimm_namespace_capacity, "", "");
KSYMTAB_FUNC(nvdimm_namespace_locked, "", "");
KSYMTAB_FUNC(nvdimm_namespace_common_probe, "", "");
KSYMTAB_FUNC(devm_namespace_enable, "_gpl", "");
KSYMTAB_FUNC(devm_namespace_disable, "_gpl", "");
KSYMTAB_FUNC(badrange_init, "_gpl", "");
KSYMTAB_FUNC(badrange_add, "_gpl", "");
KSYMTAB_FUNC(badrange_forget, "_gpl", "");
KSYMTAB_FUNC(nvdimm_badblocks_populate, "_gpl", "");
KSYMTAB_FUNC(nd_sb_checksum, "", "");
KSYMTAB_FUNC(to_nd_btt, "", "");
KSYMTAB_FUNC(is_nd_btt, "", "");
KSYMTAB_FUNC(nd_btt_arena_is_valid, "", "");
KSYMTAB_FUNC(nd_btt_version, "", "");
KSYMTAB_FUNC(nd_btt_probe, "", "");
KSYMTAB_FUNC(to_nd_pfn, "", "");
KSYMTAB_FUNC(is_nd_pfn, "", "");
KSYMTAB_FUNC(nd_pfn_validate, "", "");
KSYMTAB_FUNC(nd_pfn_probe, "", "");
KSYMTAB_FUNC(nvdimm_setup_pfn, "_gpl", "");
KSYMTAB_FUNC(to_nd_dax, "", "");
KSYMTAB_FUNC(is_nd_dax, "", "");
KSYMTAB_FUNC(nd_dax_probe, "", "");

SYMBOL_CRC(nvdimm_bus_lock, 0xf1030629, "");
SYMBOL_CRC(nvdimm_bus_unlock, 0xd542f23e, "");
SYMBOL_CRC(is_nvdimm_bus_locked, 0x64e8524a, "");
SYMBOL_CRC(devm_nvdimm_memremap, 0x2736910f, "_gpl");
SYMBOL_CRC(nd_fletcher64, 0xaf076aec, "_gpl");
SYMBOL_CRC(to_nd_desc, 0xe5f45e24, "_gpl");
SYMBOL_CRC(to_nvdimm_bus_dev, 0xf993ea0c, "_gpl");
SYMBOL_CRC(nvdimm_bus_add_badrange, 0xa08dce52, "_gpl");
SYMBOL_CRC(nd_integrity_init, 0x7a16df55, "");
SYMBOL_CRC(nd_device_notify, 0xca2d8362, "");
SYMBOL_CRC(nvdimm_region_notify, 0xb5b7ea7b, "_gpl");
SYMBOL_CRC(nvdimm_clear_poison, 0x7ebe09b3, "_gpl");
SYMBOL_CRC(to_nvdimm_bus, 0xdeda25bf, "_gpl");
SYMBOL_CRC(nvdimm_to_bus, 0xf560ad04, "_gpl");
SYMBOL_CRC(nvdimm_bus_register, 0x54c3ca08, "_gpl");
SYMBOL_CRC(nvdimm_bus_unregister, 0xb966dc5d, "_gpl");
SYMBOL_CRC(nd_synchronize, 0x7d00c65b, "_gpl");
SYMBOL_CRC(nd_device_register, 0xa13acc27, "");
SYMBOL_CRC(nd_device_unregister, 0x099cd4a2, "");
SYMBOL_CRC(__nd_driver_register, 0x7b60b4c2, "");
SYMBOL_CRC(nvdimm_check_and_set_ro, 0xff7a89d9, "");
SYMBOL_CRC(nd_cmd_dimm_desc, 0xb501b2df, "_gpl");
SYMBOL_CRC(nd_cmd_bus_desc, 0xa01a8d9b, "_gpl");
SYMBOL_CRC(nd_cmd_in_size, 0x7ff678fe, "_gpl");
SYMBOL_CRC(nd_cmd_out_size, 0xde77c541, "_gpl");
SYMBOL_CRC(to_nvdimm, 0x78e6b4e2, "_gpl");
SYMBOL_CRC(to_ndd, 0xeb9d2f62, "");
SYMBOL_CRC(nvdimm_name, 0x98342ba6, "_gpl");
SYMBOL_CRC(nvdimm_kobj, 0x799a449f, "_gpl");
SYMBOL_CRC(nvdimm_cmd_mask, 0x444b1684, "_gpl");
SYMBOL_CRC(nvdimm_provider_data, 0xc120790b, "_gpl");
SYMBOL_CRC(__nvdimm_create, 0xa7b532d7, "_gpl");
SYMBOL_CRC(nvdimm_delete, 0x47466e64, "_gpl");
SYMBOL_CRC(nvdimm_security_setup_events, 0x92b2f90d, "_gpl");
SYMBOL_CRC(nvdimm_in_overwrite, 0x24fee0a6, "_gpl");
SYMBOL_CRC(nvdimm_bus_check_dimm_count, 0xb1f5dec5, "_gpl");
SYMBOL_CRC(register_nvdimm_pmu, 0x5c2f7ef4, "_gpl");
SYMBOL_CRC(unregister_nvdimm_pmu, 0x1ee32e7a, "_gpl");
SYMBOL_CRC(to_nd_region, 0x8f9a74cf, "_gpl");
SYMBOL_CRC(nd_region_dev, 0x0f2f9a49, "_gpl");
SYMBOL_CRC(nd_region_provider_data, 0x76b85d45, "_gpl");
SYMBOL_CRC(nd_region_to_nstype, 0x5c91854c, "");
SYMBOL_CRC(nd_region_acquire_lane, 0xf802b624, "");
SYMBOL_CRC(nd_region_release_lane, 0x1c34cd2f, "");
SYMBOL_CRC(nvdimm_pmem_region_create, 0x049ef644, "_gpl");
SYMBOL_CRC(nvdimm_volatile_region_create, 0x26ecfda5, "_gpl");
SYMBOL_CRC(nvdimm_region_delete, 0x10cee72f, "_gpl");
SYMBOL_CRC(nvdimm_flush, 0x67a5c22c, "_gpl");
SYMBOL_CRC(nvdimm_has_flush, 0x3aece781, "_gpl");
SYMBOL_CRC(nvdimm_has_cache, 0x9a8708b2, "_gpl");
SYMBOL_CRC(is_nvdimm_sync, 0xab518049, "_gpl");
SYMBOL_CRC(pmem_should_map_pages, 0x7ee7252c, "");
SYMBOL_CRC(pmem_sector_size, 0x9ed9f785, "");
SYMBOL_CRC(nvdimm_namespace_disk_name, 0x80b14200, "");
SYMBOL_CRC(nd_dev_to_uuid, 0x7a77dcc7, "");
SYMBOL_CRC(nvdimm_namespace_capacity, 0x7fdaef88, "");
SYMBOL_CRC(nvdimm_namespace_locked, 0x1fd07a45, "");
SYMBOL_CRC(nvdimm_namespace_common_probe, 0x43d68419, "");
SYMBOL_CRC(devm_namespace_enable, 0xcf0d6531, "_gpl");
SYMBOL_CRC(devm_namespace_disable, 0x8c0873e8, "_gpl");
SYMBOL_CRC(badrange_init, 0xaa129336, "_gpl");
SYMBOL_CRC(badrange_add, 0x6b246c2c, "_gpl");
SYMBOL_CRC(badrange_forget, 0x9035460d, "_gpl");
SYMBOL_CRC(nvdimm_badblocks_populate, 0xc28cdb28, "_gpl");
SYMBOL_CRC(nd_sb_checksum, 0x499f0ecf, "");
SYMBOL_CRC(to_nd_btt, 0x9239fa02, "");
SYMBOL_CRC(is_nd_btt, 0x11463436, "");
SYMBOL_CRC(nd_btt_arena_is_valid, 0x2c48112f, "");
SYMBOL_CRC(nd_btt_version, 0x83e74151, "");
SYMBOL_CRC(nd_btt_probe, 0xbc78c347, "");
SYMBOL_CRC(to_nd_pfn, 0x8dc5a243, "");
SYMBOL_CRC(is_nd_pfn, 0x55ebe802, "");
SYMBOL_CRC(nd_pfn_validate, 0x0eafd5d2, "");
SYMBOL_CRC(nd_pfn_probe, 0xff3b5b2c, "");
SYMBOL_CRC(nvdimm_setup_pfn, 0x1741e6d1, "_gpl");
SYMBOL_CRC(to_nd_dax, 0x87de9fb8, "");
SYMBOL_CRC(is_nd_dax, 0x80a7ff76, "");
SYMBOL_CRC(nd_dax_probe, 0x1359c7bc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbcab6ee6, "sscanf" },
	{ 0x87aae79, "device_find_child" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0xade5aadb, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0xeddd417, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd68c5a1f, "adjust_resource" },
	{ 0xe18fb53e, "kill_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa773f9a5, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x95ee1ea5, "__devm_release_region" },
	{ 0x9a92da92, "request_key_tag" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xab24b15a, "kernfs_put" },
	{ 0x922ccd5a, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xcc11e75a, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0xd67eae7c, "boot_cpu_data" },
	{ 0x87d251f6, "badblocks_check" },
	{ 0xfec64d23, "kmalloc_trace" },
	{ 0x2c3cfce7, "__devm_add_action" },
	{ 0x2c635527, "arch_invalidate_pmem" },
	{ 0xf6a28554, "region_intersects" },
	{ 0x964d9428, "badblocks_clear" },
	{ 0xf87be824, "devm_init_badblocks" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xbb53856b, "up_read" },
	{ 0x473f531e, "driver_register" },
	{ 0xbebdc272, "__cpuhp_remove_state" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3866c129, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x61ebd8a2, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x2880cd1f, "set_disk_ro" },
	{ 0xe914e41e, "strcpy" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x4bf39832, "blk_integrity_register" },
	{ 0xbddeaf99, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xd6551b9c, "cpu_cache_has_invalidate_memregion" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe22bcea9, "devm_kmalloc" },
	{ 0xf2f53617, "memregion_free" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x77bc13a0, "strim" },
	{ 0x359edbfe, "devm_memremap" },
	{ 0xe1e8f558, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x213a738d, "memregion_alloc" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x2d28d176, "badblocks_set" },
	{ 0xcc913380, "device_unregister" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x8c9950f6, "class_destroy" },
	{ 0xf474c21c, "bitmap_print_to_pagebuf" },
	{ 0xedc03953, "iounmap" },
	{ 0x2fc34c95, "device_initialize" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xebd82be4, "badblocks_exit" },
	{ 0x7208fc63, "pcpu_hot" },
	{ 0xa213e75a, "device_for_each_child" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xbc4e24bb, "copy_mc_to_kernel" },
	{ 0xf6d9671a, "get_device" },
	{ 0x4d924f20, "memremap" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3f3d7f17, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x971da7ad, "kernfs_notify" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x852ee125, "dev_driver_string" },
	{ 0x8df9dd10, "guid_null" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xdc3215ac, "__devm_request_region" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x6f0525cf, "__cpuhp_state_remove_instance" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5349c33b, "put_device" },
	{ 0xa26664d7, "badblocks_show" },
	{ 0xd5ac2162, "key_type_encrypted" },
	{ 0x618911fc, "numa_node" },
	{ 0x2a8a899f, "_dev_info" },
	{ 0x36448ce, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x45f5186e, "compat_ptr_ioctl" },
	{ 0x8f360ed5, "perf_pmu_migrate_context" },
	{ 0xcffd9905, "perf_pmu_register" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9f80ddbd, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfbb7344, "memremap_compat_align" },
	{ 0x5286e1ec, "bus_unregister" },
	{ 0x49608959, "migrate_disable" },
	{ 0x3c804b25, "cpu_cache_invalidate_memregion" },
	{ 0x2042ddc2, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xd2cd008, "__cpuhp_setup_state" },
	{ 0x1d387ea4, "devm_memunmap" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0xffb27375, "device_add" },
	{ 0x5c309e65, "hibernate_quiet_exec" },
	{ 0xa01f6c09, "noop_llseek" },
	{ 0x328e3354, "__memcpy_flushcache" },
	{ 0x3e08213, "class_create" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x1b40e57a, "kernfs_find_and_get_ns" },
	{ 0x9e9fdd9d, "memunmap" },
	{ 0x5a921311, "strncmp" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x6573f300, "ida_free" },
	{ 0x7134a7a0, "driver_unregister" },
	{ 0x4c46c08d, "__cpuhp_state_add_instance" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9d6fea7d, "perf_pmu_unregister" },
	{ 0xde80cd09, "ioremap" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AA568C06C7ACBEE57DD28BD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
