#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x750eadcb, "xhci_find_slot_id_by_port" },
	{ 0x1cdd0605, "xhci_port_state_to_neutral" },
	{ 0x2042ddc2, "_dev_err" },
	{ 0x3f3d7f17, "__dynamic_dev_dbg" },
	{ 0x377bbcbc, "pm_suspend_target_state" },
	{ 0xd67b5414, "xhci_suspend" },
	{ 0x98c34ac0, "pci_d3cold_disable" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd336a277, "xhci_update_hub_device" },
	{ 0x2ad542fe, "usb_acpi_port_lpm_incapable" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x5a86256a, "pci_alloc_irq_vectors" },
	{ 0x88fac4e8, "xhci_msi_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xbc9a16f, "xhci_run" },
	{ 0x44d4401b, "xhci_dbg_trace" },
	{ 0xa916b694, "strnlen" },
	{ 0x70cf032f, "usb_hcd_irq" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x627f2c2f, "pci_match_id" },
	{ 0xaf4014ff, "usb_amd_quirk_pll_check" },
	{ 0x745549d1, "pci_unregister_driver" },
	{ 0x4e7ae8a3, "xhci_gen_setup" },
	{ 0x8c6becaa, "pci_set_mwi" },
	{ 0x8f9a2e79, "pci_read_config_byte" },
	{ 0xc468216f, "is_acpi_device_node" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x37a0cba, "kfree" },
	{ 0x70e0e3e1, "__tracepoint_xhci_dbg_quirks" },
	{ 0x7208fc63, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xabf03fc3, "__SCT__tp_func_xhci_dbg_quirks" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x77989844, "__tracepoint_xhci_dbg_init" },
	{ 0x8a5c1029, "__SCT__tp_func_xhci_dbg_init" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0xa6592b27, "xhci_resume" },
	{ 0x5765ecb1, "usb_enable_intel_xhci_ports" },
	{ 0x4a077b2e, "xhci_shutdown" },
	{ 0xee4e1632, "__devm_reset_control_get" },
	{ 0x12653e27, "usb_hcd_pci_probe" },
	{ 0xbb2b5456, "usb_create_shared_hcd" },
	{ 0xd2c30c7, "xhci_ext_cap_init" },
	{ 0x620de5ca, "renesas_xhci_check_request_fw" },
	{ 0xded36acb, "usb_add_hcd" },
	{ 0xb173f427, "pci_choose_state" },
	{ 0xa10e4754, "pm_runtime_allow" },
	{ 0x8244f4a1, "usb_hcd_pci_shutdown" },
	{ 0xeac25c09, "usb_hcd_pci_pm_ops" },
	{ 0xefa3be16, "__SCK__tp_func_xhci_dbg_init" },
	{ 0x2a60c1f1, "__SCK__tp_func_xhci_dbg_quirks" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x22612acf, "xhci_init_driver" },
	{ 0xe05dd99d, "__pci_register_driver" },
	{ 0xf67bb91a, "usb_hcd_is_primary_hcd" },
	{ 0x1ecf667d, "usb_remove_hcd" },
	{ 0x3c39d62b, "usb_put_hcd" },
	{ 0xa9467720, "usb_hcd_pci_remove" },
	{ 0xea36c14e, "pm_runtime_forbid" },
	{ 0x5d202eba, "pci_set_power_state" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xec7d9dd7, "xhci_stop" },
	{ 0x2fdca30f, "pci_irq_vector" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb4d7ea50, "pci_free_irq_vectors" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "xhci-hcd,usbcore,xhci-pci-renesas");

MODULE_ALIAS("pci:v00001912d00000014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001912d00000015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i30*");

MODULE_INFO(srcversion, "47992037BE0DD39B1019600");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
