#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x6ff4a06f, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x995ac093, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0xdfd82fd9, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x7a685e73, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0xe00f8e27, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x5dc1ee1b, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0x8bc11f95, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x2d503e10, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x4b659c67, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x39b08e67, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0xbca4c17c, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x9759f3e4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x57d64f51, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xfd540df5, "init_net" },
	{ 0xaa7b3f7c, "alloc_netdev_mqs" },
	{ 0x96c0e565, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x7c1efe0f, "free_netdev" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xfde52161, "rtnl_link_unregister" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xb8085484, "gro_cells_init" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xb796a6f8, "skb_copy_bits" },
	{ 0x935141c5, "register_netdevice" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0x20bc8892, "netdev_state_change" },
	{ 0xc54a85fd, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x6b392d7, "__pskb_pull_tail" },
	{ 0xb956ae35, "make_kuid" },
	{ 0xdd4ea998, "ip6_redirect" },
	{ 0xcc471019, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf3866627, "dst_cache_get" },
	{ 0xe7607f58, "ip6_route_output_flags" },
	{ 0x20b30c96, "xfrm_lookup" },
	{ 0x64eb546b, "ip6_mtu" },
	{ 0xbdc9e9d, "skb_scrub_packet" },
	{ 0x69ab1d54, "skb_realloc_headroom" },
	{ 0x161e4b59, "skb_set_owner_w" },
	{ 0x4dd1c696, "consume_skb" },
	{ 0xec92194b, "ipv6_push_frag_opts" },
	{ 0xfc5f85f6, "skb_push" },
	{ 0x56705559, "ip6_local_out" },
	{ 0xb59dfca8, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb8cc07c7, "ipv6_dev_get_saddr" },
	{ 0xd2236a1f, "ip6_dst_hoplimit" },
	{ 0x7208fc63, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4d159548, "ipv4_mtu" },
	{ 0x1c09d438, "neigh_destroy" },
	{ 0x632b228b, "iptunnel_handle_offloads" },
	{ 0xe8b82d72, "icmpv6_ndo_send" },
	{ 0xbfaa0a8d, "kfree_skb_reason" },
	{ 0xa429a4dd, "icmp_ndo_send" },
	{ 0x808152fa, "skb_clone" },
	{ 0x2cb85b9d, "skb_pull" },
	{ 0xbc071da5, "icmp6_send" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x8fbd534, "gro_cells_receive" },
	{ 0x78011b71, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x8ab05f30, "__xfrm_policy_check" },
	{ 0x9ba574fd, "__iptunnel_pull_header" },
	{ 0x3e871249, "metadata_dst_alloc" },
	{ 0xbb457246, "ip_route_output_flow" },
	{ 0x2f97d38b, "ip_route_input_noref" },
	{ 0x2d062627, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x46b468b5, "dev_get_tstats64" },
	{ 0xa773f9a5, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa5262a08, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x5c37172f, "ipv6_chk_addr_and_flags" },
	{ 0x44c5bf9d, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x122c3a7e, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xf61fd579, "register_pernet_device" },
	{ 0xa9226730, "xfrm6_tunnel_register" },
	{ 0xcc399833, "rtnl_link_register" },
	{ 0xf78a5fe9, "unregister_pernet_device" },
	{ 0xb127cfec, "xfrm6_tunnel_deregister" },
	{ 0xd5a43273, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xda87dcb2, "unregister_netdevice_queue" },
	{ 0x22a3a804, "dev_addr_mod" },
	{ 0xd198408b, "rt6_lookup" },
	{ 0x3a92f124, "dst_release" },
	{ 0x32deee17, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "B1D6F9A70D20698C21DB1C1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
