#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(acp_sof_quirk_table, "_gpl", "");
KSYMTAB_FUNC(amd_sof_acp_suspend, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_resume, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_probe, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(amd_sof_acp_remove, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_block_read, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_block_write, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_get_bar_index, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_pre_fw_run, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_dsp_run, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_load_signed_firmware, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_mailbox_write, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_mailbox_read, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_send_msg, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_irq_thread, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_msg_data, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_set_stream_data_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_get_mailbox_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_ipc_get_window_offset, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_hw_params, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_open, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_close, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_pcm_pointer, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_get, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_put, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_dsp_stream_init, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_trace_release, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_sof_trace_init, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_DATA(sof_acp_common_ops, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_probes_register, "", "SND_SOC_SOF_AMD_COMMON");
KSYMTAB_FUNC(acp_probes_unregister, "", "SND_SOC_SOF_AMD_COMMON");

SYMBOL_CRC(acp_sof_quirk_table, 0x67e5de9e, "_gpl");
SYMBOL_CRC(amd_sof_acp_suspend, 0xcc288e1b, "");
SYMBOL_CRC(amd_sof_acp_resume, 0x5d2f8e47, "");
SYMBOL_CRC(amd_sof_acp_probe, 0xcf5bf09f, "");
SYMBOL_CRC(amd_sof_acp_remove, 0x490f5867, "");
SYMBOL_CRC(acp_dsp_block_read, 0xc4acfacb, "");
SYMBOL_CRC(acp_dsp_block_write, 0xa9f7ca51, "");
SYMBOL_CRC(acp_get_bar_index, 0x381fdfff, "");
SYMBOL_CRC(acp_dsp_pre_fw_run, 0xc1504495, "");
SYMBOL_CRC(acp_sof_dsp_run, 0x1d9d72cf, "");
SYMBOL_CRC(acp_sof_load_signed_firmware, 0xd3ab2953, "");
SYMBOL_CRC(acp_mailbox_write, 0x73721008, "");
SYMBOL_CRC(acp_mailbox_read, 0xc186ff2d, "");
SYMBOL_CRC(acp_sof_ipc_send_msg, 0xf51ed202, "");
SYMBOL_CRC(acp_sof_ipc_irq_thread, 0x35fb27dd, "");
SYMBOL_CRC(acp_sof_ipc_msg_data, 0xa4f9c7a5, "");
SYMBOL_CRC(acp_set_stream_data_offset, 0x508cb1e6, "");
SYMBOL_CRC(acp_sof_ipc_get_mailbox_offset, 0x2e6adc30, "");
SYMBOL_CRC(acp_sof_ipc_get_window_offset, 0x4c74a783, "");
SYMBOL_CRC(acp_pcm_hw_params, 0xe6db2260, "");
SYMBOL_CRC(acp_pcm_open, 0x0e993dc8, "");
SYMBOL_CRC(acp_pcm_close, 0x8ed8b283, "");
SYMBOL_CRC(acp_pcm_pointer, 0x0546c5fc, "");
SYMBOL_CRC(acp_dsp_stream_get, 0xb2c7ee37, "");
SYMBOL_CRC(acp_dsp_stream_put, 0x69b2e9d4, "");
SYMBOL_CRC(acp_dsp_stream_init, 0x7fff3520, "");
SYMBOL_CRC(acp_sof_trace_release, 0x7b38bcbe, "");
SYMBOL_CRC(acp_sof_trace_init, 0x692d07f7, "");
SYMBOL_CRC(sof_acp_common_ops, 0x263a33cc, "");
SYMBOL_CRC(acp_probes_register, 0xab61f9a0, "");
SYMBOL_CRC(acp_probes_unregister, 0xbae89768, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc409a0f5, "sof_xtensa_arch_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x221411a5, "snd_sgbuf_get_addr" },
	{ 0x3f3d7f17, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x433cb602, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2042ddc2, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x421f753c, "platform_device_unregister" },
	{ 0xf3b57135, "dma_alloc_attrs" },
	{ 0xde6e21a0, "sof_client_dev_register" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xba39aa11, "snd_soc_acpi_find_machine" },
	{ 0x9ae5eeac, "sof_print_oops_and_stack" },
	{ 0xff6104d0, "snd_pcm_rate_bit_to_rate" },
	{ 0x96ace38f, "snd_sof_dsp_update_bits" },
	{ 0xade5aadb, "_dev_warn" },
	{ 0x45cfc442, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x77a9d09b, "sof_io_read" },
	{ 0xb6fad499, "devm_kasprintf" },
	{ 0x3d5274ec, "snd_sof_ipc_reply" },
	{ 0x7a585940, "platform_device_register_full" },
	{ 0xecc9c637, "dma_free_attrs" },
	{ 0xa773f9a5, "param_ops_bool" },
	{ 0x1162c754, "sof_machine_unregister" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xcc7d25a, "snd_sof_dsp_panic" },
	{ 0xf125adcc, "sof_client_dev_unregister" },
	{ 0xeb5a1ac, "snd_sof_load_firmware_memcpy" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbeb88cd3, "pci_write_config_dword" },
	{ 0x975d6d33, "sof_io_write" },
	{ 0x35d9774e, "sof_machine_register" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x1292f144, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0xe22bcea9, "devm_kmalloc" },
	{ 0x8596ff0f, "pci_dev_put" },
	{ 0xaeea0f12, "pci_get_device" },
	{ 0x20eb7a98, "request_firmware" },
	{ 0x619419b6, "devm_ioremap" },
	{ 0x98d20656, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-xtensa-dsp,snd-pcm,snd-sof,snd-soc-acpi");


MODULE_INFO(srcversion, "D8D107065A811F69CF0DF94");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
